Copyright since 2007 PrestaShop SA and Contributors
PrestaShop is an International Registered Trademark & Property of PrestaShop SA

NOTICE OF LICENSE

This source file is subject to the Open Software License (OSL 3.0)
that is bundled with this package in the file LICENSE.md.
It is also available through the world-wide-web at this URL:
https://opensource.org/licenses/OSL-3.0
If you did not receive a copy of the license and are unable to
obtain it through the world-wide-web, please send an email
to license@prestashop.com so we can send you a copy immediately.

DISCLAIMER

Do not edit or add to this file if you wish to upgrade PrestaShop to newer
versions in the future. If you wish to customize PrestaShop for your
needs please refer to https://devdocs.prestashop.com/ for more information.

@author    PrestaShop SA and Contributors <contact@prestashop.com>
@copyright Since 2007 PrestaShop SA and Contributors
@license   https://opensource.org/licenses/OSL-3.0 Open Software License (OSL 3.0)

Release Notes for PrestaShop 1.7

####################################
#   v1.7.8.11 - (2023-12-13)
####################################
- Core:
  - Improvement:
    - #34820: Update prestashop modules for 1.7.8.11 (by @tleon)
  - Bug fix:
    - GHSA-XGPM-Q3MQ-46RQ: Some attribute not escaped in Validate::isCleanHTML method (by @matthieu-rolland)
- Tests:
  - Refactoring:
    - #33988: Functional tests - Fix random error in 'FO > Quick view product' (by @nesrineabdmouleh)

####################################
#   v1.7.8.10 - (2023-07-19)
####################################
- Core:
  - Improvement:
    - GHSA-xw2r-f8xv-c8xp add missing html attributes (by @matthieu-rolland)
  - Bug fix:
    - #33028: Bump to mysql 8 in CI (by @lartist)
- Back Office:
  - Improvement:
    - GHSA-gf46-prm4-56pc protect from writing files on server through SQL form (by @matthieu-rolland)
- Tests:
  - Improvement:
    - #32893: Nightly : 1.7.8.x - Move to Github Actions (by @Progi1984)
  - Bug fix:
    - #33013: Nightly : Fixed mocha loader (1.7.8.x) (by @Progi1984)
    - #32896: Fix github action runs on 1.7.8.x (by @boubkerbribri)
  - Refactoring:
    - #33231: Nightly : 1.7.8.x - Skip test for the issue 32914 (by @Progi1984)
    - #32995: Functional tests - Fix random errors in the nightly 1.7.8.x (by @nesrineabdmouleh)

####################################
#   v1.7.8.9 - (2023-20-04)
####################################
- Back Office:
  - Improvement:
    - #32140: Fix CVE 2023-25170 on 1.7.8.x (by @mflasquin)
    - #32105: Release/manual verifications 1789 (by @mflasquin)
  - Bug fix:
    - #GHSA-8r4m-5p6p-52rp Fix arbitrary file ready through sql manager (found by truff@projet7.org / Sébastien Cantos)
- Core:
  - Improvement:
    - #GHSA-fh7r-996q-gvcp: Possible XSS injection through Validate::isCleanHTML method (by @	matthieu-rolland)
    - #GHSA-p379-cxqh-q822 Fix executeS method making sure it does selection only (found by truff@projet7.org / Sébastien Cantos)
- Tests:
  - Improvement:
    - #32144: Nightly : Migrate from nightly.prestashop.com to nightly.prestashop-project.org (by @Progi1984)

####################################
#   v1.7.8.8 - (2022-12-07)
####################################
- Back Office:
  - Bug fix:
    - #29693: Update material icons lib to fix the slow npm installation (by @NeOMakinG)
    - #29465: Add available_now & available_later labels constraints (by @zuk3975)
    - #29587: Replace exception message by custom error message when uploading avatar with invalid extension (by @lartist)
    - #29554: Replace exception message by custom message on invalid avatar on employee page (by @lartist)
    - #29224: Fix subcategories for multishop (by @MeKeyCool)
    - #29553: Add min height on alert to center icons vertically (by @lartist)
    - #29635: Do not reset customization in FO when changing combination (178x) (by @zuk3975)
    - #29392: Fix menu items not showing on mobile (by @NeOMakinG)
    - #29551: Text troncated on combine several attribute input (by @lartist)
    - #29549: Fix validateSql method not accepting EXISTS after WHERE (by @atomiix)
    - #29246: Fix Stock page style with RTL (by @MeKeyCool)
    - #29307: Remove module_card.js from the product page v1 (by @NeOMakinG)
    - #29214: Fix logo on pdf for RTL (by @MeKeyCool)
    - #29096: BO - Bad display on Your Profile button on all of pages when hover and click on it (by @okom3pom)
    - #28706: Fix orders export limit (by @Seb33300)
    - #28829: Fix performances links spaces and URLs (by @NeOMakinG)
    - #28392: Fix back-office translations when multishop and multiple languages (by @MeKeyCool)
    - #28821: Handle fallback when currency has empty display names (by @jolelievre)
- Front Office:
  - Improvement:
    - #28232: Optimizing queries for checking address existence (by @Progi1984)
  - Bug fix:
    - #28838: Update AbstractForm.php for Multilanguage fields (by @panariga)
    - #29715: Fix discount detail in cart when a product has en ecotax with applied tax (by @mflasquin)
    - #29910: Fix image size when zooming on tablet (by @NeOMakinG)
    - #29665: Fix bad selector to fix checkbox issues on RMA (by @mflasquin)
    - #29632: Select new invoice address automatically (by @lartist)
    - #29471: Fix ps_facetedsearch - bad display after clearing a filter of no result (by @leemyongpakvn)
    - #29413: Fix displayPackPrice compare price value instead of formatted price (by @jolelievre)
    - #29373: Fix checkout when one module and no cgv validation (by @okom3pom)
    - #29055: Fix anchor links in product list (by @jolelievre)
    - #28904: Fix responsive for product quick view. (by @MeKeyCool)
    - #27841: Multistore - Product on category page display out of stock flag instead of availlable on order (by @Rizzen59)
    - #28426: Fix product images size consistency (by @MeKeyCool)
    - #27738: FO : Fix offset for "NEW" products listing (by @idnovate)
- Core:
  - Improvement:
    - #30454: Update composer dependencies (by @mflasquin)
    - #29586: [BC Break] Disable execution of multiple statements in a single SQL query (by @atomiix)
    - #29636: Upgrade Smarty to 3.1.47 (by @mflasquin)
    - #29235: Update prestashop 1.7.8.x composer dependencies (by @matks)
    - #29172: Save Smarty caching type setting in file instead of DB (by @atomiix)
    - #29227: Bump wishlist to 2.1.2 (by @NeOMakinG)
  - Bug fix:
    - #30114: Do not build a domain from the module name (Cherry pick of #30080) (by @atomiix)
    - #29504: Cherry-pick #29502 (by @atomiix)
    - #27422: [BC Break] Use core translations sources for themes in addition to the translations of the theme itself (by @atomiix)
    - #28780: Add cache to AddressFactory::addressExists() (by @eternoendless)
    - #28608: Set $registeredHookName as renderWidget when no hook given (by @PrestaEdit)Contributors
    - #GHSA-9qgp-9wwc-v29r: User needs to have rights to see /uploads/* content (by @atomiix)
- Installer:
  - Bug fix:
    - #30099: Fix issue on fresh installation with docker in branch 1.7.8.x (by @sefirosweb)
    - #29420: Clear translations cache before translating fixtures (by @atomiix)
    - #28845: Update to latest blockwishlist module version 2.1.1 (by @jolelievre)
- Tests:
  - Bug fix:
    - #29698: Disable apache mpm_event module in the CI (cherry-pick) (by @atomiix)
  - Refactoring:
    - #28682: Functional tests - Fix some random errors on nightly 178x (by @nesrineabdmouleh)

####################################
#   v1.7.8.7 - (2022-07-20)
####################################
- Core:
  - Bug fix:
    - #GHSA-hrgx-p36p-89q4: Chain: SQL Injection (CWE-89) and Eval Injection (CWE-95) (by @atomiix)

####################################
#   v1.7.8.6 - (2022-05-07)
####################################
- Back Office:
  - Bug fix:
    - #28301: Discount is not visible on customer group form (by @Amit-Kumar-Tiwari-Webkul)
    - #28185: Revert a change that caused a problem with bulk actions on the lists (by @kpodemski)
    - #27162: Increase maximum country state name length from 32 to 80 characters (by @rickygzz)
    - #27806: Change the way that smarty is escaped to avoid exception when parsing (by @Amoifr)
    - #27615: Fix header on default pages on mobile (by @NeOMakinG)
    - #28031: Handle empty outstanding_allow_amount field (by @atomiix)
    - #28076: Remove unwanted char (by @PierreRambaud)
- Front Office:
  - Improvement:
    - #28101: Remove .browserslistrc file on themes folder (by @micka-fdz)
  - Bug fix:
    - #28240: Added hooks for blockwishlist in classic theme (by @Progi1984)
    - #28117: Update function getCustomerOrders to avoid error (by @NicolasCador)
    - #28028: Remove duplicate error messages in account and address creation (by @atomiix)
    - #28112: Out of stock label displayed even stock management disabled (by @Amit-Kumar-Tiwari-Webkul)
    - #27922: Avoid Notice: Trying to access array offset on value of type bool (by @danidomen)
- Core:
  - Improvement:
    - #28362: Request prestashop/blockreassurance 5.1.0 for 1.7.8.6 (by @matks)
    - #28347: Bump modules (`blockwishlist` to 2.1.0, `ps_facetedsearch` to 3.8.0, `ps_imageslider` to 3.1.1) (by @Progi1984)
    - #28259: Upgrade prestashop modules (by @matks)
    - #28052: Fixed incompatibility of private property in PS 1.7.8.0 (by @matks)
  - Bug fix:
    - #28271: Add 1.7.8.6 SQL script (by @matks)
    - #28083: Remove useless sensio/distribution-bundle composer scripts (by @atomiix)
    - #26824: Avoid using _PS_PRICE_COMPUTE_PRECISION_ (by @mpaolino)
  - Refactoring:
    - #28171: Add missing translation domains in AdminController (by @lmeyer1)
- Installer:
  - Bug fix:
    - #26951: Fix Dockerfile for local image generation in branch 1.7.8.x under Linux (by @mpaolino)
- Web Services:
  - Bug fix:
    - #27555: Fix update attachment webservice (by @rsoulard-prolaser)
- Localization:
  - Improvement:
    - #28377: Update latests wordings for 178 (by @jolelievre)
- Tests:
  - Improvement:
    - #28044: Pin setup-gcloud to v0 instead of master (backport of #27974) (by @matks)
  - Refactoring:
    - #28346: Fix nightly 27-04-2022 - Fix random error on maintenance test (by @nesrineabdmouleh)
    - #27935: Fix nightly - Add iteration to search newsletter module from module catalog page (by @nesrineabdmouleh)

####################################
#   v1.7.8.5 - (2022-03-15)
####################################
- Back Office:
  - Bug fix:
    - #27843: Fix: login page float buggy on latest chrome version and long shop name problem (by @NeOMakinG)
    - #27776: Stock field must be empty and still be considered as zero (by @jolelievre)
    - #27763: Add help field when integer type is used to a form (by @okom3pom)
- Front Office:
  - Bug fix:
    - #27814: Fixed Microdata ItemList position : index starts to 1 and not 0 (by @Progi1984)
- Core:
  - Bug fix:
    - #27874: Hook getHookStatusByName should not be case-sensitive (by @lmeyer1)

####################################
#   v1.7.8.4 - (2022-02-24)
####################################
- Back Office:
  - Improvement:
    - #27150: Update links to reach docs.prestashop-project.org instead of doc.prestashop.com (by @PrestaEdit)
  - Bug fix:
    - #27430: Align checkboxes of multistore widget (by @NeOMakinG)
    - #27648: Removed double escape for Tree Node template (by @Progi1984)
    - #27516: Fix Entities Mapping (by @okom3pom)
    - #27372: Fix stock page padding-left (by @atomiix)
    - #27389: Fix bad display of progress bar for bulk actions (by @mparvazi)
    - #27333: Fix bad display of scrollbar for sidebar menu in RTL (by @mparvazi)
    - #27236: Fix customer grid data factory (by @rsoulard-prolaser)
    - #27296: Add class on light display layout and remove padding top (by @NeOMakinG)
    - #27330: Fix default value for Jquery colorpicker (by @sowbiba)
    - #27257: Hide default spin buttons for input number (by @mparvazi)
    - #27429: Add text nowrap to link btn inside grids (by @NeOMakinG)
    - #27225: Improve CMS edit page footer (by @Hlavtox)
- Front Office:
  - Bug fix:
    - #27748: Fix the category dropdown on the module catalog page (by @sowbiba)
    - #27406: Don't check if an invalid address exists over and over again (by @eternoendless)
    - #27586: Fixes error while adding product to cart in quantity check (by @vladikk007)
    - #27387: Remove z-index and overflow of product description of product list (by @NeOMakinG)
    - #27502: Fix responsive CSS in add-to-cart modal (by @saulaski)
    - #27376: Fix an unclear alert (by @rsoulard-prolaser)
    - #27374: Fix wrong array_slice arguments (by @atomiix)
- Core:
  - Improvement:
    - #27614: Updated modern email theme (by @Progi1984)
    - #27350: Upgrade Smarty to 3.4.43 (by @matks)
  - Bug fix:
    - #27647: Bump productcomments to 5.0.1 (by @Progi1984)
    - #27459: Remove duplicate by using distinct connection and also make sure carts are linked (by @PierreRambaud)
    - #26748: Instead of testing each hook if it is active, query once and cache. (by @lmeyer1)
- Installer:
  - Bug fix:
    - #27722: Fix translations installation broken by prefix (by @saulaski)
- Web Services:
  - Bug fix:
    - #27766: Fix multilang translator issue (by @jolelievre)
    - #27622: Fix Symfony Kernel in WebService dispatcher in 1.7.8.x (by @jf-viguier)
- Tests:
  - Refactoring:
    - #27679: Fix preview email themes test (by @nesrineabdmouleh)

####################################
#   v1.7.8.3 - (2022-01-05)
####################################
- Back Office:
  - Bug fix:
    - #26514: Allow all characters for Cart Rule & Order Cart Rule names (by @Progi1984)
    - #27114: Fix color picker bug when multiple colorpickers are present (by @Progi1984)
    - #27011: Use reverse translation for Tabs with no wording and domain (by @eternoendless)
    - #26839: [BC Break] Exclude directories when extracting module wordings (by @sowbiba)
    - #26590: Fixed error message when the order language is different of the employee language (by @Progi1984)
    - #26929: Bad display of label in Email theme page (by @okom3pom)
    - #26613: Remove header calculation and set toolbar to sticky (by @NeOMakinG)
    - #26714: Fix dropdown align on email theme page (by @NeOMakinG)
    - #26481: Fixed Recalculate Shipping when the carrier of an order is changed (by @Progi1984)
    - #26691: In BackOffice, fixed the header search box oversized height (by @mparvazi)
    - #26607: Fix unnecessary scrollbar (by @Hlavtox)
    - #27259: Fix left padding of header when sidebar menu is closed (by @NeOMakinG)
- Front Office:
  - Improvement:
    - #26798: Replaces the new product flag in the product flags by new (by @WebHelpersPau)
    - #26622: Fix manufacturer logo in Classic theme (by @SharakPL)
  - Bug fix:
    - #26998: Fix product width on featuredproducts (by @NeOMakinG)
    - #26706: [BC Break] Fix menu and searchbar on tablet on classic (by @NeOMakinG)
    - #26995: Add IE11 support to FO webpack (by @NeOMakinG)
    - #26887: Fixed the Newsletter block overlap on Customer Reassurance block (by @hibatallahAouadni)
    - #26703: Allow vertical scroll on product images (by @NeOMakinG)
    - #25855: [BC Break] Allowing to set different image ratio on product miniature, minor code refacto (by @Oksydan)
    - #26823: Fix listing classes when using facetedsearch (by @NeOMakinG)
    - #26658: Remove lazy load for logo (by @iqit-commerce)
- Core:
  - Improvement:
    - #27215: Bump modules (by @Progi1984)
    - #27083: Add allow-plugins entry for composer 2.2.x (by @atomiix)
    - #26630: Bump version to 1.7.8.3 (by @Progi1984)
  - Bug fix:
    - #27035: Let Symfony handle kernel reboot (by @atomiix)
    - #26987: Fix label_attr check in form_rest macro (by @atomiix)
    - #26699: Add missing parameter in RenderingHookEvent (by @atomiix)
    - #GHSA-mrq4-7ch7-2465: Server Side Twig Template Injection (by @PierreRambaud)
- Localization:
  - Bug fix:
    - #27193: Missing catalog (by @jolelievre)
- Tests:
  - Bug fix:
    - #27071: Do not trust the new composer binary mode (cherry pick of #27067) (by @atomiix)
  - Refactoring:
    - #26942: Fix tests 'Open help bar' on stocks page (by @boubkerbribri)
    - #26776: Use new commands on package.json and mochawesome-merge to push on nightly (by @boubkerbribri)

####################################
#   v1.7.8.2 - (2021-12-02)
####################################
- Core:
  - Improvement:
    - #21124: Bump version to 1.7.8.2 (by @matks)
  - Bug fix:
    - #26526: Fixed wishlist button disappear when products are filtered (by @alexandrebrubeyonds)
    - #26524: Fix webpack production build (by @NeOMakinG)
    - #GHSA-6xxj-gcjq-wgf4: Blind SQLi using Search filters (by @PierreRambaud)

####################################
#   v1.7.8.1 - (2021-11-04)
####################################

- Back Office:
  - Bug fix:
    - #26492: Fix the display of the State field and the Zip/Postal in the add new Tax rule page (by @khouloudbelguith)
    - #26465: Fix modal position on safari on order page (by @NeOMakinG)
    - #26447: Fix Attributes with comma not displayed in Stock management (by @alexandrebrubeyonds)
    - #26145: Fix time-val input buttons to change calendar date-range (by @mparvazi)
    - #26227: BO: Fix badly displayed buttons (by @hibatallahAouadni)
    - #25046: In MultiShop, In new Category, display the top category if there are more one root category (by @Progi1984)
    - #26365: Fix display of address format in Countries page (by @marwachelly)
    - #26358: Fix display of Category discount page (by @marwachelly)
    - #26328: Fix language dropdown when resizing window  in attribute creation page (by @marwachelly)
    - #26089: Allow multi-store changes on the Performance page (by @kpodemski)
    - #25822: [BC Break] Fixed pagination in Customer - View Page (by @Progi1984)
    - #25291: Show error delete product on order page admin (by @ytilotti)
    - #26026: BO: Fix the search button wrap (by @hibatallahAouadni)
    - #25760: Fixed error in SqlQueryValidator with multiple conditions in ON clause (by @Progi1984)
    - #25904: Fixed modal content when bulk delete combinations (by @Progi1984)
    - #25741: Some buttons should not be allowed to wrap (by @Hlavtox)
    - #25690: [BC Break] Fix config values not properly fetched in multistore context (by @matthieu-rolland)
    - #25497: Removed ecotax in invoice/orderslip PDF if ecotax is disabled (by @Progi1984)
    - #25523: Fixed empty translation for OrderReturn (by @Progi1984)
    - #25704: Fixed error on View Order when contains a customized product which has been deleted (by @Progi1984)
    - #25833: Fix exception when switching shop context after pushing a form on some configuration pages (by @matthieu-rolland)
    - #25725: Fix the save "meta_keywords" field on suppliers (by @gennaris)
    - #25084: Fix menu active items spacing (by @NeOMakinG)
    - #25427: Fix overflowing buttons (by @Hlavtox)
    - #25612: Fix helpbox outside form label on product page (by @NeOMakinG)
    - #25557: Fix floating button spacing on migrated pages (by @NeOMakinG)
    - #25205: BO : Moved addresses block in Customer Page (by @Progi1984)
    - #25386: Fixed selector call for enabling back the confirmation modal when changing the currency by default (by @Progi1984)
- Front Office:
  - Bug fix:
    - #26434: Fix adding to cart with the click on the icon (by @kpodemski)
    - #26410: Backport Fix Simple anchors do not work #26380 (by @alexandrebrubeyonds)
    - #26289: Fix disabled attribute on checkout on classic (by @NeOMakinG)
    - #26225: Prevent BC breaks related to the shop logo (by @kpodemski)
    - #25903: Fixed preview of product in frontoffice (by @Progi1984)
    - #25857: [BC Break] Fetch and set logo image size inside template (by @Oksydan)
    - #25551: Fixed JSON-LD with productcomments module data (by @Progi1984)
    - #25961: Fixed display of attributes in cart on Frontoffice (by @Progi1984)
    - #25556: Fix product list layout on responsive on classic theme (by @NeOMakinG)
    - #25524: Fixed comma in conditional variable for JSON-LD (by @Progi1984)
    - #25387: Product flags: Fixed spacing with multiples flags on frontoffice (by @Progi1984)
    - #25569: Fix next icon going outside imageslider on classic theme (by @NeOMakinG)
    - #25192: Make searchbar full width on md and xs (by @NeOMakinG)
- Core:
  - Improvement:
    - #26525: Update native modules (by @atomiix)
    - #26085: Update changelog for 1780 RC1 Build6 (by @sowbiba)
    - #25958: Bump version to 1.7.8.1 (by @Progi1984)
  - Bug fix:
    - #26221: Fix SQL query in OrderQueryBuilder (by @atomiix)
    - #25777: Fix supplier error when trying to see products linked to the supplier (by @atomiix)
- Installer:
  - Bug fix:
    - #25311: In upgrade, fixed configuration update on multi store (by @Seb33300)
- Tests:
  - Bug fix:
    - #25679: Use node_14.x instead of node_10.x (by @PierreRambaud)
  - Refactoring:
    - #25828: Fix module's filter and product's quick view tests (by @boubkerbribri)
    - #25804: JS-doc : Fix argument and returns types for pages (by @boubkerbribri)
    - #25769: Delete step identifiers for common tests to fix the generated report (by @boubkerbribri)
    - #25652: Refacto international tests (by @boubkerbribri)
    - #25188: Change member to type for data files to fix js-doc (by @boubkerbribri)
    - #25737: Do not delete suppliers to fix errors on "Filter stocks by supplier" test (by @boubkerbribri)
    - #25707: Add Timeout on stock page function (by @SD1982)
    - #25699: Add a default value to cart rule code on faker file (by @boubkerbribri)
    - #25289: Functional tests - Refacto customers/addresses tests (by @nesrineabdmouleh)
    - #25685: Change db prefix for sql tests (by @boubkerbribri)
    - #25178: Add js-doc on some data classes (by @boubkerbribri)
    - #25681: Update stock location default value on faker file (by @boubkerbribri)
    - #25307: Functional tests - Refacto customer service tests (by @nesrineabdmouleh)
    - #25354: Functional tests - Refacto shipping and payment tests (by @nesrineabdmouleh)
    - #25263: Functional tests -  Refacto brands & suppliers tests (by @nesrineabdmouleh)
    - #25158: Functional tests - Update JS doc for FO pages (by @nesrineabdmouleh)
    - #25189: Functional tests - Refacto customers tests (by @nesrineabdmouleh)
    - #25664: Run tests with different DB prefix (by @boubkerbribri)
    - #25275: Functional tests - Refacto Files, Discounts and Stocks tests (by @nesrineabdmouleh)
    - #25357: Fix create product with combination (by @nesrineabdmouleh)
    - #24969: Add new FO test "Write a review" (by @SD1982)

####################################
#   v1.7.8.0 - (2021-10-04)
####################################

- Back Office:
  - Bug fix:
    - #25898: Fixed selector in computePriceTaxIncluded (by @Progi1984)
- Front Office:
  - Bug fix:
    - #25388: FrontOffice : Use formatted ecotax price (by @Progi1984)
- Core:
  - Bug fix:
    - #25982: Fix CLI install (by @atomiix)

####################################
#   v1.7.8.0-rc.1 - (2021-09-17)
####################################

- Back Office:
  - New feature:
    - #23948: Add history feature of edit combination of product page v2 (by @NeOMakinG)
    - #24745: Form builder modifier (by @jolelievre)
  - Improvement:
    - #25038: [BC Break] Fix TinyMCE max length computing in BO (by @jolelievre)
    - #25121: Update translations catalogue with Welcome module wordings (by @sowbiba)
    - #25039: Disable product V2 page when multistore is used (by @matthieu-rolland)
    - #24025: Add SubmittableInput successfull and error states (by @NeOMakinG)
    - #24713: Fix missing scrollbar on multistore dropdowns (by @micka-fdz)
    - #24811: Fix invalid html attribute on multistore fields (by @matthieu-rolland)
    - #24469: Multistore header on product pages (by @matthieu-rolland)
    - #24661: Display tab for extra modules in product page (by @jolelievre)
    - #24876: Add classes for sort links on legacy pages (by @boubkerbribri)
  - Bug fix:
    - #25874: Apply PR #25833 into 1.7.8.0-build (by @matthieu-rolland)
    - #25875: Apply PR #25690 to 1.7.8.0-build (by @matthieu-rolland)
    - #25749: Product combination price edit : Use blur instead of onkeyup to avoid price flip (by @sowbiba)
    - #25634: [BC Break] Do not use name in admin_orders_display_customization_image_route (by @PierreRambaud)
    - #25489: Fixed selector for fetching if the tax is included  (by @Progi1984)
    - #25495: Check variable before using it (by @Progi1984)
    - #25428: Don't recalculate total when PS_ORDER_RECALCULATE_SHIPPING is 0 and editing a carrier (by @Progi1984)
    - #24991: Fix combination ecotax display and edition (by @jolelievre)
    - #25364: Fix inputs prefilling bug when a combination is added to an order (by @jolelievre)
    - #25378: Order Product Search: Limit only if the search phrase length is greater than 2 characters and HTTP Code Error become a 400 (by @Progi1984)
    - #25375: In Order view, set the lang of the order for order messages (by @Progi1984)
    - #25326: Create empty Customer when the customer or the guest has been deleted (by @PierreRambaud)
    - #24620: [BC Break] No email check in  BO > Advanced Parameters > Logs page (by @okom3pom)
    - #25286: Fix cart rule that can be used more than once per user when it shouldn't (by @matthieu-rolland)
    - #24339: Add number comma formatter (by @PierreRambaud)
    - #25107: Fixed meta title in BO - Order View (by @Progi1984)
    - #25200: In Invoice PDF, escape customization name (by @Progi1984)
    - #24324: Orders View : Display right price depending configuration (by @Progi1984)
    - #25106: Fixed management of INNER JOIN & GROUP BY in SqlQueryValidator (by @Progi1984)
    - #25059: [BC Break] Fixed translated order messages in Order View (by @Progi1984)
    - #25034: Fix checkbox direction on RTL (by @NeOMakinG)
    - #25035: Fix product footer direction using RTL language (by @NeOMakinG)
    - #24052: Open confirm modal only when eligible for feature flag form (by @matks)
    - #25082: Fix category create in product page (by @zuk3975)
    - #24869: Fix no active payment module displayed in Payment Methods (by @atomiix)
    - #25004: Fix help sidebar on Experimental Features BO Page (by @matks)
    - #24890: Fix top buttons on order view on mobile (by @NeOMakinG)
    - #24657: BO - New Order - Warn when product's stock of a pack are empty (by @Progi1984)
    - #24851: Twig extension for multistore shop context URLs (by @PierreRambaud)
    - #24918: Fix table responsive of multistore page (by @NeOMakinG)
    - #24882: Restore ability to disable translations tree item (by @sowbiba)
    - #24899: Avoid errors display when Emails translations lang.php does not exist (by @sowbiba)
    - #24762: Fixed adding a free shipping cart rule on a 0.00 order (by @Progi1984)
    - #24765: Fix edit price modal showed when adding same product in multi-invoices (by @atomiix)
    - #24770: Added currency BYN TO CLDR dataset (by @olecorre)
    - #24773: BO - Order Preview : Added email (by @Progi1984)
    - #24892: Fix experimental product page creation link (by @matthieu-rolland)
    - #24848: Avoid setting height to 0 if height isn't defined on product dropzone (by @NeOMakinG)
    - #24837: Fix zoom on theme email grid and legacy dropdowns (by @NeOMakinG)
    - #24794: Fix js error when adding voucher in create order (by @atomiix)
    - #24728: Remove unwanted bundle.js call (by @PierreRambaud)
    - #24867: Fix order notes not being saved  (by @matthieu-rolland)
    - #24813: Fix header toolbar getting over content on mobile and table (by @NeOMakinG)
    - #24665: Fix dropzone component design on product page v2 (by @NeOMakinG)
    - #24282: Remove unwanted margins on order page cards (by @NeOMakinG)
    - #24330: Disable Menus tab and deny access (by @sowbiba)
    - #24771: Build assets (by @Progi1984)
    - #24736: Fix create-test-db (by @zuk3975)
    - #24696: Fix delete modal translation (by @jolelievre)
    - #24594: Fix order create page on product qty update (by @NeOMakinG)
    - #24718: The addProductNewInvoiceInfo is not displayed when creating new invoice (by @PierreRambaud)
    - #24679: Fix free shipping cart rule should not be recalculate when PS_ORDER_RECALCULATE_SHIPPING is false (by @atomiix)
    - #24576: BO - New Order - Empty gift message is not a null value (by @Progi1984)
- Front Office:
  - Improvement:
    - #23480: Improve accessibility of classic theme forms by adding for and ids (by @NeOMakinG)
  - Bug fix:
    - #25635: Fix html lang attribute to use the locale instead of ISO code (by @NeOMakinG)
    - #25665: Load medium size thumbnail on click on FO product page, instead of large (by @matthieu-rolland)
    - #25629: Use _DB_PREFIX_ constant instead of ps_ in SQL queries (by @PierreRambaud)
    - #25343: Fix broken product page when changing template (by @matthieu-rolland)
    - #25316: Fix blocking add to cart button (by @kpodemski)
    - #25216: Fix brands links not clickable inside description (by @NeOMakinG)
    - #24868: Fixed cart rule on selected product with product with ecotax (by @Progi1984)
    - #25101: Fix RTL issues on material icons on FO (by @NeOMakinG)
    - #24754: Removed free shipping from cumulative reduction (by @Progi1984)
    - #24320: Bug fix for number of decimals in product price (by @samberrry)
    - #24323: Update classic webpack and fix watch issue by adding webpack-cli locally (by @NeOMakinG)
    - #24600: FO - Validate field values when creating customer account (by @sowbiba)
    - #24852: Fix 404 layout for wrong category (by @atomiix)
    - #24795: Fix checkout page details removed and wrong price when adding/removing voucher (by @atomiix)
    - #24849: Fix wrong tab selected after changing a product combination on the FO (by @atomiix)
    - #24680: Fix unclosed div in product-list.tpl (by @kpodemski)
- Core:
  - Improvement:
    - #25778: Changelog for 1.7.7.8 (by @sowbiba)
    - #25757: Define version to 1778 (by @sowbiba)
    - #25630: Bump version to 1.7.7.7 (by @PierreRambaud)
    - #25484: Update ps_linklist to 5.0.4 and ps_searchbar to 2.1.1 (by @sowbiba)
    - #25449: Build assets on 1.7.7.x  (by @matthieu-rolland)
    - #25447: Update prestashop modules on 1.7.7.x (by @matthieu-rolland)
    - #25141: Upgrade ps_linklist to 5.0.3 (by @sowbiba)
    - #25131: Bump module ps_linklist to 5.0.2 (by @sowbiba)
    - #25120: Update Welcome module to 6.0.6 (by @sowbiba)
    - #25102: Update ps_linklist module to v5.0.1 (by @sowbiba)
    - #24957: Bump modules Welcome to 6.0.5 & ProductComments to 4.2.2 (by @Progi1984)
    - #24885: Register new hooks for 1.7.8.0 (by @matks)
    - #24729: Update linklist to v4 (by @atomiix)
    - #24717: Update native modules (by @atomiix)
  - Bug fix:
    - #25784: Use null coalescing operator to fix notice (by @kpodemski)
    - #25613: Fix missing hook behavior when we want an array return (by @kpodemski)
    - #25413: Fix performance issue on Smarty template caching (by @lukaslau)
    - #25111: Fix compiled legacy container (by @atomiix)
    - #25098: Remove precision type for currency (by @sowbiba)
    - #24774: Fix missing product indexation after creation on product page V2 (by @matthieu-rolland)
    - #24866: Set country GB to non-EU country (by @juraj1000)
    - #24682: Add missing Grid and Router JS components (by @kpodemski)
    - #24821: Handle CustomerAddressGridDefinitionFactory in CLI context (by @atomiix)
    - #24829: Show formatted Load time in Profiler (by @kpodemski)
- Installer:
  - Bug fix:
    - #25306: Fix 1.7.7.2 upgrade (by @Seb33300)
    - #24908: Fixed default value for Currency after upgrade (by @Progi1984)
    - #24924: Add missing supplier for product pack in fixtures (by @PierreRambaud)
    - #24847: Fix hook wording (by @PululuK)
- Localization:
  - Bug fix:
    - #24902: Wording corrections before RC (by @jolelievre)
    - #24723: Fix domain wordings (by @jolelievre)
- Tests:
  - Improvement:
    - #25365: Re-enable Behat test about product duplicate translation (by @matks)
  - Bug fix:
    - #25494: Fix fail by adding a dateFrom when create cartRule without code (by @SD1982)
    - #25486: Fix dateTo selector for E2E tests (by @sowbiba)
    - #25320: Fix languages test install (by @jolelievre)
    - #25344: Disable failing Behat test about product duplicate translation (by @matks)
    - #25292: Fix 1.7.8.x test for product duplicate (by @okom3pom)
    - #25281: Rise Apache Travis timeout to workaround addons module install issues (by @matks)
  - Refactoring:
    - #25201: Functional tests - (Refacto) Delete 'uppercaseFirstCharacter()' method (by @nesrineabdmouleh)
    - #25167: Functional tests - CRUD cart rule with/without code (by @nesrineabdmouleh)
    - #25233: Functional tests - Refacto categories tests (by @nesrineabdmouleh)
    - #25259: Functional tests - Refacto attributes and features tests (by @nesrineabdmouleh)
    - #25341: Functional tests - Refacto modules and design tests (by @nesrineabdmouleh)
    - #25249: Create more order statuses to allow pagination (by @boubkerbribri)
    - #25150: Fix pagination condition on shopping cart test (by @boubkerbribri)
    - #25171: Functional tests - Refacto login tests (by @nesrineabdmouleh)
    - #25250: Functional tests - Refacto monitoring tests (by @nesrineabdmouleh)
    - #25219: Functional tests - Refacto products tests (by @nesrineabdmouleh)
    - #25333: Caching playwright browsers on github workflows (by @boubkerbribri)
    - #24995: Functional tests - Add Js doc for catalog pages (by @nesrineabdmouleh)
    - #25104: Functional tests - Refacto 'Orders > Delivery slips' tests (by @nesrineabdmouleh)
    - #25128: Functional tests - Add js doc for 'Advanced parameters' pages (by @nesrineabdmouleh)
    - #25108: Functional tests - Refacto 'Orders > Shopping carts' tests (by @nesrineabdmouleh)
    - #25126: Fix currency precision regression test (by @boubkerbribri)
    - #25088: Functional tests - Add some refacto to Orders>Invoices tests (by @nesrineabdmouleh)
    - #25047: Fix nightly tests for 21-06-2021 (by @boubkerbribri)
    - #25057: Fix menu check on regression test (by @boubkerbribri)
    - #24996: Fix nightly 17-06-2021 (by @nesrineabdmouleh)
    - #24972: Functional tests - Add some refacto to orders and credit slips (by @nesrineabdmouleh)
    - #24951: Change attribute name to something more specific to fix filter (by @boubkerbribri)
    - #24783: Fix pages name for link list module (by @boubkerbribri)
    - #24894: Update Js doc for design pages (by @nesrineabdmouleh)
    - #24699: Functional test - Add quick access test (by @nesrineabdmouleh)
    - #24904: Wait for navigation after click on FO menu (by @boubkerbribri)
    - #24870: Improve selectors and functions on statuses page (by @boubkerbribri)
    - #24862: Improve orders selectors for UI tests (by @boubkerbribri)
    - #24787: Add regression test 'Access to Menu tab on Bo should be denied' (by @boubkerbribri)
    - #24789: Add jsdoc for classes: imageType, invoice, language, orderMessage, orderReturnStatus, orderStatus, product, profile (by @boubkerbribri)
    - #24775: Add class for columns on legacy tables to be able to target them on tests (by @boubkerbribri)
    - #24737: Add ids for link to download sample file on import page (by @boubkerbribri)
    - #24660: Update Js documentation for customers pages (by @nesrineabdmouleh)
    - #24720: Add selectors for view customer service page and fix autocomplete test (by @boubkerbribri)

####################################
#   v1.7.8.0-beta.1 - (2021-05-31)
####################################

- Back Office:
  - New feature:
    - #23865: Add product attribute generation to product page v2 (by @NeOMakinG)
    - #24134: Remove combination from list (by @jolelievre)
    - #24096: Handle images selection in combination form (by @jolelievre)
    - #24056: Handle combination suppliers in product page v2 (by @jolelievre)
    - #24038: Implement Product Page V2 flag behavior (by @matks)
    - #23788: Add combinations filters to product page v2 (by @NeOMakinG)
    - #23956: Combination form part 2 in new Product Page (by @jolelievre)
    - #23940: Disable add new customer button in all shops or in a group context (by @matks)
    - #23703: New BO page Experimental Feature (by @matks)
    - #23812: Edit combination modal (by @jolelievre)
    - #23672: Add photoswipe to zoom on images on product page v2 (by @NeOMakinG)
    - #23907: Enable header toolbar buttons to be disabled and use it for Add an Order (by @matks)
    - #23894: Multistore dropdown in configuration forms (by @matthieu-rolland)
    - #23292: Multistore header on migrated pages  (by @matthieu-rolland)
    - #23684: [BC Break] Add sortable feature to product page v2 images dropzone (by @NeOMakinG)
    - #23687: Add Cover, Caption (with translation) and replace images to product v2 page (by @NeOMakinG)
    - #23667: Product brand integration (by @jolelievre)
    - #23668: Product form adaptation (by @jolelievre)
    - #23616: Add the Image component on new edit product page (by @NeOMakinG)
    - #23661: Update and delete product image (by @jolelievre)
    - #22379: [BC Break] Multistore checkboxes on maintenance configuration pages (by @matthieu-rolland)
    - #23159: Integrate Product features form (by @jolelievre)
    - #23044: Manage product redirection in SEO tab (by @jolelievre)
    - #23088: Introduce Product Feature value command (by @jolelievre)
    - #22921: Product page SEO tab (by @jolelievre)
    - #22922: New hooks on grid component table (by @kpodemski)
    - #20125: Multistore: assign a color to a shop group (by @matthieu-rolland)
    - #21103: Introduce UpdateProductStockCommand (by @jolelievre)
    - #19982: Add order internal notes (by @ks129)
    - #20106: Multistore: assign a color to a shop (by @matthieu-rolland)
    - #20207: Added hook & gravatar management for avatar employee  (by @Progi1984)
    - #20114: Allow employee to choose their own avatar (by @Progi1984)
    - #18691: Introduce smart price search for Catalog Price rule query builder (by @matks)
    - #18622: Remove call to profile.prestashop.com (by @matks)
    - #19299: Add basic structure for new Product startup (by @jolelievre)
    - #17818: Suggest to have at least 2 payment methods (by @matks)
  - Improvement:
    - #24541: Remove inline-style from form_row of the UIKit and adapt js (by @NeOMakinG)
    - #24614: Fixed error message for avoiding duplicate order message name (by @Progi1984)
    - #24089: Improve Product getAttributesResume function for MySQL 8 (by @daresh)
    - #24076: Adjust product v2 page design and add unavailable feature component (by @NeOMakinG)
    - #24272: Fix `dashtrends` module position during install (by @PululuK)
    - #24085: Load modules built in translation catalogues (by @sowbiba)
    - #24109: Replace "on sale" flag by "price drop" (by @marionf)
    - #24049: [BC Break] Export translation catalogues (by @sowbiba)
    - #24042: Improve multistore dropdown behavior (by @matthieu-rolland)
    - #23968: Display module's multistore compatibility in description (by @matthieu-rolland)
    - #24009: Use object mapping in multistore-header js (by @matthieu-rolland)
    - #24040: Update prestakit to v1.2.3 (by @NeOMakinG)
    - #24045: Register translation wordings for Feature Flag (by @matks)
    - #24037: Load Product Page V2 Feature flag at install (by @matks)
    - #23871: Improve product dropzone code quality (by @NeOMakinG)
    - #24032: Add multistore info messages (by @matthieu-rolland)
    - #24028: Fixed wording domains in multistore dropdown template (by @matthieu-rolland)
    - #21737: Added support for Addons API stability channel (by @Progi1984)
    - #23943: Improve compatibility in legacy code for new product_type field (by @jolelievre)
    - #23330: New Product Page JavaScript model (by @jolelievre)
    - #23794: List attribute groups CQRS query using Doctrine EntityRepository (by @jolelievre)
    - #23877: Refacto product command builder (by @jolelievre)
    - #23840: Disable shop context switching from the multistore header if the shop has no URL (by @matthieu-rolland)
    - #23298: Add TinyMCE mobile theme in the BO (by @NeOMakinG)
    - #22999: Add eslint on the default BO theme (by @NeOMakinG)
    - #23702: Introduce real product type field (by @jolelievre)
    - #23602: Product shortcuts (by @jolelievre)
    - #23527: BO / Cart rule / Improve product selection (by @jf-viguier)
    - #18396: Import source files of the UIKit instead of dist files to use prestakit variables (by @NeOMakinG)
    - #23510: Fix visibility of const OutstandingGridDefinitionFactory::GRID_ID (by @matks)
    - #23020: Add consistency to page blocks in the BO (by @NeOMakinG)
    - #23409: Allow module exception to be displayed to make debugging easier (by @Quetzacoalt91)
    - #23146: Update BO theme style in legacy pages to match the UI kit (by @NeOMakinG)
    - #23374: BO: Remove unused variable (by @idnovate)
    - #23293: Improve naming of the Hook Collector in Symfony debug bar (by @matks)
    - #23105: Refacto notification and user pan on mobile (by @NeOMakinG)
    - #23155: Adjust notifications and profile modal on mobile on default theme (by @NeOMakinG)
    - #23180: Set combinations attributes closed by default if combinations > 0 (by @NeOMakinG)
    - #23173: Hide category tree by default on product page (by @NeOMakinG)
    - #22886: Add stylelint on default BO theme (by @NeOMakinG)
    - #22888: Change create order buttons position and wording (by @NeOMakinG)
    - #22772: Swap default theme sass files to scss (by @NeOMakinG)
    - #22984: Remove header button on mobile and push these into new floating btn (by @NeOMakinG)
    - #23003: Update Symfony debug toolbar link to developer documentation (by @matks)
    - #22955: Fix product image form display in mobile view (by @itsvahid)
    - #22766: Improve ProductCommandBuilderInterface for multi return (by @jolelievre)
    - #22316: Add confirm modal on module update (by @NeOMakinG)
    - #22436: Update legacy pages style in order to collapse a bit more to the UIKit (by @NeOMakinG)
    - #22349: Hide recommended modules and help on mobile view in the BO (by @NeOMakinG)
    - #22479: Adjust BO menu on responsive (font-sizes, margins, closing cross, signout) (by @NeOMakinG)
    - #22670: Set leading zero to always and remove cache (by @NeOMakinG)
    - #22280: Add product specific price command (by @jolelievre)
    - #22136: Integrate CQRS commands into new product page (by @jolelievre)
    - #21909: Change every toggle on grids to the new ps-switch component (by @NeOMakinG)
    - #22427: Add scroll on kpis on mobile and adjust some sizes (by @NeOMakinG)
    - #22034: Move the default page after the permission profile (by @Arman-Hosseini)
    - #22356: Remove breadcrumb on responsive mobile (by @NeOMakinG)
    - #22373: Change some alerts on improve translations to helpbox (by @NeOMakinG)
    - #22359: Hide gamification icon on header on mobile responsive view (by @NeOMakinG)
    - #22331: Configuration should be a twig function and not a twig filter (by @PierreRambaud)
    - #21935: Use UIKit material radio elements everywhere in forms (by @NeOMakinG)
    - #21050: Grid bulk delete confirmation modal - Monitoring (by @sowbiba)
    - #21468: Add event and object assign to symfony routes JS side (by @NeOMakinG)
    - #21234: Simplified customer preferences (by @JevgenijVisockij)
    - #19776: Allow developers to use their own tinymce config (by @NeOMakinG)
    - #22001: Fix some typos in admin filemanager (by @matks)
    - #21818: Improve feature wording in Product Settings page (by @matthieu-rolland)
    - #17253: [BC Break] Upgrade to PrestaShop UI KIT v1.2.0 (by @NeOMakinG)
    - #21375: Add override list to admin Information page (by @unlocomqx)
    - #20430: [BC Break] Allows profile to override the avatar of employee (by @Progi1984)
    - #21471: Add EventEmitter to prestashop global js object (by @NeOMakinG)
    - #21583: Payment > Preferences - Update message in all shops or in a group context (by @marionf)
    - #21153: Removed mention tax in invoice when Tax is disabled (by @Progi1984)
    - #21656: Detect click but not drag and drop on grid (by @NeOMakinG)
    - #21665: Fix PHPDoc AdminController::$explicitSelect (by @comxd)
    - #21511: Remove unused webpack and npm files in admin-dev (by @NeOMakinG)
    - #21253: Rename product price fields labels (by @marionf)
    - #21332: Replace spread by condition and assign, add an event to init components (by @NeOMakinG)
    - #21372: Update decimal number to version 1.4 And update all use statements (by @jolelievre)
    - #21276: Fix typo in AdminController code (by @ksaandev)
    - #21328: Improve SQL requests on specific prices (by @clotairelims)
    - #21215: Improvement/emphasize irreversibly of thumbs regeneration (by @aleksiuno)
    - #21260: Remove Add/Update/Delete CustomizationField handlers (Redundant & Untested) (by @zuk3975)
    - #21264: Clean  a bit class AdminController (by @ksaandev)
    - #21121: Make Module manager error notifications fixed (by @Sinepel)
    - #21166: Change default 'Erase previous images' button state to no (by @aleksiuno)
    - #21072: Simplify computeMappingBetweenOldAndNewPositions() (by @davidglezz)
    - #20261: Modify adresses listing in Customer page to use Grid instead (by @sowbiba)
    - #21082: Grid bulk delete confirmation modal - Advanced Parameters > DB > SQL Requests (by @sowbiba)
    - #21081: Grid bulk delete confirmation modal - Advanced Parameters > Team > Profiles (by @sowbiba)
    - #20584: Split BO css into multiple bundles (by @NeOMakinG)
    - #21086: Grid bulk delete confirmation modal - Shop Parameters > Traffic SEO URLs (by @sowbiba)
    - #21084: Grid bulk delete confirmation modal - Advanced Parameters > Webservice keys (by @sowbiba)
    - #21083: Grid bulk delete confirmation modal - Advanced Parameters > DB > Backups (by @sowbiba)
    - #21085: Grid bulk delete confirmation modal - Shop Parameters > Contacts (by @sowbiba)
    - #21080: Grid bulk delete confirmation modal - Advanced Parameters > Team > Employees (by @sowbiba)
    - #21079: Grid bulk delete confirmation modal - Advanced Parameters > Emails (by @sowbiba)
    - #21033: Grid row delete confirmation modal - Customer service > Order messages (by @sowbiba)
    - #21074: Function mobileNav has no arguments (by @davidglezz)
    - #20998: Use php FILTER_VALIDATE_DOMAIN filter in MediaServerConfiguration's validateConfiguration method (by @matthieu-rolland)
    - #20413: [BC Break] Use SymfonyContainer::getInstance() instead of ContainerBuilder::getContainer('admin') (by @atomiix)
    - #20926: Addons url with good language when exist (by @okom3pom)
    - #20965: Remove undefined 2nd argument passed to scrollToPreviousPaginationBar() (by @davidglezz)
    - #20799: Modify discounts listing in Customer page to use Grid - Delete modal (by @sowbiba)
    - #20591: Introduce Javascript component loading through window.prestashop (part1) (by @JevgenijVisockij)
    - #20200: Use ChoiceType in Log severity column filter (by @PululuK)
    - #20742: Add $delta_quantity to hookActionUpdateQuantity() (by @Sinepel)
    - #20375: Correct stylelint browsers on new-theme (by @NeOMakinG)
    - #20305: Better form errors display for Address form (by @matks)
    - #20449: Add undeclared variables in AdminController (by @justeen35)
    - #20475: Typo Error in AdminOutstandingController.php (by @Amit-Kumar-Tiwari-Webkul)
    - #20483: Typo error in AdminRequestSqlController.php (by @Amit-Kumar-Tiwari-Webkul)
    - #20329: Format add webservice key log like deletion log (by @ksaandev)
    - #20364: Fix typo (by @ksaandev)
    - #20224: Add id_specific_price in list (by @PululuK)
    - #20195: Log when webservice key is deleted (by @ksaandev)
    - #20253: Grid row delete confirmation modal - Customers > Addresses (by @sowbiba)
    - #20242: Add deprecated message on js files in order to inform about next major possible deletions (by @NeOMakinG)
    - #20078: BO > CUSTOMERS > GENERAL SETTINGS : Wrong helper description (by @PululuK)
    - #18690: Remove unwanted replace and raw calls in twig and fix js error (by @PierreRambaud)
    - #19951: Truncate category description in BO list view (by @ks129)
    - #19882: Remove duplicated info_outline icon in stock alert (by @PululuK)
    - #19831: When new webservice key is created, add log (by @ksaandev)
    - #18981: Improve adresses block in customer BO page (by @PululuK)
    - #19570: Better performance for manufacturer's admin query (by @Skullbock)
    - #16876: Support ip subnet in maintenance mode (by @jf-viguier)
    - #19286: UX improvements in the Backup page (by @PululuK)
    - #19580: Remove pagination on Modules to update List (by @Progi1984)
    - #18322: Grid row delete confirmation modal - Catalog > Monitoring (by @sowbiba)
    - #19529: Refacto AddProductCommand and introduce GetEditableProduct query (by @jolelievre)
    - #18362: Grid row delete confirmation modal - Advanced parameters > DB > SQL Requests (by @sowbiba)
    - #18986: Remove useless old call to addons (by @matks)
    - #18095: Paste product combination tokens and highlight invalid tokens (by @MarkALeonard)
    - #17436: Update BO theme/default webpack to v4.41 and its dependencies (by @NeOMakinG)
    - #18323: Grid row delete confirmation modal - Catalog > Suppliers (by @sowbiba)
    - #18324: Grid row delete confirmation modal - Catalog > Brands > Addresses (by @sowbiba)
    - #18325: Grid row delete confirmation modal - Catalog > Brands > Brands (by @sowbiba)
    - #16763: [BC Break] Add stylelint and correct every errors of BO new-theme (by @NeOMakinG)
    - #18356: Grid row delete confirmation modal - International > Localization > Languages (by @sowbiba)
    - #18355: Grid row delete confirmation modal - Design > Pages (by @sowbiba)
    - #18357: Grid row delete confirmation modal - International > Localization > Currencies (by @sowbiba)
    - #18358: Grid row delete confirmation modal - Shop parameters > Traffic SEO > SEO URLs (by @sowbiba)
    - #18359: Grid row delete confirmation modal - Advanced parameters > Emails (by @sowbiba)
    - #18360: Grid row delete confirmation modal - Advanced parameters > Team > Employees (by @sowbiba)
    - #18361: Grid row delete confirmation modal - Advanced parameters > Team > Profiles (by @sowbiba)
    - #18363: Grid row delete confirmation modal - Advanced parameters > DB > Backups (by @sowbiba)
    - #18365: Grid row delete confirmation modal - International > Taxes (by @sowbiba)
    - #18364: Grid row delete confirmation modal - Advanced parameters > Webservice (by @sowbiba)
    - #18366: Grid row delete confirmation modal - Shop parameters > Contacts (by @sowbiba)
    - #18176: Remove double border in TinyMCE translatable field (by @davidglezz)
    - #17426: Update new-theme webpack to v4.41 and its dependencies (by @NeOMakinG)
    - #17703: Add a confirmation modal when deleting a row from a grid in Catalog > Files (by @sowbiba)
    - #18098: Add return to Tools::deleteFile() method (by @Arman-Hosseini)
    - #18022: Remove useless spaces for Ceuta and Melilla (by @LouiseBonnard)
    - #16704: Implement eslint on new-theme directory (by @PierreRambaud)
    - #17018: Cover Category CommandHandlers and QueryHandlers by behat tests  - Part 2 (by @tdavidsonas88)
    - #17257: Fix some links with http and no https (by @matks)
    - #16964: Refactor UI kit form theme and apply it to the Performance page (by @eternoendless)
  - Bug fix:
    - #24697: Fix product stats alignment on order view page (by @NeOMakinG)
    - #24447: Fix order view layout of right column (by @NeOMakinG)
    - #24283: [BC Break] Add info block background to order page (by @NeOMakinG)
    - #24577: Customer Service page - A title section is not well displayed (by @okom3pom)
    - #24677: Update vue-style-loader to fix scoped css bug (by @jolelievre)
    - #24253: Backport #23902 with new modal content (by @atomiix)
    - #24580: Fix  the alignment  columns  Features and Attributes (by @okom3pom)
    - #24572: Fix npm vulnerabilities and update webpack everywhere except classic (by @NeOMakinG)
    - #24596: Fix primary buttons not being inline on Theme & Logo > Pages configurations (by @NeOMakinG)
    - #24576: BO - New Order - Empty gift message is not a null value (by @Progi1984)
    - #24355: Fix Multistore dropdown in current group context (by @matthieu-rolland)
    - #24632: Wrong get and set data for employee options configuration (by @PierreRambaud)
    - #24573: Fix title layout on order view page (by @NeOMakinG)
    - #24539: Added style for maintenance page (by @Progi1984)
    - #24485: Fixed an error displayed in the console when changing the order status -  Orders list page  (by @arouiadib)
    - #24565: Order View - Discount Modal - Disable submit until name is filled (by @Progi1984)
    - #24579: BO - Order Messages - Avoid message with duplicate name (by @Progi1984)
    - #24568: BO - Order Preview - Use the tracking number in tracking url (by @Progi1984)
    - #24527: Restricted to all shop context for Order Status controller (by @Progi1984)
    - #24427: Fixed wrong price of the delivery slip of the document list (by @Progi1984)
    - #24456: Fix js error in console in multistore mode (by @matthieu-rolland)
    - #24479: Fix php7.4 incompability warning (by @matthieu-rolland)
    - #24217: [BC Break] Restore check when using the SQL manager part (by @PierreRambaud)
    - #24461: Fix missing _this replacement with that (by @atomiix)
    - #24243: Fix escape in ps_1771_update_customer_note() (by @dali-rajab)
    - #24434: Remove order_view asset on 1.7.8.x (by @NeOMakinG)
    - #24356: Fix javascript error in console in multistore `create shop` page (by @matthieu-rolland)
    - #23138: [BC Break] Fix gift added/removed when editing order (product quantity/shipping address) (by @atomiix)
    - #24353: Fix module activation checkbox in module configuration pages (by @IcarusSosie)
    - #24273: Implement Address Format in the View Order Page (by @Progi1984)
    - #23492: Fixed Ecotax when editing an Order ((Add/Update)ProductToOrder) (by @Progi1984)
    - #24269: Fix already selected condition group on safari inside catalog price rules (by @NeOMakinG)
    - #24268: Enable translation export button only when export choices are made (by @atomiix)
    - #24274: Fix getting CLDR data when creating a new currency (by @atomiix)
    - #24213: Add missing product form hooks (by @zuk3975)
    - #24211: Make multistore dropdown appear in group shop context  (by @matthieu-rolland)
    - #24286: Clear Module::getModuleIdByName_ when installing a module (by @atomiix)
    - #23902: [BC Break] Take customizations into account when performing operations on orders (by @atomiix)
    - #24168: Fix obvious bugs in product page (by @jolelievre)
    - #24266: Increase minimum size of the Quantity field in Partial Refund (by @atomiix)
    - #24247: Add missing window assignments in javascript default theme (by @PierreRambaud)
    - #24187: Add hardcoded translation entry for Experimental Features Navbar link (by @matks)
    - #24128: Force All shops context for Experimental Features BO page (by @matks)
    - #24129: Fix bug on cover when you select only one image on dropzone of product page v2 (by @NeOMakinG)
    - #23927: Display multishop header for translations page and lock it to all shops context (by @sowbiba)
    - #18082: Make BO menu translatable (by @eternoendless)
    - #23857: Change signature of TranslationFinder::getTranslationFilesFromPath to accept null pattern (by @sowbiba)
    - #24005: Fix order details product pagination not showing (by @atomiix)
    - #23995: Rename currency column into name (by @PierreRambaud)
    - #23967: Fix role in combination list (by @jolelievre)
    - #23846: Fix options is undefined on right-sidebar of default theme (by @NeOMakinG)
    - #23856: Fix for issue where log controller would crash in dev mode. Declare variable severityMessage (by @Prestaworks)
    - #23844: Fix BOEvent not being on window object anymore (by @NeOMakinG)
    - #23599: Fix module page responsive bug on modal nav, close icon and icon height (by @NeOMakinG)
    - #23583: Remove unused bootstrap classes causing side effects on nav (by @NeOMakinG)
    - #23232: Add custom tinymce configuration on migrated pages (by @NeOMakinG)
    - #23818: Fixed legacy "view my shop" link when multistore is not used (by @matthieu-rolland)
    - #23811: Remove instock (by @WebHelpersPau)
    - #23752: Fixes issue with credit slip not downloading (by @JevgenijVisockij)
    - #22942: Add html validation to radio buttons on category tree (by @NeOMakinG)
    - #23678: Update the version of the UIKit to 1.2.2 (by @NeOMakinG)
    - #23630: Fix "Trying to access array offset on value of type ..." error for legacy creation forms (by @ks129)
    - #23608: Fix shadow of right sidebar on responsive (by @NeOMakinG)
    - #23502: Harmonize wordings of notifications pan (by @NeOMakinG)
    - #23568: Fix logout and hover colors on profile pan responsive (by @NeOMakinG)
    - #22438: Make root category of a shop non editable (by @sowbiba)
    - #23499: Fix renderStock signature changed on 1.7.7 on create order page (by @NeOMakinG)
    - #23371: Improve accessibility in the BO (by @NeOMakinG)
    - #23483: Fix payment module list responsive in the BO (by @NeOMakinG)
    - #23541: BO / Cart rule / neutralize titles (by @jf-viguier)
    - #23137: Trigger change() on attribute_priceTE when clicking save button to handle broken localization packs. (by @Prestaworks)
    - #23405: Make sure array are correctly filled in Customer class (by @PierreRambaud)
    - #23507: Fix search icon height (by @NeOMakinG)
    - #23234: Translations - ThemeExporter : Use array of directories when getting catalog (by @sowbiba)
    - #23425: Additional checks for var existence in Admin Features controller (by @kpodemski)
    - #23223: Update TinyMCE and some plugins to 4.9.11 (by @NeOMakinG)
    - #23283: Fix textbox not clickable of tinymce because of z-index (by @NeOMakinG)
    - #23205: Cast productSupplier reference to string (by @zuk3975)
    - #23177: Init switches when adding new customization on product page (by @NeOMakinG)
    - #23072: Fix help modal BO responsive (by @NeOMakinG)
    - #23136: Up status select padding to avoid text getting under arrow (by @NeOMakinG)
    - #23069: Fix sidebar visibility when hidden by default on default theme (by @NeOMakinG)
    - #23092: Fix fields width when view is disabled on product page (by @NeOMakinG)
    - #22148: Fix specific prices redution form (by @PululuK)
    - #22919: Fix spacing, padding and bugs on responsive (by @NeOMakinG)
    - #23052: Improve responsivity of customer block in order admin (by @Hlavtox)
    - #23030: Fix duplicate id on floating button (by @NeOMakinG)
    - #22996: Align labels to right and space on red star (by @NeOMakinG)
    - #22988: Hide shop name on mobile (by @NeOMakinG)
    - #22662: Fix buttons height on mobile on order view page (by @NeOMakinG)
    - #22884: Fix carrier depth, height and width limits (by @Prestaworks)
    - #22895: Adjust items alignment of order view header (by @NeOMakinG)
    - #22736: Update the UIKit to the latest release (by @NeOMakinG)
    - #22807: Adjust payment page responsive (by @NeOMakinG)
    - #22761: Fix mobile dropdown of multishop context on default theme of the BO (by @NeOMakinG)
    - #22777: Allow extra fields in product combinations (by @Renrhaf)
    - #22698: Module manager page needs some adjusts on mobile (by @NeOMakinG)
    - #22403: Do not use raw in DataColumn (by @PierreRambaud)
    - #22619: Fix invisible input in SEO Options (by @PierreRambaud)
    - #22691: Fix stock page responsive (by @NeOMakinG)
    - #22742: Fix some width and spacing of kpis pan (by @NeOMakinG)
    - #21249: Make sure the force ssl is used in Cookie class when we are in admin context (by @PierreRambaud)
    - #22723: Fix scss for linter (by @matks)
    - #22526: Change color of view website and add icon color on hover (by @NeOMakinG)
    - #22585: AdminStats Controller use the good column for total (by @okom3pom)
    - #21623: Fix help text not displayed in form_row (by @NeOMakinG)
    - #22519: Adjust notifications pan on mobile (by @NeOMakinG)
    - #22284: [BC Break] Improve grid definition action column extendability (by @zuk3975)
    - #22365: Fix order view pan overflow (by @NeOMakinG)
    - #19946: Fixed avatar employee in Logs Page (by @Progi1984)
    - #22407: Method assertCmsCategoryExists doesn't return anything, it throws an exception (by @PierreRambaud)
    - #21563: Allow '+' in Base URI and show error when Base URI is invalid (by @atomiix)
    - #22376: Fixed case where saving virtual product attachment is modifying product price if a specific price is set on the product (by @gennaris)
    - #22421: Adapt tinymce toolbar depending of the width it has free (by @NeOMakinG)
    - #22453: Fix border radius on kpis pan (by @NeOMakinG)
    - #21852: Fix buttons in toolbar going over title on small screens (by @NeOMakinG)
    - #22317: Bad display in categories page when sorting data (by @PierreRambaud)
    - #22369: Update ubuntu font to avoid polish bug (by @NeOMakinG)
    - #22411: Fix tooltip position on grid items (by @NeOMakinG)
    - #22371: Remove padding left on label on mobile responsive view (by @NeOMakinG)
    - #22362: Fix every pages padding on responsive mobile view (by @NeOMakinG)
    - #20330: Fixed combination with an hyphen in Stock Manager (by @Progi1984)
    - #22107: The LIMIT 1 has no aim, retrieve all connected guest instead (by @PierreRambaud)
    - #22079: Use the same condition as it is in ShopUrlType (by @PierreRambaud)
    - #22073: Adjust container of positions page and alert size (by @NeOMakinG)
    - #21309: Restore See More & See less for the Module Manager (by @PierreRambaud)
    - #21939: Fix number increase and validate button position on stock page (by @NeOMakinG)
    - #22102: Fix payment layout broken on small screens (by @NeOMakinG)
    - #21972: Change wrongs growls used into success one (by @NeOMakinG)
    - #22061: Add select2 to the import localization select (by @NeOMakinG)
    - #21886: Fix radius on some custom components (by @NeOMakinG)
    - #21793: Fix Customer view Vouchers & Addresses tables (by @atomiix)
    - #21985: Remove wrong div endblock on order page view after the 177 merge (by @NeOMakinG)
    - #21947: Adjust modal position when wrong used with a form (by @NeOMakinG)
    - #21628: Stream downloaded file for HTTP/2 (by @sylwit)
    - #21960: Fix legacy form selectors (by @matthieu-rolland)
    - #21931: Remove special case of Product::toggleStatus (by @jolelievre)
    - #21892: Fix badges on customer page (by @NeOMakinG)
    - #21849: Fix alert of compromised page and center window (by @NeOMakinG)
    - #21576: No alert displayed when changing the status with bulk action in legacy controllers (by @PululuK)
    - #21690: Handle '+' sign in url when using 'back' parameter to redirect (by @atomiix)
    - #21856: Adjust birthday inputs on create customer page (by @NeOMakinG)
    - #21883: Fixing phpstan errors after cart rules (by @JevgenijVisockij)
    - #21684: Fix customer addresses edit/delete redirection (by @atomiix)
    - #21625: Don't trim arrays in AdminStoresController::postProcess : they delete it (by @jf-viguier)
    - #21141: Changed the naming for attributes in product list (by @Progi1984)
    - #21013: Fix message on Module Manager when post_max_size limitation is reached (by @Matt75)
    - #21643: Fix td alignment of merchandise return filters (by @NeOMakinG)
    - #21617: Show gift package and message on every details tabs of order view (by @NeOMakinG)
    - #21673: Fix checkbox going over label on multishop add shop (by @NeOMakinG)
    - #21456: Fixed sort for column ID Order in Shopping Carts Grid (by @Progi1984)
    - #21554: Fix layout breaking on order when discount name is way too long (by @NeOMakinG)
    - #21351: BO - Import CSV - sample for manufacturer not OK (by @PululuK)
    - #21429: Fix symfony cache clear (by @jolelievre)
    - #21093: Fix function typo when changing address on create order (by @sowbiba)
    - #20942: Use SF cache pool prune after module action (by @matks)
    - #21237: Fix the french exotax percentage displayed as an example (by @marionf)
    - #21335: Fixed "Add new alias" button which was disappearing after adding a new alias. [BO][Shop param][search] (by @roncarino)
    - #21168: Fix FrontController names in modules hook-exceptions (by @dali-rajab)
    - #21239: Fix deletion message in edit product page (by @marionf)
    - #21218: Fix tab entity tabLangs variable mapping (by @aleksiuno)
    - #21277: Fixed call for Windows PrestaShop Components (by @Progi1984)
    - #21250: Fix left sidebar while onboarding is on (by @NeOMakinG)
    - #21073: Improve calendar Javascript setup (by @davidglezz)
    - #19703: Handle empty states for category grids (by @atomiix)
    - #20940: Check if SSL is enabled for smarty $base_url (by @okom3pom)
    - #20688: Show profile icon on mobile and hide see my shop text (by @NeOMakinG)
    - #20320: Fixed alert system failing when the $error variable is malformed (by @jimmydupre)
    - #20508: Fix FormSubmitButton method (by @davidglezz)
    - #20188: Notifications bell icon read fix (by @rajat315315)
    - #20681: Fixed language deletion with open_basedir restriction (by @rozwell)
    - #20680: Fixed the reset of the unit_price_ratio when the product is activated / deactivated from the product listing page (by @artaban)
    - #19404: Put back prefix for filter name inside CustomerQueryBuilder (by @juliendombret)
    - #20713: Fix merge error (by @atomiix)
    - #20614: Wrong validation while uploading product image more than defined size limit. (by @Amit-Kumar-Tiwari-Webkul)
    - #20699: Fix width of invoice quantity column on certain langs (by @NeOMakinG)
    - #20774: Do not put the user as connected if he's not connected (by @PierreRambaud)
    - #20387: Allow duplicates in log when an error is thrown in hooks (by @Quetzacoalt91)
    - #20381: Order return states grid - Remove unnecessary filters merge (by @sowbiba)
    - #20434: Fixed default value for the form Add Employee (by @Progi1984)
    - #20361: Add Apple Touch Icon (by @Progi1984)
    - #20328: Fixed the title 'List of products without description' (by @Progi1984)
    - #20289: Fix wrongly placed block end tag in carts/helpers/view/view.tpl (by @Sinepel)
    - #20260: Fix color of cursor using arrow keyboard on product page (by @NeOMakinG)
    - #20153: Product duplication in table ps_product_supplier (by @levyn)
    - #19968: Fixed specific price list in the product editor (by @Rolige)
    - #20149: BackOffice - Addresses page - Fix error after saving new address  (by @PululuK)
    - #19239: Always display "Related product" title (by @idnovate)
    - #19947: Fixed preview in Order Page (by @Progi1984)
    - #20070: Fix incorrect redirect URL parameter when editing translations (by @Xesau)
    - #20028: BO - Customers / Wrong redirection after creating a new address from the customer detail page (by @JoshHargreaves)
    - #19738: Fixes the import configuration save on BO (by @joemugen)
    - #19865: Handle 'no combination' specific price submit (by @matks)
    - #19692: Access denied admin tabs (by @HamzaElghanoui)
    - #17819: [BC Break] Split configuration forms into single form management (by @PierreRambaud)
    - #18510: Fix "The stock counter is not updated when actions on cart products are performed " (by @arouiadib)
    - #19525: Fixed used route for checking notifications in BO (by @Progi1984)
    - #19453: Help on textarea (twig) show 2 times (by @clotairelims)
    - #18954: Wrong value for tpl_vars['back']  in AdminController::renderForm (by @manudas)
    - #17651: [BC Break] Update tinymce from 4.0.16 to 4.9.8 (by @NeOMakinG)
    - #19102: Fixed error when no Memcached servers are available. (by @Progi1984)
    - #19289: Fix empty email subject in the translation interface (by @Amit-Kumar-Tiwari-Webkul)
    - #19510: Fix Missing required fields in import  (by @PululuK)
    - #18937: Wrong redirection when using the quick search for a category (Second) (by @PululuK)
    - #19507: Update favicon alt + title name in BO (by @Klemart3D)
    - #19216: Fix to show the Modules tab in the product editor - global hook fix (by @Rolige)
    - #18399: Fix create order customers not being rendered (by @atomiix)
    - #19338: Fix options in CustomerAddressType (by @zuk3975)
    - #19037: [BC Break] Fixed BackOffice Notification when Settings disable it (by @Progi1984)
    - #19361: Fixed the SMTP Configuration Toggler (by @Progi1984)
    - #19080: Change product status in the BO search results (by @PululuK)
    - #19026: Enable drag-and-drop for Grid listings in both directions (by @matks)
    - #18876: Remove array to string conversion in bulk delete address faulty usecase (by @matks)
    - #19140: Fix partial refund display issues in order page (BO) (by @matthieu-rolland)
    - #19191: When the thread refers to a product, the generated link are wrong (by @runningz)
    - #19020: BO - Catalog price rule - Currency sort and filter not working as expected #19014 (by @PululuK)
    - #19021: BO - Save button design change if an error message is displayed (by @PululuK)
    - #18757: Fix wrong image path in the colorPicker when using renderOptions (by @ramtin2025)
    - #18735: Fix "mixed content" message. (by @OliverCG)
    - #18628: Remove duplicate attributes  (by @PululuK)
    - #18554: Fix init method not existing in module_card (by @NeOMakinG)
    - #18327: Fix regex for category thumb delete route (by @gett-thijssimonis)
    - #17860: Fix display for RTL languages for Helper cards by changing animation (by @NeOMakinG)
    - #17467: Category admin jumps to home when deleting a category. (by @PululuK)
    - #17972: Wrong declination reference displayed on pack composition (by @PululuK)
    - #17765: Fix shipping price in orders demo (by @marionf)
    - #17923: Correct generatorRuntime on new-theme to fix an error on add currency page (by @NeOMakinG)
    - #18033: Remove tabs for summary and description fields in product page (by @davidglezz)
    - #18041: Fix layout problem in BO Products category Filter (by @davidglezz)
    - #18051: Fix Module Catalog page - The Menu "process-icon-dropdown" is not well displayed on mobile by adjusting sass (by @NeOMakinG)
    - #18040: Fix Brand dropdown empty value (by @davidglezz)
    - #18035: Fix popover not hidden when changing product tab (by @davidglezz)
    - #17497: Increase bo cookie lifetime from 15 to 60 minutes (by @jf-viguier)
    - #17459: Adjust zindex header to avoid it behind over the menu on mobile (by @NeOMakinG)
    - #16543: Fixing menu animation to be opened properly (by @NeOMakinG)
    - #17450: Don't loose group access on object model category save() (by @jf-viguier)
    - #17043: Display symbols in form in case of error, remove DefaultLanguage constraint (by @jolelievre)
    - #16961: Remove useless customer query filter statements (by @matks)
  - Refactoring:
    - #24653: Remove abstract product handler (by @zuk3975)
    - #23900: Construct category tree using JS on product page v2 (by @NeOMakinG)
    - #24013: Add images to combinations list (by @zuk3975)
    - #23350: Integrate virtual product file upload in product form (by @zuk3975)
    - #23696: [BC Break] Use new components on translation BO interface (by @sowbiba)
    - #21924: [BC Break] Simplified contact form (by @JevgenijVisockij)
    - #23921: Attributes list api for combinations filtering (by @zuk3975)
    - #23913: Get categories tree query and endpoint (by @zuk3975)
    - #23727: Add filtering and sorting to combination list (by @zuk3975)
    - #23579: Remove useless code since migration to BO new-theme (by @e-gaulue)
    - #21652: Simplify database settings, DB Backup and add new database query forms (by @JevgenijVisockij)
    - #20370: Migrate "Improve > International > Locations > Zones" and create/edit of zones (by @ks129)
    - #23675: Add remove feature on product page v2 (by @NeOMakinG)
    - #23581: Update combination inputs from list (by @zuk3975)
    - #23649: [BC Break] Clean all dependencies between PrestaShopBundle and Core (by @sowbiba)
    - #20737: Migrate carriers listing (by @ks129)
    - #22476: [BC Break] Simplify cms forms (by @JevgenijVisockij)
    - #23621: [BC Break] Restructure translation components (by @sowbiba)
    - #23475: Introduce javascript pagination component for combinations (by @zuk3975)
    - #23296: [BC Break] Add ProviderDefinition and complete Factory (by @sowbiba)
    - #23127: [BC Break] Simplify 'Add a theme' form (by @JevgenijVisockij)
    - #21243: Simplified the Administration form (by @JevgenijVisockij)
    - #23284: Implement SetCombinationSuppliers & RemoveAllCombinationSuppliers commands (by @zuk3975)
    - #20288: Migrate "Customers > Outstanding" (by @ks129)
    - #23386: Introduce UpdateVirtualProductFileCommand (by @zuk3975)
    - #23363: Implement DeleteVirtualProductFile command (by @zuk3975)
    - #23362: Modify namespace related to VirtualProductFile (by @zuk3975)
    - #21553: [BC Break] Simplify email form (by @JevgenijVisockij)
    - #23128: Integrate customizationFields in product form options tab (by @zuk3975)
    - #23043: Translations: Add catalogue and tree providers (by @sowbiba)
    - #22277: Introduce UpdateCombinationFromListCommand (by @zuk3975)
    - #23179: Move stock related classes to Stock namespace (by @zuk3975)
    - #21527: [BC Break] Simplify translations form (by @JevgenijVisockij)
    - #22743: Integrate suppliers form in product options (by @zuk3975)
    - #23076: Add deprecation notice on $location of Product and Combination (by @zuk3975)
    - #22986: Integrate product quantities form and related command (by @zuk3975)
    - #21878: Simplified add language form (by @JevgenijVisockij)
    - #18136: [BC Break] Use grid common search action where possible (1.7.8 target) (by @zuk3975)
    - #22849: Move customization into product subdomain namespace (by @jolelievre)
    - #22378: [BC Break] Get rid of empty string of redirect type from database structure (by @zuk3975)
    - #19996: Simplify Suppliers form (by @JevgenijVisockij)
    - #22703: Integrate product options form and related command (by @zuk3975)
    - #22745: Move stock services into proper namespace (by @jolelievre)
    - #22718: Move combination namespace into product sub namespace (by @jolelievre)
    - #22474: Simplify brand and brand address forms (by @JevgenijVisockij)
    - #22725: Move image namespace into product sub namespace (by @jolelievre)
    - #22726: Move virtual product file namespace into product sub namespace (by @jolelievre)
    - #22722: Move attribute group services into proper namespace (by @jolelievre)
    - #22477: Added form theme to the address required fields (by @JevgenijVisockij)
    - #22663: Integrate product shipping form and related command (by @zuk3975)
    - #21923: Simplified currency form (by @JevgenijVisockij)
    - #22614: Move SpecificPrice command and handlers into a product sub domain (by @jolelievre)
    - #21472: Simplify traffic and seo (by @JevgenijVisockij)
    - #21653: [BC Break] Simplify webservices forms (by @JevgenijVisockij)
    - #22185: Add UpdateCombinationStock command (by @zuk3975)
    - #21115: Make FormattedTextAreaType works with TranslatableType (by @JevgenijVisockij)
    - #22380: Add behat test scenarios for wholesale_price change when assigning supplier (by @zuk3975)
    - #19995: [BC Break] Simplify Attachment form (by @JevgenijVisockij)
    - #21219: Simplify shop parameters/general (by @JevgenijVisockij)
    - #21804: Introduce AddVirtualProductFileCommand (by @zuk3975)
    - #22244: Split ProductOptions to ProductDetails (by @zuk3975)
    - #21245: Simplified the import form (by @JevgenijVisockij)
    - #20103: [BC Break] Simplify Order messages form (by @JevgenijVisockij)
    - #22238: Rename UpdateCombinationOptionsCommand to *Details* and add $weight handling (by @zuk3975)
    - #22167: Add UpdateCombinationPrices command (by @zuk3975)
    - #22132: Add UpdateCombinationOptionsCommand [product page migration] (by @zuk3975)
    - #20518: Add GenerateProductCombinationsCommand (by @zuk3975)
    - #22090: Remove redundant customization field commands (by @zuk3975)
    - #21336: Refactor UpdateProductPricesHandler to use ProductRepository [product page migration] (by @zuk3975)
    - #21345: Refactor UpdateProductSeoHandler to use ProductRepository (by @zuk3975)
    - #21510: [BC Break] Introduce ProductImageUploader and AddProductImageCommand [product page migration] (by @zuk3975)
    - #21679: [BC Break] Simplify customer form (by @JevgenijVisockij)
    - #21550: [BC Break] Introduce DuplicateProductCommand [product page migration] (by @zuk3975)
    - #21443: Made it so order preferences uses the same form theme as all others simplified forms (by @JevgenijVisockij)
    - #21289: Refactor admin notifications.js (by @davidglezz)
    - #19048: Migrate Cart Rule listing (by @JevgenijVisockij)
    - #21861: Add behat tests for UpdateProductStatusCommand (by @zuk3975)
    - #21796: Improve attachment tests to check multiple languages (by @zuk3975)
    - #21672: Made switch type not required (by @JevgenijVisockij)
    - #21244: Simplified carrier preferences (by @JevgenijVisockij)
    - #21776: Made sure getErrorsByLocale doesn't return empty (by @JevgenijVisockij)
    - #21062: [BC Break] Make locale errors from translatable type work with locale (by @JevgenijVisockij)
    - #21321: Introduce ProductCategoryUpdater and use it in handlers. Remove AbstractProductCategoryHandler (by @zuk3975)
    - #21110: Use ProductRepository in AddProductHandler (by @zuk3975)
    - #21397: Introduce ProductTagUpdater & RemoveAllAssociatedProductTags & RemoveAllAssociatedAttachments command (by @zuk3975)
    - #21400: Introduce ProductPackUpdater & add behats for packing combinations (by @zuk3975)
    - #21417: Introduce Command/Query handlers for related products (by @zuk3975)
    - #21338: [BC Break] Feature/simplifiy localization form (by @JevgenijVisockij)
    - #21360: Change typo function name initOrderStatutsList (by @taoufiqaitali)
    - #21355: Simplifies geolocation form (by @JevgenijVisockij)
    - #21325: Introduce ProductShippingUpdater & use it in UpdateShippingHandler (by @zuk3975)
    - #21301: Add commands for Specific Price priorities handling (by @zuk3975)
    - #21307: Refacto UpdateProductOptionsHandler to use Product repository (by @zuk3975)
    - #21295: Deprecated AddSpecificPriceCommand getter/setter & clarified misnamed property (by @zuk3975)
    - #21226: Modify partial update in AbstractObjectModelRepository to simplify argument & implement it in UpdateProductBasicInformationHandler (by @zuk3975)
    - #21223: Introduce namespaces in adapter - Update, Validate, Repository. Move recent services. (by @zuk3975)
    - #20544: Add RemoveAllAssociatedProductSuppliersCommand (by @zuk3975)
    - #20830: Introduce SetAssociatedProductAttachmentsCommand and AssociateProductAttachmentCommand (by @zuk3975)
    - #21117: Use ProductCustomizationFieldUpdater service in CustomizationFieldHandlers (by @zuk3975)
    - #21060: Fix get scalar value from VO in recently merged deleter services (by @zuk3975)
    - #21053: Introduce CannotBulkDeleteCustomizationFieldException (by @zuk3975)
    - #20805: Add DeleteProductCommand and BulkDeleteProductCommand (by @zuk3975)
    - #20549: Add RemoveAllCustomizationFieldsFromProductCommand And Introduce AbstractObjectModelPersister (by @zuk3975)
    - #20828: Introduce ManufacturerIdInterface for ValueObjects (by @jolelievre)
    - #20473: Add UpdateProductSeoCommand (by @zuk3975)
    - #20546: Add RemoveAllProductsFromPackCommand (by @zuk3975)
    - #20815: Fix product.yml ident to 4 spaces (by @zuk3975)
    - #20829: Fix code style in Tree.php (by @zuk3975)
    - #20553: Add GetProductSupplierOptions query. Remove it from ProductForEditing (by @zuk3975)
    - #20554: Add manufacturer to UpdateProductBasicInformationCommand (by @zuk3975)
    - #20532: Add RemoveAllAssociatedProductCategoriesCommand (by @zuk3975)
    - #20491: Fix UpdateCustomizationFieldsHandler todo (by @zuk3975)
    - #20515: Fix supplier service name to fit namespace convention (by @zuk3975)
    - #20488: Implement combinations generator which uses php Generator (by @zuk3975)
    - #20299: Add UpdateProductSuppliers command (by @zuk3975)
    - #20107: Add UpdateProductShipping command (by @zuk3975)
    - #17215: Symfony migration of Order statuses + Order return statuses listing and forms (by @sowbiba)
    - #20016: [BC Break] Simplify Address form (by @JevgenijVisockij)
    - #20204: [BC Break] Simplified credit slip options (by @JevgenijVisockij)
    - #19838: Add modal actions to attribute and attribute actions (by @JevgenijVisockij)
    - #19964: Add UpdateProductCustomizationFields command (by @zuk3975)
    - #19866: [BC Break] Simplify Taxes and Tax options forms (by @JevgenijVisockij)
    - #19871: Add UpdateProductCategoriesCommand (by @zuk3975)
    - #19938: Adjust UpdatePack command to be able to remove items (by @zuk3975)
    - #19923: [BC Break] Removed AdminCategoryControllerWrapper (by @Progi1984)
    - #19827: UpdateProductPackCommand (by @zuk3975)
    - #19852: Manage UpdateProductTagsCommand in separate command / handler (by @zuk3975)
    - #19732: UpdateProductOptions Command (by @zuk3975)
    - #19542: UpdateProductPricesCommand (by @zuk3975)
    - #19648: Number extractor service (by @zuk3975)
    - #19655: Use setFieldsToUpdate() in UpdateProductBasicInformationHandler (by @zuk3975)
    - #19598: Fix Product object model default values (by @zuk3975)
    - #19577: Refactor EditableProduct to ProductForEditing (by @zuk3975)
    - #19530: UpdateProductBasicInformationCommand (by @zuk3975)
    - #19407: UpdateProductDescriptionCommand (by @zuk3975)
    - #18672: AddProductCommand (by @zuk3975)
    - #19402: Rename and deprecate confusing method in classes/Configuration.php (by @zuk3975)
    - #18184: Rework help-box making it reusable and more maintenable by regrouping markups (by @NeOMakinG)
    - #18314: Removed redundant code (by @Hk-tang)
    - #18097: Remove unused result in for statement (by @Arman-Hosseini)
    - #17391: Fix develop according to linter (by @matks)
- Front Office:
  - New feature:
    - #22447: Add hook to display information in category header (by @Hlavtox)
    - #21578: Added a new hook call "displayProductPriceBlock" with type "custom_price" (by @zapalm)
    - #21377: New hooks for ProductListingFrontController (by @zapalm)
    - #20143: Add actionGetProductPropertiesAfterUnitPrice hook (by @olecorre)
    - #19538: Add displayNewsletterRegistration hook in classic (by @jf-viguier)
    - #16872: Allow everyone to track their order from guest tracking (by @Hlavtox)
    - #17477: Register new 1.7.8 hooks into XML and SQL files (by @matks)
  - Improvement:
    - #24151: Replace price drop flag by on sale (by @marionf)
    - #22908: Set different 404 strings for different behaviors on classic theme (by @NeOMakinG)
    - #23858: Fix breadcrumb and h1 on prices drop page (by @marionf)
    - #24014: Update "node-sass" dep from 4.13.1 to 4.14.1 (by @mvorisek)
    - #23776: Enable to back to shop in admin login page (by @PululuK)
    - #23760: Fix uses of #fff instead of $white in the classic and new-theme scss (by @NeOMakinG)
    - #20929: Avoid loading all combinations in memory when only one is needed (by @jbenezech)
    - #23151: Remove microdata in html flow and replace by JSON-LD for classic theme (by @fdonnet)
    - #23309: Add ID field in global template vars (by @PululuK)
    - #23056: Change classic selectors to js prefixed selectors (by @NeOMakinG)
    - #23175: Remove redundant operation in ProductController (by @eternoendless)
    - #22813: Remove box-shadows from classic theme (by @NeOMakinG)
    - #22417: Add breadcrumb rich data on the frontpage (by @tswfi)
    - #19231: Add caching on Theme Yaml parsing (by @Kioob)
    - #21491: Add id_product_attribute to order conf  mails (by @IAmWebSA)
    - #22539: Show help message for PageNotFound for ajax calls (by @matks)
    - #20775: [BC Break] Improve classic theme colors, font size and spaces and readability (by @NeOMakinG)
    - #21642: Add inputpattern on quantity fields of product and cart (by @NeOMakinG)
    - #21725: Avoid global markup duplicate in checkout.tpl (by @micka-fdz)
    - #21425: Add autocomplete attributes on FO login form (by @NeOMakinG)
    - #20080: Add eslint to themes and classic folders (by @NeOMakinG)
    - #21611: Add swipe on product images on mobile (by @NeOMakinG)
    - #21612: Add selected combinations value inside product page (by @NeOMakinG)
    - #21273: Fixes wrong url in credit-slip e-mail (by @okom3pom)
    - #21651: Change product unit price color to brand primary (by @NeOMakinG)
    - #21654: Select first payment method if only one is available (by @NeOMakinG)
    - #21513: Change classic readme in order to avoid missunderstanding (by @NeOMakinG)
    - #21490: Title tag required to make html 5 valid (by @taoufiqaitali)
    - #21258: Added 404 page without redirections on category page if category doesn't exists (by @Xaconi)
    - #21114: Fixed CSS issues when using DisplayProductPriceBlock (by @idnovate)
    - #20140: Add hooks to cart modal - crosseling and promotion (by @Hlavtox)
    - #21330: Return a real 404 when product doesn't exist instead of a 302 redirection (by @Sinepel)
    - #21217: Make FO product delivery time bold (by @aleksiuno)
    - #20967: Improve refresh checkout page js (by @davidglezz)
    - #21011: Add product link in summary cart  (by @PululuK)
    - #20909: Cleaner way to have highlighted text on invalid address (by @kpodemski)
    - #20811: Bump elliptic from 6.4.1 to 6.5.3 in /themes (by @dependabot[bot])
    - #20812: Bump elliptic from 6.4.0 to 6.5.3 in /themes/classic/_dev (by @dependabot[bot])
    - #20813: Bump elliptic from 6.5.2 to 6.5.3 in /admin-dev/themes/default (by @dependabot[bot])
    - #20309: Improve sitemap-nested-list.tpl (by @davidglezz)
    - #20203: [BC Break] Adding a link to the general terms and conditions in the checkout footer (Opquast n°45) (by @Sinepel)
    - #20721: Add property free_shipping to presented cart to ease FO usage (by @awitkutarahil)
    - #20403: Remove useless assignment of logout_url in MyAccountController (by @Sinepel)
    - #20384: Add classic stylelint (by @NeOMakinG)
    - #20410: Replace index.php?controller=404 by pagenotfound (by @Sinepel)
    - #20282: Reduce conditions complexity (by @davidglezz)
    - #20297: Simplify is_gift checking in checkout tpl (by @davidglezz)
    - #20002: Add selectors mapping so themes can override it (by @NeOMakinG)
    - #19560: Implement Native Lazy Loading on theme classic (by @Progi1984)
    - #20132: Enable hook 'displayAfterProductThumbs' to access product - thanks @elburgl69 (by @matks)
    - #19455: Add hook displayAfterTitleTag (by @cdcvince)
    - #20096: Show last visible order state in customer order history page (by @matthieu-rolland)
    - #19762: FO: Refresh checkout hook (by @idnovate)
    - #19756: Change material font in order to add new icons (by @NeOMakinG)
    - #19428: Add event on toggleOrderButton in order to provide state of checkbox to payment modules (by @NeOMakinG)
    - #18904: FO: show browser-native error messages during payment selection step in checkout (by @patrickmyh)
    - #19384: Replaced h2 title by h1 in the product listing of the catalog (by @Progi1984)
    - #16828: Improve search performance for large shops (by @Darhazer)
    - #19535: Remove unused code (by @idnovate)
    - #18704: Prevent Tabnabbing (by @h8h)
    - #17296: Add displayProductPriceBlock hook (by @idnovate)
    - #17562: Mailto - Spam Bot improvement - thanks @waschier-design (by @matks)
    - #17869: Add linkedin to classic theme with SVG icon (by @NeOMakinG)
    - #18068: Improve img accessibility (by @davidglezz)
    - #17243: Permit submit form button to be outside of a form with a form attribute (by @NeOMakinG)
    - #17203: Add override hooks into Presenters (by @matks)
  - Bug fix:
    - #24610: Fixed check on array in template Smarty (by @Progi1984)
    - #24428: Correct logo size of classic theme (by @NeOMakinG)
    - #24239: Typo in head-jsonld.tpl, shop logo link: correction for #23151 (by @fdonnet)
    - #24457: Fix final summary exception (by @atomiix)
    - #24430: Improve CartPresenter performance, and allow Order to retrieve default_image (by @PierreRambaud)
    - #24379: Fix smarty product lazy load exception (by @atomiix)
    - #24270: Fix exception thrown in FO when category not active or doesn't exists (by @atomiix)
    - #24315: Fix quickview image size on FO (by @NeOMakinG)
    - #24325: Move notifications inside content wrapper to fix a regression (by @NeOMakinG)
    - #24248: Use combination image instead of the cover image in cart (by @PierreRambaud)
    - #24012: Remove touchstart even on TouchSpin on FO (by @NeOMakinG)
    - #23903: No image available in German: fix typo. (by @lmeyer1)
    - #23841: Fix autocomplete UI going under the header on classic theme (by @NeOMakinG)
    - #23528: Fix, hide desactivated  categories in breadcrumbs (by @mkdgs)
    - #8738: FO Don't display shipping method for virtual cart (by @timactive)
    - #23169: Fixes issue with cms category ordering in sitemap (by @JevgenijVisockij)
    - #23406: Check if id_country exists before using the result of the array (by @PierreRambaud)
    - #23473: Make sure key exists before using it (by @PierreRambaud)
    - #23353: Fix classic theme images width, accessibilty and some lighthouse improvements (by @NeOMakinG)
    - #23073: Fix product description lists color on FO (by @NeOMakinG)
    - #23074: Stylise list in product short description of quickview (by @NeOMakinG)
    - #23006: Fix product search by ISBN (by @Seb33300)
    - #22945: Fix product list hover and overflow on catalog mode (by @NeOMakinG)
    - #22749: Remove useless redirection on shop logo in multilingual context (by @jf-viguier)
    - #21065: Add '-' to checkout's summary subtotal if it is discount type (by @oscc-es)
    - #21196: Remove htaccess rule who don't work (by @okom3pom)
    - #22419: Consistent use of https:// in schema.org itemtypes (by @tswfi)
    - #22032: Removed override of ps_searchbar (by @Progi1984)
    - #22145: Fix customized product being added to cart, instead of standard one (by @Hlavtox)
    - #21782: Get proper cover for product in cart and cart modal (by @kpodemski)
    - #22074: Add accordion to contact information in footer on classic theme (by @NeOMakinG)
    - #21996: Update logo name without shop name (by @jeckyl)
    - #22076: Add new column template for displayLeft/Right hook (by @NeOMakinG)
    - #22027: Remove duplicate id on product-list-bottom (by @NeOMakinG)
    - #20809: Update to check Language association to the current store (by @dgonzalez360)
    - #21908: Strip_tags() error when having an array in the URL (by @PierreRambaud)
    - #20565: Filter variations by qty at FO (by @Guisardo)
    - #21732: Fixed `displayPackPrice` not defined to true due to a type comparision (by @Prestaworks)
    - #21783: Get page title respecting dedicated meta title and combination information (by @kpodemski)
    - #21814: FO: fix wrong redirection after address edition in checkout process (by @matthieu-rolland)
    - #20606: [BC Break] Fix invoice address selection at checkout (by @matthieu-rolland)
    - #21620: [BC Break] Fix categorytree not showing on mobile when mobile is enabled (by @NeOMakinG)
    - #18179: Fixed Sort by price in FO with specific price (by @soulardromain)
    - #21674: Set jquery colorpicker option only if it is needed and loaded (by @matthieu-rolland)
    - #21485: Prevent page freeze because off multiple add to cart clicks (by @kpodemski)
    - #21407: Fixed typo in wording in modal.tpl (by @Magicalname)
    - #20980: Use assembler to present products in cart (by @JoryHogeveen)
    - #21401: Fix address item different height in checkout (by @NeOMakinG)
    - #21313: Sanitize product sort order (by @jf-viguier)
    - #21394: Correct product meta-title after changing variant (by @kpodemski)
    - #21169: Fix availability messages quickview also updating product page (by @dali-rajab)
    - #20338: Fix guest tracking without friendly URLs (by @SuichiM)
    - #20941: Validate password only if not empty, fixing Guest Checkout (by @matks)
    - #20233: Fix order history font-size and contrast (by @davidglezz)
    - #20616: Set secure_key in invoice links for guests (by @JoshTheDerf)
    - #20499: Ecotax is displayed tax excl instead of tax incl in FO (by @PululuK)
    - #20530: Fix facets.js pendingQuery was always false (by @davidglezz)
    - #20660: Remove available_date from presented product if in the past (by @awitkutarahil)
    - #20773: Make sure sanitizeUrl method allows array in $_GET, and make methods protected to be reused (by @PierreRambaud)
    - #20211: Fix missing pagination for alternative lang url (by @Sinepel)
    - #20556: Fix images quickview also updating product page by changing product i… (by @NeOMakinG)
    - #20592: The delivery note's name is wrong after the download  (by @PululuK)
    - #17712: Prevent from loading old carts (by @daresh)
    - #19965: Add High DPI support to ImageRetriever (by @daresh)
    - #19830: Allow override of checkout process (by @ksaandev)
    - #20139: Module widget display fix (by @Oksydan)
    - #20148: Color picker doesn't recognize html color name on page load, in BO (by @PululuK)
    - #16439: Frontend Translation mixed up when switching languages (by @23b)
    - #19601: Only use unit_price_ratio when defined in Product (by @ksaandev)
    - #19534: Front side validation problem on the number of characters in a password (by @florian-202)
    - #17322: [BC Break] Don't log bots anymore (by @jf-viguier)
    - #17123: Fix default country and country detection (by @mvorisek)
    - #18562: Update node-sass version to support node 12 on classic theme (by @NeOMakinG)
    - #19116: Avoid showing 0 in Quantity field when the minimal quantity is 0 (by @taoufiqaitali)
    - #17423: Add a space before the dash separator when building the attributes names string (by @leup)
    - #19438: Disable payment button if term checkbox is unchecked (by @NeOMakinG)
    - #19501: Check whether subcategories are empty before displaying them (by @matks)
    - #19434: Fix : "update address" page title is changed when an error is triggered (by @PululuK)
    - #19298: Add missing breadcrumb links in order pages: confirmation/return/follow, cart and addresses pages (by @nprokopenko202)
    - #18739: Add a condition to avoid currency name repeat (by @NeOMakinG)
    - #19195: Add breadcrumb to Stores & Sitemap front controllers (by @nprokopenko202)
    - #15614: Fix of new customer message (by @BlackKerio)
    - #18459: Fix h1 on brandlist and supplierlist module that shouldn't be an h1 (by @NeOMakinG)
    - #18226: ApplyProductCalculation and ProductlazyArray variable mismatch (by @jonasburneika)
    - #17461: Fix wrong wordings on "New" translations (by @micka-fdz)
    - #15100: Change the way to get the price without discounts (by @levyn)
    - #16928: Adding subcategories on category page (by @NeOMakinG)
    - #17607: Add displayBanner hook (by @jf-viguier)
    - #17633: Cart object is undefined after refreshing the cart (by @arouiadib)
    - #17664: Disallow birth year in two digits (by @jf-viguier)
    - #17522: FIX - Disabled products are visible with wrong token or no token at all (by @PululuK)
    - #17569: On virtual product, the delivery time shouldn't display (by @PeeyushAgrawalWebkul)
    - #17014: Correct history problem on listing page (by @NeOMakinG)
    - #17020: Sending rating event on product refresh to avoid empty rating stars (by @NeOMakinG)
    - #17133: Correct history on product page (by @NeOMakinG)
    - #17073: Email subject doesn't support html entities (by @jf-viguier)
    - #17294: Refresh cart summary when adding a voucher (by @idnovate)
    - #17402: Fix reversed product sorting (by @micka-fdz)
    - #16620: Prevent order controller from validating all guest addresses (by @slri)
    - #16934: Fixing submenu not showing on classic theme (by @NeOMakinG)
    - #16965: Adjusting quantity on product page if empty or under min qty (by @NeOMakinG)
    - #16956: Changing classic theme filters alignments and spaces (by @NeOMakinG)
  - Refactoring:
    - #21729: Move product canonical url from tpl to controller (by @micka-fdz)
    - #19391: Remove useless variable from FromController::init() (by @ksaandev)
    - #19392: Remove useless variable and fix typo (by @ksaandev)
- Core:
  - New feature:
    - #21751: Show out of stock label on listing pages : Configuration & Display in FrontOffice (by @Progi1984)
    - #23650: Introduce Experimental Feature data model (by @matks)
    - #21125: Introduce ContextLoadHelper to load legacy context in Commands (by @matks)
    - #21593: Multishop search mechanism for header (by @matthieu-rolland)
    - #18235: Improve prestashop:linter:security-annotation (by @matks)
    - #18997: Add hook in module uninstall process - port of #8868 - thanks @Nermendis (by @matks)
  - Improvement:
    - #24659: Improved profiler (by @kpodemski)
    - #24329: Bump version to 1.7.7.5 (by @Progi1984)
    - #24114: Fixed PHPDoc (by @Progi1984)
    - #24055: Updated JS Routing file (by @github-actions[bot])
    - #23617: Added blockwishlist module & Removed archived modules (by @Progi1984)
    - #23960: Add webservice/ dir to phpstan (by @mvorisek)
    - #22152: No unit of value for the txt files attached to a product (by @PululuK)
    - #22290: Simplify product isNew() query (by @davidglezz)
    - #23797: Updated JS Routing file (by @github-actions[bot])
    - #23781: Updated JS Routing file (by @github-actions[bot])
    - #23451: Update phpstan to 0.12.80 (by @matks)
    - #23295: Update Smarty to v3.1.39 (by @matks)
    - #23272: Fix $to and $toName type in docblock (by @RomainMazB)
    - #23094: Add ISBN and UPC to combinations data (by @Hlavtox)
    - #23184: Updated JS Routing & package-lock.json in new-theme files (by @github-actions[bot])
    - #23118: Remove statslive module (by @PierreRambaud)
    - #23055: Add EAN13 and MPN to combinations data (by @Hlavtox)
    - #23034: Update stylelint with breakline rule and run fix with it (by @NeOMakinG)
    - #22975: Add breakline rule of ESLint (by @NeOMakinG)
    - #22966: Faster checkout - depth of 0 means unlimited (by @mvorisek)
    - #22887: Improve TypedRegexValidator->getPattern() (by @davidglezz)
    - #22861: Updated JS Routing file (by @github-actions[bot])
    - #22808: Do not log addons requests urls, we don't want it in logs (by @PierreRambaud)
    - #22780: Improve Category::getProducts : Avoid short variable names (by @PululuK)
    - #22223: Be able to don't add anchor in the URL for getProductLink method (by @PierreRambaud)
    - #22686: Add more data to actionProductCancel hook (by @Hlavtox)
    - #22462: Improve multiple choice table : Add option to keep table heads fixed (by @PululuK)
    - #22465: Add the Bug Bounty Program in the README (by @PierreRambaud)
    - #22335: Updated PHPStan Github Action settings (by @Progi1984)
    - #22292: Improve Shop getBaseURL() (by @davidglezz)
    - #21680: Update CLDR to version 38 (2020-10-28) (by @Progi1984)
    - #22297: Fix phpdoc Controller (by @matks)
    - #21163: Allow to access current template smarty instance (by @djbuch)
    - #22183: Fix phpDoc in Db (by @ksaandev)
    - #21075: [BC Break] Improve admin logs  (by @PululuK)
    - #21582: Mark parameter deprecated for a future version (by @okom3pom)
    - #22087: Do not generate the data variable if it's not needed in PaymentModule (by @PierreRambaud)
    - #21855: Add missing SQL row for actionFrontControllerSetVariables hook (by @comxd)
    - #21984: Improve Link::getProductLink : Avoid short variable names (by @PululuK)
    - #21934: Fix PHPDoc Tools::displayPrice() (by @comxd)
    - #21874: Fix TCPD::Output() method name call (by @comxd)
    - #21777: Remove composer.lock from the .gitignore file (by @stijnh92)
    - #21691: Fix typo in Customer class (by @ksaandev)
    - #21699: Remove useless comments (by @PululuK)
    - #21537: Fix typo in Product Object code (by @PululuK)
    - #21464: File index.html  does not exist in INSTALL.txt (by @okom3pom)
    - #21057: Reduce conditions complexity (by @davidglezz)
    - #21279: Carrier: improve documentation of shipping properties (by @rmilecki)
    - #21263: Use https for documentation link in "I need help" github template (by @ksaandev)
    - #21211: Directory "/build/" was defined twice in .gitignore root file (by @SebSept)
    - #20849: Ability to enable and disable Hooks (by @PululuK)
    - #21076: Ignore whole Netbeans project, not only private (by @mvorisek)
    - #18985: Allow deprecation notices to be caught nicely even in dev mode (by @Quetzacoalt91)
    - #20969: Remove useless comments (by @PululuK)
    - #20601: [BC Break] Allow admin user to configure the SameSite cookie attribute (by @PierreRambaud)
    - #20822: Fix a typo in README.md file (by @SimonGrn)
    - #20634: Allow to disable make usage and use .env file (by @PierreRambaud)
    - #20806: The value of tabCore->name can be array when multilang (by @zalexki)
    - #20716: Update composer.lock to prevent fixed bugs (by @mvorisek)
    - #18787: Add compatibility to PHP 7.4 (by @PierreRambaud)
    - #20717: Fix private final method (by @mvorisek)
    - #20453: Search combination by ean (by @camlafit)
    - #20593: Remove useless comments in HTMLTemplateInvoice.php (by @PululuK)
    - #20581: Remove useless files (by @PierreRambaud)
    - #20511: Typo Error In CSV.php (by @Amit-Kumar-Tiwari-Webkul)
    - #20472: Remove overwritten property: context (by @davidglezz)
    - #20213: Update Prestashop module versions (by @Progi1984)
    - #20092: Fix some phpdoc (by @matks)
    - #20074: Ignore swo temporary files in gitignore (by @NeOMakinG)
    - #20017: Improve dynamic hooks comment (by @PululuK)
    - #19647: Added the actionPresentProductListing hook (by @stijnvergote)
    - #19795: Update License Header fix Command (by @matks)
    - #19710: Use target="_blank" instead of class="_blank" (by @PululuK)
    - #18883: Fix BO - New currency page  (by @PululuK)
    - #19539: Improve templates for GitHub (by @PierreRambaud)
    - #19528: Update version to 1.7.8.0 (by @Progi1984)
    - #18992: Improve prestashop.core.query_bus service to use parent (by @PululuK)
    - #18895: Fix Maintenance Mode (by @PululuK)
    - #18989: Add phpdoc for ChecksumInterface and CartChecksum (by @matks)
    - #18979: Update Smarty 3.1.34 -> 3.1.36 (by @matks)
    - #18988: Add phpdoc to class Curve (by @matks)
    - #18632: Fix php-cs-fixer (by @matks)
    - #18052: Replace a lot of http links by https (by @matks)
    - #18182: CO : Correct phpDoc (by @djbuch)
    - #18017: Update Customer-> passwd phpdoc (by @zalexki)
    - #16813: [BC Break] Add support for non-unity MySQL autoincrement (by @mvorisek)
    - #17634: Fix some comments in `CartRuleCalculator` class (by @arouiadib)
    - #17589: Update Configuration::get phpdoc (by @zalexki)
    - #15773: CO : Performance optimisation (by @djbuch)
    - #17510: Fix phpdoc of class Link (by @Matt75)
    - #17515: Increase timeout to download translation packages from 5 to 20 seconds (by @eternoendless)
    - #17434: Update eslint config to check for hidden directories and files (by @PierreRambaud)
    - #17419: Enable closure to be appended into LazyArray (by @matks)
    - #17369: Update PULL_REQUEST_TEMPLATE.md (by @PierreRambaud)
    - #17330: Add make assets while creating release (by @PierreRambaud)
    - #17284: Add new badges to README (by @matks)
    - #17204: Add missing deprecation on previous PerformanceFormHandler (by @matks)
  - Bug fix:
    - #24242: Fix upgrade from 1.6.1.24 to 1.7.8.x (by @atomiix)
    - #24611: Make sure array keys exist before using it for PHP7.4 compatibility (by @PierreRambaud)
    - #24625: Fix PHP 7.4 - Cannot use "parent" when current class scope has no parent (by @mvorisek)
    - #24586: Fix addons modules not being installed in CI (by @atomiix)
    - #24506: Upgrade Symfony to 3.4.48 (by @matks)
    - #24443: Fix upgrade from 1.6.1.24 on certain installation (by @atomiix)
    - #24053: Fix file license headers (by @matks)
    - #23742: Fixed the quantity calculation of packs when containing product variations (by @theodiablo)
    - #23834: [BC Break] Remove code related to CACHE_FILE_MODULES_LIST (by @PierreRambaud)
    - #23789: Fix `Validate::isArrayWithIds` method issue (by @PululuK)
    - #23525: Problem with PHP7.4 with Customer::getCurrentCountry and Tab management (by @PierreRambaud)
    - #23443: Fixed save of translation message (by @agostinofiscale)
    - #23407: Helperlist optimization (by @PierreRambaud)
    - #23269: Fix nightly autoupgrade - issue with Cookie destruction (by @atomiix)
    - #23122: Update jQuery on classic, FO core and default BO theme (by @NeOMakinG)
    - #23210: Fix wrong namespace path (by @PierreRambaud)
    - #23153: Swap count() && is_array() pattern to avoid PHP7.2+ warning (by @morgoth6)
    - #22746: PHP sessions are not correctly configured (by @PierreRambaud)
    - #20446: Fix cache class (by @davidglezz)
    - #22022: Save the newest Guest with updated datas (by @prestamodule)
    - #22229: BO - Logs - Filter in the logs NOK (by @PululuK)
    - #22285: Fix setValue() method of FormField class on checkbox fields (by @micka-fdz)
    - #22211: Rename followup module in mails themes (by @micka-fdz)
    - #22271: Fix composer.lock and update translationtoolsbundle (by @PierreRambaud)
    - #22252: Fix php doc for getEncodedFacets in ProductSearchQuery.php (by @PierreRambaud)
    - #22212: Fix missing comma in 1.7.8.0 update script (by @eternoendless)
    - #21094: Fixed array parameter processing in Link::getCategoryObject method (by @gfilippakis)
    - #21896: Fix dependency which is targeting the v1.3.0 instead of the 1.3 branch (by @PierreRambaud)
    - #20675: Always pass an instance to the actionCartSave hook (by @Seleda)
    - #21499: Fixed PHPDoc (by @Progi1984)
    - #21346: Removed order of languages in TranslatableType field for migrated pages (by @Progi1984)
    - #21365: Fixed Currency Numeric Iso Code (Nullable & Default Value) (by @Progi1984)
    - #20653: HelperForm field label not work in switch type  (by @PululuK)
    - #21314: Tools::getDefaultIndexContent() generates obsolete headers (by @PululuK)
    - #21246: Update licenses headers (by @PierreRambaud)
    - #21187: Properly handle malformed controllers in routes configuration (by @PierreRambaud)
    - #20964: Fix bug related to cache_default_attribute (by @unlocomqx)
    - #20987: Wrap language into cdata for blank pattern (by @PierreRambaud)
    - #20673: Refactor the profiler to make it work with Hook and Modules (by @PierreRambaud)
    - #21042: Changed PHPDoc of Tax's getProductTaxRate to more accurate. (by @stijnstroeve)
    - #20891: Update Mobiledetect library (by @PululuK)
    - #20990: Fix autoload for composer 2.0 to be compliant with PSR-4 (by @PierreRambaud)
    - #20905: The correct instance type of the created Order (by @Seleda)
    - #20888: Tax and tax name are not recorded (by @dariusakafest)
    - #20638: Wrong install redirection when we are in admin directory (by @PierreRambaud)
    - #20689: Try to use the real command to clear the cache when the kernel is available (by @PierreRambaud)
    - #20622: Do not proceed setCurrentState if order already has the right state (by @prestaquality)
    - #20656: Class HelperTreeCategoriesCore is not translated (by @PululuK)
    - #20658: Fix doc comments to reflect actual signatures (by @mcdado)
    - #20646: Bad static call to oneself in OrderDetail (by @jordiweblidera)
    - #20366: Prevent deleting address being used in the cart (by @dariusakafest)
    - #20363: Fixed duplication of Currencies after install/remove (by @Progi1984)
    - #20235: Remove useless ini_set for Windows (by @PierreRambaud)
    - #20182: Revert change from #18220, it breaks modules (by @PierreRambaud)
    - #20141: Property display_footer is a boolean (by @PierreRambaud)
    - #20006: Allow the + sign in the url path (by @atomiix)
    - #19260: Fix order payment duplication depending on order state configuration (by @erouvier29)
    - #18116: Avoid crash because of image timeout (by @matks)
    - #17439: Log Mail subject message correctly in case of alteration (by @davideapvd)
    - #17046: Make Mbstring extension required (by @eternoendless)
    - #18519: Missing log datas in some controllers and classes (by @PululuK)
    - #19050: Delivery and billing address were displayed wrong. (by @doeselschnecke)
    - #19188: Docker-compose is failing due to missing build assets (by @PierreRambaud)
    - #18531: Remove irrelevant die() and throw exception instead (by @matks)
    - #18778: Revert "Removed redundant code" (by @PierreRambaud)
    - #18696: Fix invoice number in multishop context (by @simondaigre)
    - #18680: Add array in @return of PaymentModule::getCurrency (by @Quetzacoalt91)
    - #GHSA-7fmr-5vcc-329j: Reflected XSS on AdminAttributesGroups page (by @PierreRambaud)
    - #18125: Add missing entities in template inheritance. (by @glafarge)
    - #18352: Fix language used in pdf attachement sent by mail (by @Matt75)
    - #18530: Indentation is broken due to missing cs fixer configuration (by @PierreRambaud)
    - #18374: Fix BO - Order - Wrong declination reference displayed on pack composition (by @PululuK)
    - #17785: Fix X-Forwarded-For not supported properly (by @davidglezz)
    - #17116: Unnecessary localhost string when using getRemoteAddr (by @mvorisek)
    - #16818: [BC Break] Force Configuration::updateValue to return a bool (by @zalexki)
    - #17088: Allow override of Product::cleanPositions() function (by @jtraulle)
    - #17616: Remove useless assets (by @PierreRambaud)
    - #17446: Fix PHP CS FIXER - again (by @matks)
    - #17389: Do not force the npm to be updated in the build.sh file (by @PierreRambaud)
    - #16670: Remove generated assets (by @PierreRambaud)
  - Refactoring:
    - #23310: Remove unusable code in OrderSlip::getOrdersSlipProducts() (by @PululuK)
    - #23200: Add constant visibility in all classes of src (by @matks)
    - #22555: Move Product pack classes in Pack subdomain in adapter (by @matks)
    - #22506: Use a QueryBuilder instead of Repository in RequestSql grid (by @PululuK)
    - #22346: Fix minor code issue in FrontController.php (by @PululuK)
    - #22308: Mark URLFragmentSerializer as deprecated (by @PierreRambaud)
    - #22310: Remove useless directory (by @PierreRambaud)
    - #21616: Do not use the cache when checking if data exists in the database (Part 1) (by @PululuK)
    - #21453: Update INSTALL.txt (by @taoufiqaitali)
    - #20866: Remove $response variable re-declaration (by @davidglezz)
    - #20383: Clean a bit PaymentModule class (by @matks)
    - #19873: Code issues : Avoid code duplicate in EmployeeGridDefinitionFactory (by @PululuK)
    - #19944: [BC Break] Deprecate constants that are no longer used (by @eternoendless)
    - #19780: Code issues : Avoid code duplicate (by @PululuK)
    - #19837: Use the appropriate exception in BulkToggleLanguagesStatusCommand (by @PululuK)
    - #19429: [BC Break] Refactor HookEvent to avoid DI mistake and clean LegacyHookSubscriber (by @matks)
    - #19449: Validate lengths of fields submitted from addresse form (by @PululuK)
    - #19450: Add phpdoc for throws - Link (by @Matt75)
    - #19343: Fix minor code issue in BulkDeleteAttachmentsException (by @PululuK)
    - #19279: Fix minor code issue in Language.php (by @PululuK)
    - #18259: Update phpdoc Product class (by @Matt75)
    - #19154: Remove _PS_MAGIC_QUOTES_GPC_ usage (by @PierreRambaud)
    - #18736: Address State field drop down is ordered by ID, instead of State Name (by @PululuK)
    - #18005: Fix minor code issues (by @eternoendless)
    - #18425: Fix minor code issues (by @PululuK)
    - #18220: Add phpdoc for PDF classes (by @Matt75)
    - #18539: Fix minor code issue in BooleanColumn (by @PululuK)
    - #18185: Add a few phpdoc (by @matks)
    - #18243: Fix phpdoc for Currency class (by @Matt75)
    - #18219: Fix wrong id_employee attribute description on PrestaShopLogger (by @PululuK)
    - #18217: Fix typo (by @Klemart3D)
    - #18135: Add some phpdoc to Tools (by @matks)
    - #17120: Fix & remove unneeded reference operators (by @mvorisek)
    - #17738: Simplify mathematical operation in StockAvailable::setQuantity() (by @davidglezz)
- Installer:
  - Improvement:
    - #24690: Update Symfony to latest patch (by @jolelievre)
    - #24681: Update prestashop modules in composer.lock (by @jolelievre)
    - #24118: Remove unused table ps_order_slip_detail_tax from install (by @eternoendless)
    - #23689: Change install demo datas string on install (by @NeOMakinG)
    - #23566: Use correct protocol in install.txt (by @okom3pom)
    - #19818: Added Countries Translations (Installation & LocalizationPack) (by @Progi1984)
    - #22696: IN: Fix inheritdoc annotation (by @Arman-Hosseini)
    - #21822: Remove inline style from default datas (by @micka-fdz)
    - #19757: Add a CLI option for fixtures (by @Progi1984)
    - #20711: Display more info when cli install fails (by @mvorisek)
    - #19856: Check Select Privilege in the Install Process (by @Progi1984)
    - #19948: Check maximum PHP Version Support at installation (by @Progi1984)
    - #19961: Install classic theme when possible (by @Progi1984)
    - #19791: Allow user to choose to enable SSL or not in install process (by @Progi1984)
    - #19744: Check if the module exists on Addons (by @Progi1984)
    - #17340: Remove share buttons after install (by @eternoendless)
    - #17255: Clean a bit files in install folder (by @matks)
    - #17100: Update the number of PrestaShop stores (by @LouiseBonnard)
  - Bug fix:
    - #24525: Wrong usage of shopId property during installation process (by @PierreRambaud)
    - #23758: Wording corrections (by @jolelievre)
    - #20843: Fix maximum compatible PHP version and error wordings (by @eternoendless)
    - #22944: Fix undefined index when iso doesn't exists in language list (by @PierreRambaud)
    - #22207: Put invoice customization products on one line (by @NeOMakinG)
    - #22234: Remove .docker folder on Release (by @okom3pom)
    - #19850: Remove Escape percentage in parameters (by @Progi1984)
    - #14402: Check table create privilege for InnoDB and MyISAM (by @crabtree)
    - #19213: Prefix parameter in CLI is not interpreted if it's empty (by @PierreRambaud)
  - Refactoring:
    - #17979: Minor optimization when installing a language (by @eternoendless)
- Web Services:
  - New feature:
    - #12728: Added the ability to manage and download Attachments via Webservice (by @PierreRambaud)
  - Improvement:
    - #22309: Fixed unclear error message during api/products/image requests with improper input data (by @KminekMatej)
    - #19249: Fix illogical ternary condition for webservice filtering (by @DelecroixQuentin)
    - #19389: Extract SQL logic from WebserviceRequest to unit test it (by @matks)
    - #19390: Small improvements for WebserviceRequest class (by @matks)
    - #16710: Add webservice to OrderCartRule with endpoint order_cart_rules (by @Daxtermania)
  - Bug fix:
    - #23081: Fix the combination's disappearance from Cart when it's updated by WS (by @fabiovannini)
    - #22413: Make sure the display parameter is properly configured in Webservices (by @PierreRambaud)
    - #21613: Fix webservice accessory xlink href (by @Dakror)
    - #21416: Update webservice doc url in WebserviceRequest (by @PululuK)
    - #19565: Fix webservice id_shop_group parameter (by @loicsapone)
    - #18006: Remove notice on field value on webservice (by @Klemart3D)
    - #17233: Fixed error when generating link_rewrite with API (by @Hherreros)
    - #16431: Webservice: Updating category position is changed (by @gerdus)
    - #16553: Avoids webservice to create duplicated customers with same email (by @BlackKerio)
    - #16697: Fix setWsPositionInCategory and setWsCategories, the product position in the categories changes (by @BlackKerio)
  - Refactoring:
    - #18160: Updating hook calls on WebserviceSpecificManagementImages (by @prestaquality)
- Localization:
  - New feature:
    - #18070: Add localization pack for Armenia (by @mrAKAR)
    - #16927: Add BA, BD, CM, MG and SN localization packs (by @LouiseBonnard)
  - Improvement:
    - #24449: Update default catalogs for 1.7.8 version (by @jolelievre)
    - #24112: Update Ukraine localization pack (by @eternoendless)
    - #23828: Update state.xml - Distrito Federal changed to Ciudad de México (by @rickygzz)
    - #17826: Add Kurdish language (by @SalarNazar)
    - #19709: Update the German tax rates (by @LouiseBonnard)
    - #19819: Modified translation for easy changing the merchants number (by @Progi1984)
    - #19568: Remove conversion rates from localization packs (by @Progi1984)
    - #19282: Add Swahili language (by @Progi1984)
    - #16349: Copy Croatian tax rates in EU localization packs (by @ziegenberg)
  - Bug fix:
    - #24723: Fix domain wordings (by @jolelievre)
    - #19564: Update all_languages.json (by @juraj1000)
  - Refactoring:
    - #19599: Wrong call prefix for Congo (CG/CD) (by @kerin444)
- Tests:
  - New feature:
    - #23590: Update phpstan-prestashop to 1.1.1, restore the usage of the extension (by @matks)
    - #23522: Introduce phpstan for prestashop v1.1 with 3 new Rules: ClassConstantsMustHaveVisibilityRule, UseTypeHintForNewMethodsRule, UseTypedReturnForNewMethodsRule (by @matks)
    - #22764: Introduce phpstan extension (by @matks)
  - Improvement:
    - #24087: Added unit test on Validate and Behat test on WSKey Management (by @Progi1984)
    - #23931: Add composer validate check to CI (by @mvorisek)
    - #23861: Split sanity workflow matrix into four workflows (by @jolelievre)
    - #23489: Improve integration.yml GA file name (by @matks)
    - #23490: Use GA ubuntu 18.04 for sanity and integration tests (by @matks)
    - #23463: Rename PHPStan exclude class list (by @matks)
    - #22902: Adding address grid test (by @JevgenijVisockij)
    - #23217: Rename behat.yml into integration.yml (by @matks)
    - #23090: Change author name for pull request triggered by cron (by @PierreRambaud)
    - #22967: Delete parameters.yml.travis (by @mvorisek)
    - #22935: Update GitHub Action actions/checkout to v2 (by @matks)
    - #22727: Disable GitHub Actions fail fast (by @matks)
    - #22548: Update phpstan to 0.12.64 (by @matks)
    - #22641: Behat github actions names swapped (by @PululuK)
    - #22567: Migrated Unit Tests & Linter from Travis CI to Github Actions (by @Progi1984)
    - #22549: Update php-cs-fixer to 2.17.2 (by @matks)
    - #21515: PHPStan (Level 4) (by @Progi1984)
    - #22225: Bump PHP version for GitHub Actions to php7.4 (by @matks)
    - #21241: [BC Break] PHPStan (Level 3) (by @Progi1984)
    - #21278: Add test for ArabicToLatinDigitConverter (by @ksaandev)
    - #20810: Bump lodash from 4.17.15 to 4.17.20 in /tests/UI (by @dependabot[bot])
    - #20386: Add tests for Tools rounding functions (by @matks)
    - #20358: Improve UI tests readme (by @matks)
    - #20258: Add const MAIL_DIR for phpstan bootstrap (by @matks)
    - #18962: Use progress format for Behat (by @matks)
    - #18214: Upgrade TravisCI OS (by @mvorisek)
    - #18077: Add behat test for GetManufacturerForViewingHandler (by @tdavidsonas88)
    - #17533: Only compute assets for Travis for tests which need it (by @matks)
    - #17328: Remove PHP GitHub Actions and use PrettyCI only (by @PierreRambaud)
    - #15431: Add Money unit test (by @matks)
  - Bug fix:
    - #24429: Do not remove modules pushed by API for UI tests (by @matks)
    - #23975: Fix ThemeExporterTest test path (by @mvorisek)
    - #23597: Disable again PHPStan PrestaShop extension 1.1.1 (by @matks)
    - #23539: Disable temporarily phpstan extension (by @matks)
    - #23264: Fix CI problems related to new ps_linklist version (by @jolelievre)
    - #22795: Fix phpstan CI on develop (by @matks)
    - #21646: Fix theme not being enabled when creating test database (by @atomiix)
    - #21569: Use ubuntu Latest for PHPStan GA (by @matks)
    - #20938: Use make assets before installing prestashop in travis ci (by @PierreRambaud)
    - #20356: Fix phpstan ignore lines (by @matks)
    - #18285: Fix case in path (by @mvorisek)
    - #17556: Improve Travis config file to avoid green builds if File Syntax fails (by @matks)
    - #17319: Build assets for nightly (by @PierreRambaud)
  - Refactoring:
    - #24652: Functional  tests - Add test merchandise return options (by @nesrineabdmouleh)
    - #24627: Functional tests - Add test 'Contact options' (by @nesrineabdmouleh)
    - #24603: Add js-doc to faker data classes: search, searchEngine, seoPage, shop, shopGroup, sqlQuery, state, store, supplier (by @boubkerbribri)
    - #24551: Update js documentation for shop parameters pages (by @nesrineabdmouleh)
    - #24578: Fix test Handling charges and backport fixes for product quick view test (by @boubkerbribri)
    - #24569: Add js-doc to faker data classes: tag, tax, taxRule, taxRuleGroup, title, webservice, zone (by @boubkerbribri)
    - #24566: Add js-doc to faker data classes: Address, brand, brandAddress, carrier, attribute and value (by @boubkerbribri)
    - #24375: Add new test 'Guest checkout: Use different invoice address' (by @boubkerbribri)
    - #24478: Functional tests - Fix and add tests for Brands and Addresses pages (by @nesrineabdmouleh)
    - #24500: Fix change customer message status (by @boubkerbribri)
    - #24454: Functional tests - Fix and add tests for Features and Values (by @nesrineabdmouleh)
    - #24459: Wait For price to be updated on view order page (by @boubkerbribri)
    - #24462: Update js doc for customer service pages (by @boubkerbribri)
    - #24445: Fix click on a hidden checkbox on localization and translation page (by @boubkerbribri)
    - #24455: Remove forgotten function description (by @SD1982)
    - #24364: Add 2 new test "reorder from order history list" and "reorder from order detail" (by @SD1982)
    - #24435: Fix click on toggle for seo and url page (by @boubkerbribri)
    - #24285: Refacto shipping test pages for js-doc (by @SD1982)
    - #24377: Fix sanity workflow - Add repo to download libapache2 (by @boubkerbribri)
    - #24343: Fix attributes and Values functional tests (by @nesrineabdmouleh)
    - #24305: Remove some modules when building docker for tests (by @boubkerbribri)
    - #24288: Refactoring addImagesToProduct function (by @boubkerbribri)
    - #24280: Add Js doc for Dashboad and modules pages (by @boubkerbribri)
    - #24215: Add pagination tests for monitoring page (by @nesrineabdmouleh)
    - #24236: Update js documentation for order pages (index - add - view) (by @nesrineabdmouleh)
    - #24240: Update js documentation for Credit slips - Delivery slips - Invoices - Shopping carts pages (by @nesrineabdmouleh)
    - #24252: Add more scripts on package.json (by @boubkerbribri)
    - #24160: Add new test contact us from the order confirmation page (by @SD1982)
    - #24163: Refacto / update FO tests pages for the js-doc (by @SD1982)
    - #24148: Use base:7.4-apache image for UI tests (by @boubkerbribri)
    - #24126: Add click and wait for download function (by @boubkerbribri)
    - #24132: Update doc for login and payment preferences pages (by @boubkerbribri)
    - #24095: Migrated Unit Test from tests-legacy (by @Progi1984)
    - #24110: Fix brand address and supplier tests (by @boubkerbribri)
    - #24075: Update js documentation for base pages (by @boubkerbribri)
    - #24024: Add new test "subscribe newsletter"  (by @SD1982)
    - #24046: Functional tests - Add test change customer service message status (by @nesrineabdmouleh)
    - #23947: Upgrade playwright to v1.8.1 (by @boubkerbribri)
    - #24016: Functional tests - Add test to verify login BO (by @nesrineabdmouleh)
    - #24006: Functional tests - Add missing test to filter orders by date (by @nesrineabdmouleh)
    - #24004: Functional tests - Add missing test to sort orders by date (by @nesrineabdmouleh)
    - #23994: Fix step 'Go back to BO' on maintenance test (by @boubkerbribri)
    - #23946: Separate error messages on Installation test (by @boubkerbribri)
    - #23938: Add some missing scenarios on customer block test (by @nesrineabdmouleh)
    - #23855: Fix Close onboarding on sanity tests (by @boubkerbribri)
    - #23543: BO password reset with maildev (by @SD1982)
    - #23622: Fix click on behavior input on Add product page (by @boubkerbribri)
    - #23494: Fix click on toggles on nightly develop (by @boubkerbribri)
    - #23408: Fix Log test and delete duplicated identifiers in Nightly (by @boubkerbribri)
    - #22932: FO password reminder test with maildev (by @SD1982)
    - #23144: Add test - Check footer links on FO (by @nesrineabdmouleh)
    - #22890: Fix shopping cart tests for the nightly (by @boubkerbribri)
    - #22793: Upgrade playwright to 1.6.2 (by @nesrineabdmouleh)
    - #22707: Add test 'Filter, sort and pagination currencies' (by @nesrineabdmouleh)
    - #22738: Add new FO test 'CRUD Address in FO' (by @boubkerbribri)
    - #22717: Change import file test to import attributes instead of customers (by @SD1982)
    - #22702: Add /var/lib/php/sessions folder to github actions (by @boubkerbribri)
    - #22684: Add test 'Countries restrictions' (by @nesrineabdmouleh)
    - #22659: Add test 'Sort carriers by' in FO (by @nesrineabdmouleh)
    - #22570: Migrate sanity tests to github actions (by @boubkerbribri)
    - #22562: Fix click on checkbox while deleting customer (by @boubkerbribri)
    - #22363: Wait to fill inputs before hiding modal in create currency form (by @boubkerbribri)
    - #22329: Fix radio and checkbox selectors for invoices and monitoring tests (by @boubkerbribri)
    - #22194: Delete unused function on the linkchecker (by @boubkerbribri)
    - #22184: Fix step sorting by date in test "Sort and pagination cart rules" (by @boubkerbribri)
    - #22019: Add test 'Search bulk actions' (by @nesrineabdmouleh)
    - #21993: Adjust behats localized fields assertion and add LocalizedArrayTransformContext  (by @zuk3975)
    - #22054: Add test 'Erase all' emails (by @nesrineabdmouleh)
    - #21946: Add test "Sort and pagination emails table" (by @nesrineabdmouleh)
    - #21986: Add test "Disable multi store on CRUD shop group test" (by @nesrineabdmouleh)
    - #21973: Add test "CRUD multistore" (by @nesrineabdmouleh)
    - #21959: Fix step identifier checker command name (by @boubkerbribri)
    - #21779: Add test 'Filter sort and pagination order return status' (by @nesrineabdmouleh)
    - #21955: Remove transformation traits from behats and implement contexts instead (by @zuk3975)
    - #21954: Add test "Pagination DB backup" (by @nesrineabdmouleh)
    - #21869: Add test 'CRUD search' (by @nesrineabdmouleh)
    - #21907: Update README.md for UI tests (by @boubkerbribri)
    - #21858: Add test 'Quick edit tax rules' (by @nesrineabdmouleh)
    - #21412: Add a new test "import file" (by @SD1982)
    - #21854: Fix tests after new UI kit version merged (by @boubkerbribri)
    - #21789: Add filter and reset steps to cart rules tests (by @boubkerbribri)
    - #21746: Add test 'Enable/Disable' webservice keys by bulk actions (by @nesrineabdmouleh)
    - #21756: Add test 'Filter sort and pagination tags' (by @nesrineabdmouleh)
    - #21733: Add test 'Create simple order in BO' (by @boubkerbribri)
    - #21765: Generating images inside carrier test and fix checking number of sql queries after filter (by @boubkerbribri)
    - #21755: Trim string generated for tax rule group to avoid filter fail (by @boubkerbribri)
    - #21590: Fix selectors for design tests (by @boubkerbribri)
    - #21635: Delete generating images inside the pages (by @boubkerbribri)
    - #21660: Add test 'Update default carrier' (by @boubkerbribri)
    - #21735: Add test 'Filter sort and pagination SQL queries' (by @nesrineabdmouleh)
    - #21738: Add test 'Sort and pagination webservice keys' (by @nesrineabdmouleh)
    - #21636: Add test 'CRUD tag' (by @nesrineabdmouleh)
    - #21528: Add test 'CRUD order return status' (by @nesrineabdmouleh)
    - #21669: Add test 'View raw html and text' in email themes page (by @boubkerbribri)
    - #21709: Add test 'Update default country' (by @boubkerbribri)
    - #21637: Add test 'Sort and pagination employees' (by @nesrineabdmouleh)
    - #21573: Add test 'Quick edit and bulk actions carriers' (by @nesrineabdmouleh)
    - #21534: Add test 'Bulk delete search engine' (by @nesrineabdmouleh)
    - #21631: Using setValue on login to test multiple login attempts (by @boubkerbribri)
    - #21589: Fix fail on sanity tests on travis (by @boubkerbribri)
    - #21580: Update view customer selectors (by @boubkerbribri)
    - #21570: Upgrade playwright to v1.5.1 (by @boubkerbribri)
    - #21517: Add test 'Tax rules bulk actions' (by @nesrineabdmouleh)
    - #21498: Fix test 'Download sample file' (by @boubkerbribri)
    - #21209: Lower permissions for attachment dummy file (by @zuk3975)
    - #21214: Fix Update status, newsletter and optin for customers page (by @boubkerbribri)
    - #21164: Add test 'pagination and sort cart rules' (by @nesrineabdmouleh)
    - #20707: Fix ReflexionHelper class name (by @mvorisek)
    - #20860: Fix memory_limit while installing with CLI on docker (by @boubkerbribri)
    - #20664: Update selector for exchange currencies rates and faker for tax group rule (by @boubkerbribri)
    - #20647: Fix selectors for Seo options form after merge 1.7.7.x into develop (by @boubkerbribri)
    - #20516: Functional tests - Fix selector changes for email themes form (by @boubkerbribri)
    - #20427: Refactor behats ProductFeatureContext to multiple smaller contexts (by @zuk3975)
    - #20407: Use sharedStorage for exceptions in behat domain contexts (by @zuk3975)
    - #20273: Functional tests - Fix confirm delete modal selector for addresses page (by @boubkerbribri)
    - #20262: Functional tests - Fix click on delete confirmation modal - Customers > Addresses (by @nesrineabdmouleh)
    - #20193: Functional tests - Use hook name instead of hook position in link widget (by @boubkerbribri)
    - #20157: Functional tests - Fix the ID of display footer hook  (by @nesrineabdmouleh)
    - #19899: Functional tests - Add class to clickable element 'i' in grid header select all (by @boubkerbribri)
    - #19908: Functional tests - Add ids to export buttons and links (by @boubkerbribri)
    - #19868: Functional tests - Add id to save forms buttons (by @boubkerbribri)
    - #19870: Functional tests - Add id to save forms buttons in order pages (by @boubkerbribri)
    - #19888: Functional tests - Add edit action name to grids (by @boubkerbribri)
    - #19851: Functional tests - Fix selectors for add order message page (by @boubkerbribri)
    - #19859: Functional tests - Improve grid link add, view and delete (by @boubkerbribri)
    - #19864: Functional tests - Fix email logs selector (by @boubkerbribri)
    - #19835: Functional tests - Add ids to forms in payment preferences page (by @boubkerbribri)
    - #19840: Functional tests - Add id to forms buttons in design page and category (by @boubkerbribri)
    - #19836: Functional tests - Improve selectors for email theme page (by @boubkerbribri)
    - #19823: Functional tests - Improve grid header selectors (search and reset) (by @boubkerbribri)
    - #19805: Functional tests - Add forms ids and fix them for tests (by @boubkerbribri)
    - #19588: Functional tests - Add submit delete modal to monitoring tests (by @boubkerbribri)
    - #19503: Functional tests - Fix unit price to check in product Settings tests (by @nesrineabdmouleh)
    - #19500: Functional tests - Fix modal id in addresses test (by @nesrineabdmouleh)
    - #19411: Functional tests - Using only symbol to select currency in FO (by @boubkerbribri)
    - #19270: Functional tests - Fix display footer hook id (by @boubkerbribri)
    - #19275: Functional tests - Update linkchecker (by @boubkerbribri)
    - #19268: Functional test - Fix Sql queries tests (by @boubkerbribri)
    - #18964: Functional tests - Update puppeteer to version 3.0.2 (by @boubkerbribri)
    - #19115: Functional tests - Fix order message grid modal (by @boubkerbribri)
    - #19025: Functional tests - Increase timeout for docker puppeteer (by @boubkerbribri)
    - #19006: Functional tests - Fix change selectors (by @boubkerbribri)
    - #18476: Functional tests - Fix tests brands and suppliers (by @boubkerbribri)
    - #18392: Functional tests - Add 'Confirmation delete modal' to tests languages (by @boubkerbribri)
    - #18394: Functional tests - Add 'Confirmation delete modal' to tests design pages (by @boubkerbribri)
    - #18389: Functional tests - Add 'Confirmation delete modal' to tests currencies (by @boubkerbribri)
    - #18386: Functional tests - Add 'Confirmation delete modal' to tests Seo and Url (by @boubkerbribri)
    - #18383: Functional tests - Fix delete modal for tests employees (by @boubkerbribri)
    - #18384: Functional tests - Add 'Confirmation delete modal' to tests profiles (by @boubkerbribri)
    - #18408: Functional tests - Add 'Confirmation delete modal' to tests files (by @boubkerbribri)
    - #18380: Functional tests - Add 'Confirmation delete modal click' to tests Db backups (by @boubkerbribri)
    - #18377: Functional tests - Add 'Confirmation delete modal click' to tests contact and web service (by @boubkerbribri)
    - #18381: Functional tests -  Fix delete modal for tests taxes (by @boubkerbribri)
    - #17214: Revert "Functional tests - Crud customer address" (by @SimonGrn)
    - #17086: Functional tests - Crud customer address (by @nesrineabdmouleh)
    - #17152: Revert "Functional tests - Fix disable shop function" (by @SimonGrn)
    - #17150: Functional tests - Fix disable shop function (by @boubkerbribri)

####################################
#   v1.7.7.8 - (2021-09-03)
####################################
- Back Office:
  - Bug fix:
    - #25749: Product combination price edit : Use blur instead of onkeyup to avoid price flip (by @sowbiba and @atomiix)
- Core:
  - Improvement:
    - #25757: Define version to 1778 (by @sowbiba)
  - Bug fix:
    - #25784: Use null coalescing operator to fix notice (by @kpodemski)

####################################
#   v1.7.7.7 - (2021-08-18)
####################################

- Back Office:
  - Bug fix:
    - #25634: [BC Break] Do not use name in admin_orders_display_customization_image_route (by @PierreRambaud)
- Front Office:
  - Bug fix:
    - #25629: Use _DB_PREFIX_ constant instead of ps_ in SQL queries (by @PierreRambaud)
- Core:
  - Improvement:
    - #25630: Bump version to 1.7.7.7 (by @PierreRambaud)

####################################
#   v1.7.7.6 - (2021-06-30)
####################################

- Back Office:
  - Bug fix:
    - #25489: Fixed selector for fetching if the tax is included  (by @Progi1984)
    - #25495: Check variable before using it (by @Progi1984)
    - #25428: Don't recalculate total when PS_ORDER_RECALCULATE_SHIPPING is 0 and editing a carrier (by @Progi1984)
    - #24991: Fix combination ecotax display and edition (by @jolelievre)
    - #25378: Order Product Search: Limit only if the search phrase length is greater than 2 characters and HTTP Code Error become a 400 (by @Progi1984)
    - #25375: In Order view, set the lang of the order for order messages (by @Progi1984)
    - #25326: Create empty Customer when the customer or the guest has been deleted (by @PierreRambaud)
    - #25286: Fix cart rule that can be used more than once per user when it shouldn't (by @matthieu-rolland)
    - #24339: Add number comma formatter (by @PierreRambaud)
    - #25107: Fixed meta title in BO - Order View (by @Progi1984)
    - #25200: In Invoice PDF, escape customization name (by @Progi1984)
    - #24324: Orders View : Display right price depending configuration (by @Progi1984)
    - #25106: Fixed management of INNER JOIN & GROUP BY in SqlQueryValidator (by @Progi1984)
    - #25059: [BC Break] Fixed translated order messages in Order View (by @Progi1984)
    - #24657: BO - New Order - Warn when product's stock of a pack are empty (by @Progi1984)
    - #24762: Fixed adding a free shipping cart rule on a 0.00 order (by @Progi1984)
    - #24765: Fix edit price modal showed when adding same product in multi-invoices (by @atomiix)
    - #24770: Added currency BYN TO CLDR dataset (by @olecorre)
    - #24773: BO - Order Preview : Added email (by @Progi1984)
- Front Office:
  - Bug fix:
    - #25216: Fix brands links not clickable inside description (by @NeOMakinG)
    - #24868: Fixed cart rule on selected product with product with ecotax (by @Progi1984)
    - #24754: Removed free shipping from cumulative reduction (by @Progi1984)
    - #24320: Bug fix for number of decimals in product price (by @samberrry)
- Core:
  - Improvement:
    - #25449: Build assets on 1.7.7.x  (by @matthieu-rolland)
    - #25447: Update prestashop modules on 1.7.7.x (by @matthieu-rolland)
    - #24957: Bump modules Welcome to 6.0.5 & ProductComments to 4.2.2 (by @Progi1984)
  - Bug fix:
    - #25413: Fix performance issue on Smarty template caching (by @lukaslau)
- Installer:
  - Bug fix:
    - #25306: Fix 1.7.7.2 upgrade (by @Seb33300)
    - #24908: Fixed default value for Currency after upgrade (by @Progi1984)
- Tests:
  - Bug fix:
    - #25281: Rise Apache Travis timeout to workaround addons module install issues (by @matks)
  - Refactoring:
    - #24951: Change attribute name to something more specific to fix filter (by @boubkerbribri)
    - #24783: Fix pages name for link list module (by @boubkerbribri)

####################################
#   v1.7.7.5 - (2021-06-01)
####################################

- Back Office:
  - Bug fix:
    - #24679: Fix free shipping cart rule should not be recalculate when PS_ORDER_RECALCULATE_SHIPPING is false (by @atomiix)
    - #24576: BO - New Order - Empty gift message is not a null value (by @Progi1984)
    - #24565: Order View - Discount Modal - Disable submit until name is filled (by @Progi1984)
    - #24579: BO - Order Messages - Avoid message with duplicate name (by @Progi1984)
    - #24568: BO - Order Preview - Use the tracking number in tracking url (by @Progi1984)
    - #24427: Fixed wrong price of the delivery slip of the document list (by @Progi1984)
    - #24217: [BC Break] Restore check when using the SQL manager part (by @PierreRambaud)
    - #24243: Fix escape in ps_1771_update_customer_note() (by @dali-rajab)
    - #23138: [BC Break] Fix gift added/removed when editing order (product quantity/shipping address) (by @atomiix)
    - #24353: Fix module activation checkbox in module configuration pages (by @IcarusSosie)
    - #24273: Implement Address Format in the View Order Page (by @Progi1984)
    - #23492: Fixed Ecotax when editing an Order ((Add/Update)ProductToOrder) (by @Progi1984)
    - #24269: Fix already selected condition group on safari inside catalog price rules (by @NeOMakinG)
    - #23902: [BC Break] Take customizations into account when performing operations on orders (by @atomiix)
- Core:
  - Improvement:
    - #24717: Update native modules (by @atomiix)
    - #24329: Bump version to 1.7.7.5 (by @Progi1984)
  - Bug fix:
    - #24443: Fix upgrade from 1.6.1.24 on certain installation (by @atomiix)
- Tests:
  - Refactoring:
    - #24578: Fix test Handling charges and backport fixes for product quick view test (by @boubkerbribri)
    - #24459: Wait For price to be updated on view order page (by @boubkerbribri)
    - #24455: Remove forgotten function description (by @SD1982)
    - #24366: Fix hooks tests (Nightly error) (by @boubkerbribri)
    - #24305: Remove some modules when building docker for tests (by @boubkerbribri)

####################################
#   v1.7.7.4 - (2021-04-28)
####################################

- Back Office:
  - Bug fix:
    - #23625: Collapse option not working for the the BO category tree (by @crezzur)
    - #24088: Fix Gift + discount cartRule calculation in cart summary (by @atomiix)
    - #24161: Allow all characters when using combination, not only \w (by @PierreRambaud)
    - #24015: Fix gift not added when changing carrier in Create order page (by @atomiix)
    - #24072: Fix category filter not checked (by @atomiix)
    - #24094: Fix OrderState deletion when not in default language context (by @atomiix)
    - #23819: Open tracking url in a new tab and add the link to the order preview (by @atomiix)
    - #23691: Fix notification refresh on migrated pages (by @NeOMakinG)
    - #22228: Fixed Update Quantity in an order in multishop context (by @Progi1984)
- Front Office:
  - Bug fix:
    - #23802: Fix jquery selector warning with ps_currencyselector (by @NeOMakinG)
- Core:
  - Bug fix:
    - #24017: Update SHOP_LOGO_* configuration when changing shop logo (by @atomiix)
    - #23925: Fix translator bug when iso code is unknown (by @atomiix)
    - #23722: Add missing license headers (by @eternoendless)
- Tests:
  - Improvement:
    - #24144: Use different instance name for 1.7.7.x branch (by @PierreRambaud)
  - Refactoring:
    - #24225: Fix nightly 177x for 27-04-2021 (by @boubkerbribri)
    - #24176: Upgrade playwright to 1.8.1 (by @boubkerbribri)
    - #24115: Backport fix on growl messages (by @boubkerbribri)
    - #24086: Delete dashboad UI test (by @nesrineabdmouleh)
    - #24030: Fix nightly - Separate enable and disable demo mode iteration (by @nesrineabdmouleh)
    - #23852: Fix 'Add to cart' test (by @boubkerbribri)
    - #23736: Add test 'Send a message with an ordered product' (by @RomainBocheux)
    - #23778: Wrap playwright function waitForSelector (by @boubkerbribri)
    - #23780: Delete unused functions on common page (by @boubkerbribri)
    - #23792: Fix enable demo mode on dashboard and trim the message set on contact us page (by @boubkerbribri)
    - #23740: Create message with only 35 characters for contact us test (by @boubkerbribri)

####################################
#   v1.7.7.3 - (2021-03-22)
####################################

- Back Office:
  - Bug fix:
    - #23694: Fix exception when adding only a space in the payment method in the orders page (by @atomiix)
    - #22677: Fix errors when viewing an order in BackOffice when the language of the order no longer exists (by @atomiix)
    - #23601: Take customization into account when updating an Order's product quantity (by @atomiix)
    - #23584: Fix error when opening a cart rule containing a gift product that is not enabled in that store context (by @atomiix)
    - #23142: Prevent setting duplicate order status names (by @Progi1984)
    - #23040: Fix missing DNI Number in BackOffice Order View (by @Progi1984)
    - #22920: [BC Break] Prevent adding out of stock products in Create order page (by @Progi1984)
    - #22791: Add error message when the payment method is invalid in Back Office's Orders page (by @Progi1984)
- Front Office:
  - Bug fix:
    - #23688: Fix display of color section on the add to cart modal on FO (by @NeOMakinG)
    - #23388: Fix products not centered on home and search pages with classic theme (by @NeOMakinG)
- Core:
  - Improvement:
    - #23343: Make autoloader suffix reproducible (by @atomiix)
  - Bug fix:
    - #GHSA-fhhq-4x46-qx77: Fix possible XSS injection through DataColumn Grid class (by @atomiix)
- Tests:
  - Refactoring:
    - #23693: Add test 'Send message from contact us page with customer logged in' (by @boubkerbribri)
    - #23674: Change functions and add more comments on install page  (by @boubkerbribri)
    - #23679: Add test 'Check mailto link on contact us page' (by @boubkerbribri)
    - #23627: Add test 'Search product and check autocomplete list on FO' (by @nesrineabdmouleh)
    - #23624: Fix wait after choosing combination (by @boubkerbribri)
    - #23614: Add test 'Quick edit and bulk actions shop URLs' (by @nesrineabdmouleh)
    - #23542: Add test 'Check product details in product page FO' (by @nesrineabdmouleh)
    - #23585: Fix nightly 09/03/2021 (by @nesrineabdmouleh)
    - #23554: Click on logo link on checkout page to go to home page (by @boubkerbribri)
    - #23503: Add test 'Check links in header page FO' (by @nesrineabdmouleh)
    - #23519: Fix local sort for shop url on multistore (by @boubkerbribri)
    - #23464: Add test  'Filter, sort and pagination shop urls' (by @nesrineabdmouleh)
    - #23471: Backport test 'Check footer links' (by @nesrineabdmouleh)
    - #23452: Add test 'Check product block in order page BO' (by @nesrineabdmouleh)
    - #23410: Fix nightly 25/02/2021 (by @nesrineabdmouleh)
    - #23382: Fix nightly - Add reset Step in 'Default Pack Stock Management' (by @nesrineabdmouleh)
    - #23359: Fix nightly - Delete duplicates on selectors names (by @boubkerbribri)
    - #23238: Add test - Quick view product on FO (by @nesrineabdmouleh)

####################################
#   v1.7.7.2 - (2021-02-18)
####################################

- Back Office:
  - Bug fix:
    - #23289: Use default currency when supplier currency setting is incorrect (by @atomiix)
    - #23078: [BC Break] Fixed missing APE/SIRET Code in BackOffice Order View (by @Progi1984)
    - #22980: Replaced hooks displayAdminList<Before|After> with displayAdminGridTable<Before|After> (by @Progi1984)
    - #22997: Fix compare function of dashboard's calendar (by @NeOMakinG)
    - #22947: Fix Shopping Cart page in BO throwing an exception (by @atomiix)
    - #22909: BO - Create Order - Updated product list when adresses changed (by @Progi1984)
    - #22863: Fix reference in Shopping carts view (by @kpodemski)
    - #22805: BO - Orders page - Cannot delete a product restricted by a cart rule (by @Progi1984)
    - #22688: Prevent HookDataCollector unserialize() to throw an exception (by @atomiix)
    - #22685: Create Order - Cart details modal - Fix refresh for cart total (by @sowbiba)
    - #22673: PerfectScrollBar needs available element (by @PierreRambaud)
    - #22542: Handle case where product location is a boolean (by @atomiix)
    - #22367: Order view - Refresh shipping tab when product is added, removed or updated (by @sowbiba)
    - #22579: Prevent HookDataCollector unserialize() to throw an exception (by @atomiix)
    - #22161: Fix group reduction when specific price is set (by @sowbiba)
    - #22249: Create Order - Cart details modal - Fix refresh for cart total (by @sowbiba)
- Front Office:
  - Improvement:
    - #22528: Better handle aliases with space in search (by @atomiix)
  - Bug fix:
    - #23024: Fixed BreadcrumbList Rich Result on FrontOffice (by @Progi1984)
    - #22518: Define when a voucher should be displayed in 'Your vouchers' (by @atomiix)
- Core:
  - Improvement:
    - #23224: Update PrestaShop's composer dependencies (by @atomiix)
    - #23220: Update composer versions of native modules for 1.7.7.2 (by @matks)
  - Bug fix:
    - #GHSA-557h-hf3c-whcg: Improper session management for soft logout (by @PierreRambaud)
    - #GHSA-2rw4-2p99-cmx9: CSV Injection via csv export (by @PierreRambaud)
    - #23276: Update composer version of ps_categorytree (by @atomiix)
    - #22682: Fix warning/errors from upgrade scripts (by @atomiix)
    - #23139: Update pear/archive_tar to 1.4.12 (by @matks)
    - #22768: Exclude gifts from getOrderTotal when selected ONLY_PRODUCTS (by @PierreRambaud)
    - #22841: Bring back vat number to address on order view (by @kpodemski)
- Installer:
  - Bug fix:
    - #22735: Fix installation carrier delay Error for Persian Language (by @matks)
- Tests:
  - Refactoring:
    - #22875: Rename default account var name (by @boubkerbribri)
    - #23129: Add test - Enable/Disable demo mode (by @nesrineabdmouleh)
    - #23004: Add test 'Languages pagination' (by @nesrineabdmouleh)
    - #23023: Add test 'Carrier options - order by ascending/descending ' (by @nesrineabdmouleh)
    - #22953: Add test 'Filter, sort and paginaion shops' (by @nesrineabdmouleh)
    - #22985: Add test 'Set required fields for address page' (by @nesrineabdmouleh)
    - #22954: Add test 'Sort shop groups' (by @nesrineabdmouleh)
    - #22925: Add test 'Add and delete shop URL' (by @nesrineabdmouleh)
    - #22927: Fix nightly 21-01-2021 on 1.7.7.x (by @boubkerbribri)
    - #22912: Fix nightly tests failing on 20-01-2021 (by @boubkerbribri)
    - #22900: Add test 'Test handling charges for carriers in FO' (by @nesrineabdmouleh)
    - #22856: Add test 'Check customer block' in order page (by @nesrineabdmouleh)
    - #22855: Add test 'View vouchers on FO account Page' (by @boubkerbribri)
    - #22874: Add test 'Check number of orders in order history page' (by @boubkerbribri)
    - #22762: Add test 'Filter sort pagination shop groups' (by @nesrineabdmouleh)
    - #22879: Add test 'CRUD shop group' (by @nesrineabdmouleh)
    - #22876: Add test 'Filter,sort and pagination logs' (by @nesrineabdmouleh)
    - #22792: Backport UI tests for 1.7.7.2 (by @boubkerbribri)
    - #22556: Fix nightly 1.7.7.x - 23/12/2020 (by @nesrineabdmouleh)
    - #22678: Fix nightly 1.7.7.x - 05/01/2021 (by @nesrineabdmouleh)
    - #22656: Delete UI upgrade test (by @boubkerbribri)

####################################
#   v1.7.7.1 - (2021-01-11)
####################################

- Back Office:
  - Improvement:
    - #22020: Take shop id into account when getting a language list for an order (by @matthieu-rolland)
    - #22028: Update out of stock mail wording (by @jolelievre)
  - Bug fix:
    - #21692: Refresh order products when a product is added or deleted (by @sowbiba)
    - #22535: Method assertCmsCategoryExists doesn't return anything, it throws an exception (by @PierreRambaud)
    - #22082: Hide product quantity in Order view page when stock management is disabled (by @jolelievre)
    - #22299: Use OrderDetail prices when modifying an Order (by @jolelievre)
    - #21795: Fix wrong product quantity after adding a product triggering a free gift  (by @matthieu-rolland)
    - #22175: Added error when a customization is not found (by @Progi1984)
    - #21912: Use language_code when locale is empty to get CLDR data (by @atomiix)
    - #22171: When refreshing an order, display shipping price if needed (by @Progi1984)
    - #22406: Fixed pagination in Product Quick Navigation Popup (by @Progi1984)
    - #21977: Add debounce to quantity change of order create product (by @NeOMakinG)
    - #22291: Fixed Pagination of Sell > Orders > Credits Slips page (by @Progi1984)
    - #22214: Fix numeric_iso_code in the upgrade to 1.7.7.1 (by @atomiix)
    - #22126: Fix bug on displayed price's calculation in BO order page under specific conditions (by @matthieu-rolland)
    - #22246: Integrate ContextStateManager into refund handlers (by @jolelievre)
    - #21568: Fixed in Create Order the update of cart rules when changing adress  (by @Progi1984)
    - #22189: Trigger input when a predefined message is applied (by @Progi1984)
    - #22077: Create Order - Fix remove cart rule when amount is not reached (by @sowbiba)
    - #22101: Fix product selections when creating/updating tags (by @atomiix)
    - #22099: Fix employee filter for the Logs page (by @atomiix)
    - #22059: Add Payments block refresher - Refresh when product is added or removed from Order (by @sowbiba)
    - #21992: Make customer note TYPE_STRING instead of TYPE_HTML (by @atomiix)
    - #21980: Fixed the error message for a combination with a min quantity for sale (by @Progi1984)
- Front Office:
  - Bug fix:
    - #22296: Center products on category list on mobile (by @NeOMakinG)
    - #22241: Fix duplicated hook data after product page refresh (by @Hlavtox)
    - #22103: Display combination image in product pack list (by @jolelievre)
- Core:
  - Bug fix:
    - #22532: Hook keys must be in lowercase (by @PierreRambaud)
    - #22432: Don't redirect to http from https if it is homepage (by @ludoc)
    - #22293: Use PS cache config as driver.cache (by @atomiix)
    - #22274: Fix upgrade from ps < 1.7.0.0 (by @atomiix)
    - #22289: Removed module Linklist update from upgrade script (by @Progi1984)
    - #21988: Fix order detail total amount update when rounding is per item (by @matthieu-rolland)
- Tests:
  - Improvement:
    - #22198: Add static cache resets (by @matthieu-rolland)
  - Refactoring:
    - #22543: Add test 'Page for terms and conditions' (by @nesrineabdmouleh)
    - #22523: Add test 'Activate merchandise returns' (by @nesrineabdmouleh)
    - #22521: Refactoring alert blocks in UI tests (by @boubkerbribri)
    - #22491: Add test 'View customer service message page' (by @nesrineabdmouleh)
    - #22490: Add new FO tests 'Edit account information' (by @boubkerbribri)
    - #22433: Add test 'Check to delete shop groups' (by @nesrineabdmouleh)
    - #22446: Add test 'Quick edit order status' (by @nesrineabdmouleh)
    - #22454: Add test 'Quick edit alias status' (by @nesrineabdmouleh)
    - #22455: Add requirement block to README in UI tests (by @boubkerbribri)
    - #22434: Refactoring FO login page in UI tests and add new page for create account page (by @boubkerbribri)
    - #22428: Add new command to run all UI tests and check step identifiers in all campaigns (by @boubkerbribri)
    - #22423: Add new test 'Change carrier position' (by @boubkerbribri)
    - #22408: Rename functions in UI tests (by @boubkerbribri)
    - #22345: Add tests on products page (by @boubkerbribri)
    - #22012: Fix random fails in travis CI (by @boubkerbribri)
    - #22209: Backport fix on UI sort tests (by @boubkerbribri)
    - #22172: Backport UI tests (by @boubkerbribri)

####################################
#   v1.7.7.0 - (2020-12-02)
####################################

- Back Office:
  - Bug fix:
    - #22191: Validate currency localized names (by @jolelievre)
    - #22013: Handle parallel updates from CartRules when updating a product in Order (by @jolelievre)
    - #22018: Order zero ratio for order detail tax (by @matks)
    - #21781: Remove gifted quantity from product order quantity (by @sowbiba)
    - #21994: Remove or cancel all products (by @jolelievre)
    - #21721: Handle Shop context override in order editing (by @jolelievre)
    - #21816: Remove useless logic Product customization images in Order Page and handle exotic chars in name (by @matks)
    - #21853: Add missing use in CancelOrderProductHandler (by @matks)
    - #21830: Correctly generate cart error messages (by @jolelievre)
    - #21555: Fixed increment button when adding a product out of stock and with allow order (by @Progi1984)
    - #21526: Improved Error message in New Order Page when adding a minimal product (by @Progi1984)
    - #21557: Fix product pagination when adding a product in an empty order (by @atomiix)
- Front Office:
  - Bug fix:
    - #21981: Make sure favicon, stores_icon and logo are correctly settled for themes (by @PierreRambaud)
- Core:
  - Bug fix:
    - #22178: Set numeric_iso_code & precision in currency from CLDR when upgrading (by @atomiix)
    - #22182: Update pear/archive_tar to 1.4.11 (by @PierreRambaud)
    - #22174: Use displayHeader hook instead of Header (by @atomiix)
    - #22164: Fix upgrade script from < 1.7.6.0 to 1.7.7.0 (by @atomiix)
    - #22146: Remove --classmap-authoritative when building release (by @atomiix)
    - #22130: Fix dependency which is targeting the v1.3.0 instead of the 1.3 branch (by @PierreRambaud)
    - #21975: Correctly substring fields before update, remove duplicates and add missing sql queries (by @PierreRambaud)
- Installer:
  - Improvement:
    - #21957: Update latest native modules (by @jolelievre)
  - Bug fix:
    - #21953: Fix "column count doesn't match value count" error during upgrade (by @okom3pom)
- Localization:
  - Improvement:
    - #22063: Last translation updates (by @jolelievre)
- Tests:
  - Refactoring:
    - #22055: Delete spaces in the end of title name in faker for UI tests (by @boubkerbribri)

####################################
#   v1.7.7.0-rc.1 - (2020-11-03)
####################################

- Back Office:
  - Improvement:
    - #21435:  Add hooks for the AdminLoginController, AdminController, FrontController and Controller (by @PierreRambaud)
    - #20903: [BC Break] Update Order amount when its addresses are modified (by @jolelievre)
    - #21203:  Build assets for 177 (by @jolelievre)
    - #21190:  Add missing security annotation on new 177 routes (by @jolelievre)
    - #21025:  Make legacy parameters from routing accessible in migrated pages (by @jolelievre)
  - Bug fix:
    - #21666:  Recompute price tax excluded only when the price is different from catalog (by @jolelievre)
    - #21574:  Allow ContextStateManager to stash contexts (by @jolelievre)
    - #21523:  Several fixes found via PHPStan while mergin to develop (by @jolelievre)
    - #21447:  Synchronize OrderDetail with Cart when removing a voucher (by @PierreRambaud)
    - #21467:  Fix help link in Create order (by @atomiix)
    - #21458:  Two Time actionAdminLoginControllerResetBefore (by @okom3pom)
    - #21432:  Fixed Configuration when Disabling/Enabling Shop (by @Progi1984)
    - #21326:  Set order currency to  added cart rule (by @sowbiba)
    - #21331:  Enable Gift and Recycled Packaging switches (by @matks)
    - #21232:  Fix tab modules list (by @sowbiba)
    - #21343:  Fix status dropdown of order listing page not being well displayed using rtl language (by @NeOMakinG)
    - #21317:  Notifications bell icon read fix (Backport) (by @okom3pom)
    - #21344:  Move product search controller that was not in the right place (by @jolelievre)
    - #20882:  Recompute specific price tax excluded when mismatch with price tax included (by @matthieu-rolland)
    - #21310:  Fix delete order state confirmation (by @sowbiba)
    - #21195:  Replaced SQL query to fetch modules hooked on stat hook by Hook function to have a singl Source of Truth (by @matks)
    - #20760:  Add Order - View customer details : Check if nav-bar exist to avoid console errors (by @sowbiba)
    - #20628:  Restore selectors in Order Page for GDPR to make GDPR module compliant with 1.7.7.0 (by @matks)
    - #21045:  Fix Features page throwing an exception after specific steps are made (by @atomiix)
    - #21031:  Fix bad range error when setting free shipping on a previously not free shipping carrier (by @atomiix)
    - #21048:  Fix [BO- Stores page] Sort by post code not working (by @PululuK)
    - #20911:  Fix glyph.png asset path (by @okom3pom)
    - #20960:  Fix bulk actions in Carriers page (by @atomiix)
    - #20936:  Fix navbar scroll on mobile display (by @sowbiba)
    - #20902:  Keep order detail from being updated in BO > Order detail page, when product doesn't exist anymore (by @matthieu-rolland)
    - #20906:  Duplicate product in order invoices (by @jolelievre)
    - #20796:  Fix OrderReturnState should not use soft delete (by @atomiix)
    - #20798:  Do not recalculate shipping if PS_ORDER_RECALCULATE_SHIPPING is false (by @atomiix)
    - #20792:  Fix cannot add twice a product out of stock but allowed to be ordered (by @atomiix)
    - #20757:  Save customer message on order creation from BO (by @sowbiba)
    - #20734:  Allow to create Order from BO using soft deleted address (by @matks)
    - #20704:  Expose missing route (by @atomiix)
    - #20603:  Redirect to customer when canceling new customer address creation (by @ks129)
    - #20714:  Fix max attribute on qty input of an out of stock attribute available on create order (by @NeOMakinG)
    - #20684:  Fix empty optional customization exception when creating BO order (by @atomiix)
    - #20145:  Product management and specific prices new rules in Order (by @jolelievre)
    - #20755:  Fix free shipping cart rules not added/deleted in create order (by @atomiix)
    - #20729:  Fix price width is too small on some devices by setting a min-width (by @NeOMakinG)
    - #20644:  Check for address id before creating CartAddress (by @atomiix)
    - #20626:  Fix duplicate ids in order page (by @PierreRambaud)
- Front Office:
  - Improvement:
    - #21507:  Build core assets (by @jolelievre)
    - #20920:  Fix jquery migrate being loaded two times in FO (by @matthieu-rolland)
  - Bug fix:
    - #21362:  Possibility to check if we're in product quick view mode (by @kpodemski)
    - #20927:  Avoid possible notice due to breaking change (by @kpodemski)
    - #21297:  Fix variable name in order_customer_comment.html.twig (by @okom3pom)
    - #21266:  Fix wrong combination image shown when clicking to zoom (by @atomiix)
    - #20598:  Do not reconvert discounts (by @atomiix)
- Core:
  - Improvement:
    - #21449:  Update modules (blockreassurance/dashtrends/ps_checkpayment/welcome) (by @Progi1984)
    - #21138:  Add changelog for the 1.7.6.8 version (by @PierreRambaud)
    - #21124:  Bump version to 1.7.6.8, bump contactform version (by @PierreRambaud)
    - #20794:  Send an 'action' parameter to actionProductCancel hook (by @matthieu-rolland)
    - #20738:  Disable jquery migrate deprecation messages when prestashop debug mode is off (by @matthieu-rolland)
  - Bug fix:
    - #21609:  Make PrestaShop compatible with composer 2.0 (by @atomiix)
    - #21390:  Fix getting proper cover for image (by @kpodemski)
    - #GHSA-rc8c-v7rq-q392:  Stored XSS in upload files (by @PierreRambaud)
    - #GHSA-5cp2-r794-w37w:  Potential XSS injection with contact form (by @PierreRambaud)
    - #GHSA-fghq-8h87-826g:  Blind SQLi in Catalog Product edition (by @PierreRambaud)
    - #20992:  Update live polyfill in BO, FO core theme, and remove it from FO classic theme (by @matthieu-rolland)
    - #20741:  Fix cumulative free gift + percentage discounts (by @atomiix)
    - #20693:  Cancel/Refunds... adding missing hooks and cancel product refactor (by @matthieu-rolland)
    - #20758:  Fix cumulative percentage behat test (by @matthieu-rolland)
  - Refactoring:
    - #20378:  Use Computing precision instead of hardcoded 2 (by @matks)
- Installer:
  - Improvement:
    - #21178:  Update modules for 177 (by @jolelievre)
  - Bug fix:
    - #20201:  Fix throw InstallControllerHttpSystem::trans during installation process (by @mushroot)
- Localization:
  - Improvement:
    - #21607:  Update translation catalogs (by @jolelievre)
    - #21509:  Update catalog with latest wordings (by @jolelievre)
    - #21179:  Update translation catalogues for 177 (by @jolelievre)
- Tests:
  - Improvement:
    - #21497:  Improve behat config which did not use appropriate format for paths (by @jolelievre)
    - #20850:  Add behat tests for order shipping computing, and add new carriers fixtures (by @jolelievre)
  - Bug fix:
    - #21532:  Update behat and gerkhin to allow debugging in PHPStorm (by @jolelievre)
  - Refactoring:
    - #21544:  Fix image name for CRUD title test (by @boubkerbribri)
    - #21512:  Add tests 'Helper card' for catalog pages (by @boubkerbribri)
    - #21508:  Add test 'CRUD search engines' (by @boubkerbribri)
    - #21505:  Add test pagination stores (by @boubkerbribri)
    - #21481:  Add test 'Sort and pagination price rule' (by @nesrineabdmouleh)
    - #21473:  Add test 'Filter sort and pagination order status' (by @nesrineabdmouleh)
    - #21462:  Add var for visible selectors in methods (by @nesrineabdmouleh)
    - #21459:  Add test 'CRUD order status' (by @nesrineabdmouleh)
    - #21452:  Fix page name in orders tests (by @boubkerbribri)
    - #21399:  Add test 'Help card on attributes page' (by @boubkerbribri)
    - #21405:  Add test 'Filter, sort and pagination search engines' (by @boubkerbribri)
    - #21403:  Add test 'Sort and pagination countries table' (by @nesrineabdmouleh)
    - #21411:  Add test 'Sort and pagination states table' (by @nesrineabdmouleh)
    - #21415:  Add test 'Filter, sort and pagination tax rules group' (by @nesrineabdmouleh)
    - #21433:  Fix a small error in nightly 14-10-2020 (by @nesrineabdmouleh)
    - #21402:  Add test 'Sort and pagination zones table' (by @nesrineabdmouleh)
    - #21385:  Add test 'Filter and bulk actions catalog price rules' (by @nesrineabdmouleh)
    - #21396:  Add navigation when selecting pagination limit (by @boubkerbribri)
    - #21367:  Add test 'CRUD catalog price rule' (by @nesrineabdmouleh)
    - #21334:  Create state with only iso code that does not exist (by @boubkerbribri)
    - #21341:  Fix test 'CRUD carrier' in nightly 07/10/2020 (by @nesrineabdmouleh)
    - #21339:  Delete all references to ttc in UI folder (by @boubkerbribri)
    - #21327:  Create first test 'Computing precision set to 3' for UI tests new campaign  'Regression' (by @boubkerbribri)
    - #21324:  Add new test 'Change position for attributes and values' (by @boubkerbribri)
    - #21308:  Fix tests errors in nightly 04/10/2020 (by @nesrineabdmouleh)
    - #21302:  Change UI tests workflow name (by @boubkerbribri)
    - #21255:  Add test 'Sort and pagination shopping carts' (by @nesrineabdmouleh)
    - #21265:  Fix tests errors in nightly 02/10/2020 (by @nesrineabdmouleh)
    - #21256:  Fix test 'Filter shopping carts' (by @nesrineabdmouleh)
    - #21188:  Refactoring create cart rule and faker in tests  (by @boubkerbribri)
    - #21225:  Add test 'Filter shopping carts' (by @nesrineabdmouleh)
    - #21147:  Add test 'Filter sort and pagination carriers' (by @nesrineabdmouleh)
    - #21184:  Avoid creating new state with existing iso code (by @boubkerbribri)
    - #21162:  Add a DB_SERVER global variable for tests (by @SD1982)
    - #21182:  Add test 'Pagination and sort cart rule' (by @nesrineabdmouleh)
    - #21122:  Add github action to check eslint and step identifier doubles for UI tests (by @boubkerbribri)
    - #21139:  Change faker for locations tests (by @boubkerbribri)
    - #21123:  Add test 'Sort and pagination attributes' (by @nesrineabdmouleh)
    - #21064:  Add test 'Crud carrier' (by @nesrineabdmouleh)
    - #21116:  Fix Error in last PR to force playwright@1.0.2 (by @boubkerbribri)
    - #20935:  Add test 'Bulk actions countries' (by @boubkerbribri)
    - #21097:  Downgrade playwright to version 1.0.2 (by @boubkerbribri)
    - #21090:  Unskip test 'Sort by post code' in stores page after fixing issue (by @boubkerbribri)
    - #21089:  Increase timeout for 'Sort' tests (by @boubkerbribri)
    - #21043:  Fix test context in 'Sort and pagination image settings' (by @nesrineabdmouleh)
    - #21056:  Fix tests errors in nightly 18-09-20 (by @boubkerbribri)
    - #21040:  Add test 'Sort Stores' (by @boubkerbribri)
    - #20847:  Add test 'Configure contact details' (by @nesrineabdmouleh)
    - #20997:  Add test 'Sort and pagination image settings' (by @nesrineabdmouleh)
    - #21029:  Delete force install playwright on docker (by @boubkerbribri)
    - #20988:  Fix 'CRUD Cart Rule' Test (by @boubkerbribri)
    - #20932:  Add test 'Bulk actions states' (by @boubkerbribri)
    - #20961:  Add test 'Filter, quick edit and bulk actions cart rules' (by @boubkerbribri)
    - #20922:  Add test 'CRUD states' (by @boubkerbribri)
    - #20919:  Add test 'Bulk actions zones' (by @boubkerbribri)
    - #20913:  Avoid creating the same name for different values using faker (by @boubkerbribri)
    - #20899:  Add test 'CRUD Zone' (by @boubkerbribri)
    - #20896:  Add test 'Filter and quick edit states' (by @boubkerbribri)
    - #20876:  Add test 'Filter and quick edit zone' (by @boubkerbribri)
    - #20873:  Improve pagination on customers test (by @boubkerbribri)
    - #20883:  Fix duplicates steps identifiers in UI tests (by @boubkerbribri)
    - #20881:  Add test 'Filter and quick edit countries' (by @boubkerbribri)
    - #20859:  Add test 'CRUD tax Rule' (by @nesrineabdmouleh)
    - #20831:  Add test 'CRUD country' (by @nesrineabdmouleh)
    - #20802:  Add test 'CRUD cart rule' (by @nesrineabdmouleh)
    - #20759:  Add test 'Bulk delete attributes' (by @boubkerbribri)
    - #20724:  Add test  'Default pack stock management' (by @nesrineabdmouleh)
    - #20749:  Add tests 'Filter features' and 'Filter feature values' (by @boubkerbribri)
    - #20735:  Add test 'CRUD attributes and values' (by @boubkerbribri)
    - #20692:  Add tests 'Filter attributes' and 'Filter attribute values' (by @boubkerbribri)
    - #20683:  Fix faker data - Title's name should take at most 20 characters  (by @boubkerbribri)
    - #20599:  Functional tests -  Add CRUD and Bulk actions tests for image types (by @boubkerbribri)
    - #20551:  Functional tests - Add tests 'CRUD and bulk delete Groups' (by @boubkerbribri)

####################################
#   v1.7.7.0-beta.2 - (2020-08-18)
####################################

- Back Office:
  - New feature:
    - #19704: Migrate linked orders (by @matks)
    - #19697: Add order sources in Order View page (by @matks)
  - Improvement:
    - #20529: Fix links in footer - https is better than http (by @matks)
    - #20311: Mark deprecated order hooks for 1.7.7 as such (by @matks)
    - #20124: Use /usr/sbin/sendmail instead of mail() in config wording (by @atomiix)
    - #20039: Make customization image downloadable in BO order page (by @matthieu-rolland)
    - #19903: Auto create symfony roles (by @jolelievre)
    - #19854: Add trace information to Command/Query debugger (by @eternoendless)
    - #19730: Enable fancybox for edit an address in View an Order page (by @matks)
    - #19597: Add order table empty state (by @atomiix)
    - #19582: Order products pagination (by @jolelievre)
  - Bug fix:
    - #20571: Return an int instead of a float (in some cases) for Pack::getQuantity() (by @atomiix)
    - #20451: Fix TinyMCE error on product page (by @NeOMakinG)
    - #20538: Fix order cart rule deletion (by @matthieu-rolland)
    - #20524: Fix bad call in HTMLTemplateOrderSlip (by @matks)
    - #20477: Fixed cast for primary key in PrestaShopCollection (by @Progi1984)
    - #20492: Remove call to updateOrderInvoice - not needed anymore (by @matks)
    - #20482: Set CartRule amount with tax in BO instead of without tax (by @atomiix)
    - #20335: Remove discount from order (persist state) (by @jolelievre)
    - #20457: Include product name and employee name in out of stock email (by @ks129)
    - #20461: Fixed Modal "View pack content" (by @Progi1984)
    - #20433: Dont show root category on category grid search results (by @matks)
    - #20284: Order address country (by @jolelievre)
    - #20198: Product supplier_reference is not updated when saving a product in the BO (by @PierreRambaud)
    - #20319: Cannot remove attributes if token is disabled (by @PierreRambaud)
    - #20303: Fix bad redirection after error in address controller - edit usecase (by @matks)
    - #20263: Fix bad redirection after error in address controller (by @matks)
    - #20111: Fix order max quantity (by @jolelievre)
    - #20083: Refactoring of the Order Updater and multiple related bugfixes (by @jolelievre)
    - #20166: Return Response to provide a good error message when import directory doesnt exist (by @matks)
    - #20126: Correctly uncheck previous default combination (by @Amazzing)
    - #19970: Create specific price when product price is updated in order (by @sowbiba)
    - #19937: Fixed position action button in Order Page (by @Progi1984)
    - #17399: Expand Categories search capabilities for categories listing home page and avoid going from subcategory to root category when using grid filters (by @matks)
    - #19929: Fixes the import configuration save (by @Progi1984)
    - #19955: Rename AddCustomizationFieldsCommand to AddCustomizationCommand (by @zuk3975)
    - #19646: Synchronize cart_product and order_detail when quantity is changed (by @sowbiba)
    - #19828: Check for ::GRID_ID when definition is AbstractGridDefinitionFactory (by @atomiix)
    - #19778: Cast changelogs to array for twig (by @atomiix)
    - #19698: Fix order view total discounts (by @zuk3975)
    - #19712: Move smarty variables assignments in initHeader instead of init function (by @PierreRambaud)
    - #19820: Hooks displayAdminOrderTabLink or displayAdminOrderTabContent displayed not escaped to allow raw HTML (by @clotaire202)
    - #19796: Missing fancybox plugin in new theme pages (by @PierreRambaud)
    - #19506: Handle AbstractGridDefinitionFactory compatibility (by @matks)
    - #19716: Remove i18n access restrictions (by @PierreRambaud)
    - #19546: Fix scrollbar on order page when adding product (by @antoinedamiron)
    - #19448: Fix AdminModulesController fatal error (by @Matt75)
    - #19452: Fix to show the Modules tab in the product editor - backport of #19216 to 1.7.7.x (by @matks)
    - #18875: BO - Create Order page - Defined the order status relative to payment (by @Progi1984)
    - #18456: Update cart currency when order currency changes (by @sowbiba)
    - #18923: Multistore: Fix error when viewing an order with custom product made on secondary shop (by @matthieu-rolland)
    - #19205: Fix catalog price rule - Currency sort and filter not working & save button design - Backports of #19020 and #19021 for 1.7.7.x (by @matks)
    - #19108: Extend OrderController with FrameworkBundleAdminController instead of CommonController (by @zuk3975)
    - #19103: Redirect to dashboard when employee default page is unauthorized (by @sowbiba)
    - #19089: Fix bug keeping user from accessing his profile page in BO (by @matthieu-rolland)
    - #19086: BO - New Product - In MultiLang BO, the default name input wasn't in the employee language (by @Progi1984)
    - #19039: Fix product pagination in order with customization (by @atomiix)
    - #19032: Update ps_themecusto to the latest version (by @atomiix)
    - #19058: Refresh invoices total when product price is updated (by @sowbiba)
    - #18580: In BO Product page, use ecotax excl. tax instead of tax incl. (by @matks)
    - #17179: Fix free gift product in Order create page (by @zuk3975)
  - Refactoring:
    - #19981: Refactor cancel product and bug fix (by @matthieu-rolland)
    - #18984: Remove legacy files for Order page (by @matks)
- Front Office:
  - Improvement:
    - #19706: Don't try to translate using domain unless the "d" parameter is present (by @eternoendless)
  - Bug fix:
    - #20555: Fix images quickview also updating product page by changing product i… (by @NeOMakinG)
    - #19631: FO: fix cumulative percentage reduction amount value in cart  (by @matthieu-rolland)
    - #19896: Fix lang dropdown by adding jquery migrate (by @NeOMakinG)
    - #19437: Make product image in list overridable (by @jolelievre)
    - #19139: Do not use cache while checking if an order exists (by @PierreRambaud)
    - #19456: Fix voucher display for single customer - backport of #19443 to 1.7.7.x (by @matks)
    - #19395: Return 404 in frontoffice if return merchandise is disabed (by @clotaire202)
    - #17502: Fix cart voucher values in cart summary and checkout summary (by @arouiadib)
    - #19347: Use Country from global namespace (by @prestamodule)
    - #18993: Fix discount display on multicurrency context (by @sowbiba)
    - #18884: FO: Display 'free' as shipping cost in the cart when a cart rule grants free shipping (by @matthieu-rolland)
- Core:
  - New feature:
    - #19782: Allow modules to disable routing prefix with specific parameter (by @matks)
  - Improvement:
    - #20547: Update module productcommentsto v4.1.0 (by @matks)
    - #20137: Computing precision: set minimum computing precision value to zero (by @matthieu-rolland)
    - #20324: Set editorconfig to indent yml files using 4 spaces instead of two (by @eternoendless)
    - #19461: Remove MBO-related api calls from core (by @atomiix)
    - #19752: Update licenses headers (by @PierreRambaud)
    - #19556: Update modules (contactform/ps_imageslider/ps_sharebuttons/statspersonalinfos) (by @Progi1984)
  - Bug fix:
    - #20570: Update _PS_JQUERY_VERSION_ to match the included jQuery version (by @eternoendless)
    - #12578: Fix wrong use of alias when registering new hook (by @eternoendless)
    - #20408: Fix bug on Invoices tax detail  (by @matthieu-rolland)
    - #20398: Fixed Cache Problem in Language & Currency (by @Progi1984)
    - #15049: Fix wrong hook names (by @eternoendless)
    - #20192: Remove tables upgrade lines related to gamification module (by @PierreRambaud)
    - #18532: Increase precision for DECIMAL fields in database (by @atomiix)
    - #19581: Fix bugs occuring when an order state is deleted but still assigned to orders (by @matthieu-rolland)
    - #19858: Update jquery.live.polyfill npm dependency (by @PierreRambaud)
    - #19657: Deprecate hookcount and add missing hook in hook.xml (by @atomiix)
    - #19016: Add mapping for Doctrine core entities on front environment (by @jolelievre)
    - #19409: Add missing index.php in upload directory (by @PierreRambaud)
    - #18811: Introduce CompilerPass to perform ControllerAwareTrait injection (by @matks)
    - #15871: Avoid error when trying to translate an invalid module (by @PululuK)
    - #19063: Fix simplfied url not properly set for multilang categories (by @matthieu-rolland)
    - #18697: Fix error when updating a used address with no DNI (by @shaffe-fr)
    - #18845: Add tag controller.service_arguments to PrestaShop controllers (by @matks)
    - #18851: Build assets for Beta (by @jolelievre)
  - Refactoring:
    - #19748: Update decimal library (by @jolelievre)
- Installer:
  - Improvement:
    - #19788: Allow user to choose to drop existing tables or not even when not in dev mode (by @Progi1984)
    - #19694: Allow user to choose to install demo products or not even when not in dev mode (by @eternoendless)
  - Bug fix:
    - #20122: Fix session tables charset (by @jolelievre)
    - #19887: Add missing comma (by @atomiix)
    - #19274: Add a missing comma in 1.7.7.0 upgrade file (by @Quetzacoalt91)
    - #18834: Remove newsletter registration during installation (by @PierreRambaud)
- Web Services:
  - Bug fix:
    - #18859: Defined Currency Context if needed in WebService Context (by @Progi1984)
- Localization:
  - Improvement:
    - #19897: Update German tax rates (by @Progi1984)
    - #18902: Avoid nested wordings chains (by @jolelievre)
- Tests:
  - Improvement:
    - #20312: Improve combination tests, use IDs instead of names to check quantities (by @jolelievre)
  - Bug fix:
    - #18613: Cart rule order tests (by @jolelievre)
  - Refactoring:
    - #20586: Functional tests - Add test 'Filter image types' (by @boubkerbribri)
    - #20486: Functional tests - Enable/Disable display attributes in product meta title (by @nesrineabdmouleh)
    - #20569: Functional tests - Add new tests for stores page (by @boubkerbribri)
    - #20559: Functional tests - Add test 'Filter stores' (by @boubkerbribri)
    - #20543: Functional tests - Add test 'Filter groups' (by @boubkerbribri)
    - #20539: Functional tests - Update exchange rate (by @nesrineabdmouleh)
    - #20502: Functional tests - Add new test 'Create customer from create order page' (by @boubkerbribri)
    - #20540: Functional tests - Add tests for seo pages (by @boubkerbribri)
    - #20521: Functional tests - Add new test 'Configure module' (by @boubkerbribri)
    - #20468: Functional tests - Search hook in Positions page (by @nesrineabdmouleh)
    - #20460: Functional tests - Update test filter categories (by @boubkerbribri)
    - #20450: Functional tests - Update linkchecker urls (by @boubkerbribri)
    - #20459: Functional tests - Add new test 'Select default Theme' (by @boubkerbribri)
    - #20440: Functional tests - Enable using loginCommon with different user than default one (by @boubkerbribri)
    - #20439: Functional tests - Avoid 'home' as new category to create (by @boubkerbribri)
    - #20418: Functional tests - Add tests for titles page (by @boubkerbribri)
    - #20394: Functional tests - Add test 'Search customers in create order page' (by @boubkerbribri)
    - #20302: Functional tests - Add update a language (by @nesrineabdmouleh)
    - #20368: Functional tests - Add browser listeners to tests (by @boubkerbribri)
    - #20360: Functional tests - Reset orders before going to order view page (by @boubkerbribri)
    - #20318: Functional tests - Add new test 'View guest from orders page' (by @boubkerbribri)
    - #20293: Functional tests - Add new test 'Carrier restrictions' (by @boubkerbribri)
    - #20280: Functional tests - Create new test 'View customer from orders page' (by @boubkerbribri)
    - #20241: Functional tests - Modify translation (by @nesrineabdmouleh)
    - #20215: Functional tests - Add checking order status in FO after update status in BO (by @boubkerbribri)
    - #20210: Functional tests - Add 'Sort orders' tests (by @boubkerbribri)
    - #19997: Functional tests - Separate browser page and page objects (by @boubkerbribri)
    - #20086: Functional tests - Test pagination of products table (by @nesrineabdmouleh)
    - #20046: Functional tests - Do not skip steps in CRUD category and subcategory scenario (by @boubkerbribri)
    - #19983: Functional tests - Update playwright version (by @nesrineabdmouleh)
    - #19785: Functional tests - Delete unused selectors and methods (by @nesrineabdmouleh)
    - #19920: Functional tests - Wait for neworkidle in wait for navigation function (by @boubkerbribri)
    - #19727: Functional tests - Update linkchecker for playwright (by @boubkerbribri)
    - #19802: Delete test identifiers redundant and license notice in all tests (by @nesrineabdmouleh)
    - #19775: Functional tests -  Improve delete categories by bulk action ad set required fields function (by @boubkerbribri)
    - #19749: Functional tests -  Fix wait for navigation and disable category tests (by @boubkerbribri)
    - #19725: Functional tests - Increase timeout after disabling a category (by @boubkerbribri)
    - #19653: Functional tests - Switch tests to playwright (instead of puppeteer) (by @boubkerbribri)
    - #19489: Remove unused test (by @SimonGrn)
    - #19339: Functional tests - Update tests contexts (by @boubkerbribri)
    - #19235: Functional tests - Test pagination and sort of pages and categories (by @nesrineabdmouleh)
    - #19208: Functional tests - Test pagination of suppliers table (by @nesrineabdmouleh)
    - #19257: Functional tests - Delete bo base page shop params tests (by @boubkerbribri)
    - #19210: Functional tests - Test pagination of files table (by @nesrineabdmouleh)
    - #19206: Functional tests - Delete bo base page from design tests (by @boubkerbribri)
    - #19202: Functional tests - Delete bo base page from catalog tests (by @boubkerbribri)
    - #19223: Functional tests - Delete test filter stocks by categories (by @boubkerbribri)
    - #19203: Functional tests - Pagination brands and addresses (by @nesrineabdmouleh)
    - #19186: Functional tests - Test pagination of categories table (by @nesrineabdmouleh)
    - #19194: Functional tests - Delete bo base page customers tests (by @boubkerbribri)
    - #19185: Functional tests - Delete BoBasePage from order messages tests (by @boubkerbribri)
    - #19183: Functional tests - Delete bo base page for advanced params tests (by @boubkerbribri)
    - #19158: Functional tests - Test customers pagination (by @nesrineabdmouleh)
    - #19160: Functional tests - Test addresses pagination (by @nesrineabdmouleh)
    - #19138: Functional tests - Delete boBasePage for tests modules  (by @boubkerbribri)
    - #19153: Functional tests - Delete BoBasePage from payment tests (by @boubkerbribri)
    - #19159: Functional tests - Delete bo base page from international tests (by @boubkerbribri)
    - #19157: Functional tests - Delete bo base page from invoices tests (by @boubkerbribri)
    - #19137: Functional tests - Sort order messages table (by @nesrineabdmouleh)
    - #19027: Functional tests - Export sql query (by @nesrineabdmouleh)
    - #19126: Functional tests - Sort all tables in monitoring page (by @nesrineabdmouleh)
    - #19133: Functional tests - Delete boBasePage for functional tests orders (by @boubkerbribri)
    - #19067: Functional tests - Sort profiles (by @nesrineabdmouleh)
    - #19127: Functional tests - Delete bo base page from sanity tests  (by @boubkerbribri)
    - #19069: Functional tests - Profiles pagination (by @nesrineabdmouleh)
    - #19088: Functional tests - Filter and sort files (by @nesrineabdmouleh)
    - #19109: Functional tests - Add test subscribe to newsletter from BO (by @boubkerbribri)
    - #19071: Functional tests - Add test taxes pagination (by @boubkerbribri)
    - #19092: Functional tests - Edit home category (by @nesrineabdmouleh)
    - #19074: Functional tests - Add test pagination order message (by @boubkerbribri)
    - #19066: Functional test - Add test quick edit languages (by @boubkerbribri)
    - #19004: Functional tests - Sort suppliers table (by @nesrineabdmouleh)
    - #18990: Functional tests - Enable/Disable log emails (by @nesrineabdmouleh)
    - #18977: Functional tests - Test pages pagination (by @nesrineabdmouleh)
    - #18877: Functional tests - Change selectors for FO pages (by @nesrineabdmouleh)
    - #18899: Functional tests - Country restrictions (by @nesrineabdmouleh)
    - #18871: Functional tests - Update default currency (by @nesrineabdmouleh)
    - #18963: Functional tests - Test page category pagination (by @nesrineabdmouleh)
    - #18886: Functional tests - Fix test invoices and products settings (by @boubkerbribri)
    - #18896: Functional tests - Change selectors for design pages (by @boubkerbribri)
    - #18868: Functional tests - Change selectors for modules pages (by @boubkerbribri)
    - #18922: Functional tests - Delete not working test (by @boubkerbribri)
    - #18862: Functional tests - Change selectors for shop parameters pages (by @boubkerbribri)
    - #18873: Functional tests - Change selectors for customers pages (by @boubkerbribri)
    - #18870: Functional tests - Change selectors for customer services pages (by @boubkerbribri)
    - #18878: Functional tests - Change selectors for international pages (by @boubkerbribri)
    - #18866: Functional tests - Fix adding customer to voucher (by @boubkerbribri)
    - #18849: Functional tests - Change selectors for catalog pages (by @boubkerbribri)

####################################
#   v1.7.7.0-beta.1 - (2020-05-13)
####################################

- Back Office:
  - New feature:
    - #18464: Add modal to customer address listing on bulk action (by @matthieu-rolland)
    - #18063: Use localized dates for order page (by @matks)
    - #17752: Add Prev/Next order button in the Order page (by @tdavidsonas88)
    - #17660: Migration of order view page printing functionality and layout changes - part 4 (by @matks)
    - #17416: Migrate standard refund and return products in order page (by @jolelievre)
    - #16820: Enable confirm modal for catalog > files listing for bulk delete action (by @matks)
    - #16668: Integrate a Vue component to manage Currency customization in the BO (by @jolelievre)
    - #16467: Migrate partial refund (by @matthieu-rolland)
    - #16815: Unhide new migrated Catalog > Files Symfony page (by @matks)
    - #16255: Migration of order view page messages block (by @tomas862)
    - #14972: Add/Edit a currency with the CLDR implementation (by @jolelievre)
    - #16065: Migrate Shipping block of new Order View page (by @sarjon)
    - #14682: Add preview extension for Grids (by @sarjon)
    - #15995: Migrate create order part 3. Implement vouchers managing (by @zuk3975)
    - #16008: Add Order status update in Order View page (by @sarjon)
    - #15908: Introduce list dropdown - used in order list page (by @tomas862)
    - #14320: Introduce NumberMinMaxFilterType and IntegerMinMaxFilterType (by @tomas862)
    - #14198: Add Commands/Queries Profiler tab (by @sarjon)
    - #10780: Introduce custom error pages (by @sarjon)
    - #13593: Automated hooks discovery and updating hooks list in xml and sql files for modern pages using Grid and FormBuilder (by @tomas862)
  - Improvement:
    - #18329: View order page: Display correction - 2 (by @NeOMakinG)
    - #17385: Confirm modal on restoring currency settings (by @sowbiba)
    - #17959: Enable new Orders page (by @matks)
    - #17090: Allow "add address" and "add customer" and "edit address" buttons to be handled in modal (by @matks)
    - #17702: Order Page: Keep email failure from blocking product cancellation (and some refactor) (by @matthieu-rolland)
    - #17568: Increase order price font size and colors for better contrast (by @atomiix)
    - #16287: Don't duplicate currencies in DB when creating a formerly deleted one  (by @matthieu-rolland)
    - #17583: Migration 1.7.7.x Register all new hooks (by @tdavidsonas88)
    - #17478: Cherry picked the changes from develop related to Refactor UI kit form #16964 and applied to 1.7.7.x (by @tdavidsonas88)
    - #17456: Introduces checkbox in list filter row (by @tomas862)
    - #17287: Enable bulk delete modal for Languages, Taxes, CMS Pages, CMS Cats (by @matks)
    - #17135: Orders > Product : Display "Stock Location" column only if it is not empty (by @Progi1984)
    - #17211: Reintegrate partial refund in the order view page (by @jolelievre)
    - #16722: Orders > Products : Display content of a pack (by @Progi1984)
    - #17286: Enable bulk delete modal for Suppliers, Brands, Brand adresses (by @matks)
    - #16150: Migrate order product management (by @sarjon)
    - #17079: Improve modal object without using this (by @NeOMakinG)
    - #16821: Add empty states for Catalog > Files and Orders > Credit slips pages (by @matks)
    - #16658: Use tab attribute as fallback when a module does not have category (by @PierreRambaud)
    - #16432: Module alias in webpack configuration for the new-theme (by @PierreRambaud)
    - #16440: Added indexes for product reference and supplier_reference (by @Gamesh)
    - #16570: Provides several UX improvements for order pages and allows to change order addresses (by @matks)
    - #16662: Fix PHP docblocks (by @mfurga)
    - #16552: Add generic ButtonBulkAction and javascript to handle open in tabs (by @jolelievre)
    - #16318: Make migrated order page's grid rows clickable (by @matthieu-rolland)
    - #16532: Remove useless debug controller actions (by @matks)
    - #15958: New design on module positions page (by @Progi1984)
    - #15707: Improve query performance in order status update due very slow StockManager.php queries (by @gennaris)
    - #16304: Change wording of lifetime of BO cookies help label (by @atomiix)
    - #16046: Migrate Documents block of Order View page (by @sarjon)
    - #16084: Migrate Merchandise returns for Orders view (by @sarjon)
    - #16281: Update wording and add a link in product options tab (by @marionf)
    - #16278: Use https links to doc instead of http (by @matks)
    - #16033: Introduces kpi design update for orders listing page - also includes layout changes for all kpi's in migrated pages (by @tomas862)
    - #16088: Disable Customer group selection checkbox when single customer is set… (by @atomiix)
    - #16224: Add tax information in combination table (by @marionf)
    - #16230: Add tax information for ecotax field (by @marionf)
    - #14809: Allow modifying email body contents (by @jolelievre)
    - #16090: Implement new Order View header (by @sarjon)
    - #16060: Minor improvements for Orders list (by @sarjon)
    - #15798: Remove optin field from the employee creation form (by @matthieu-rolland)
    - #15886: Improve pop up information on Category deletion (by @Progi1984)
    - #15084: Remove price precision in admin shop preferences  (by @matthieu-rolland)
    - #15808: Introduce icons instead of dropdown column for Orders page list (by @tomas862)
    - #15245: Update jQuery to 3.4.1 in the legacy Back Office pages (by @matthieu-rolland)
    - #14396: Migrate Catalog > Attributes&Features > Features > Add new/edit feature page (blocked by faceted_search update) (by @rokaszygmantas)
    - #15130: Simplify rendering of forms (by @sarjon)
    - #15761: Fix order view page wordings (by @matks)
    - #12855: Add Manufacturer Part Number in product codes (by @rblaurin)
    - #14767: Behat tests for Seo & Urls page commands - some code improvements (by @tomas862)
    - #15765: Fix parameter $id_hook phpdoc (by @JBWModules)
    - #15484: Add Malagasy language (by @OneDotIT)
    - #14689: Fix BO menu scrollbar size on small screens (by @PierreRambaud)
    - #14679: Introduce automatic Tab registration with symfony routes, menu now handles disabled modules (by @jolelievre)
    - #14586: Implement Circuit Breaker for fetching blog news (by @Progi1984)
    - #14249: Case-insensitive hook dispatching (by @tomas862)
    - #13198: Create SF command to return routes with missing _legacy_link (by @zuk3975)
    - #13472: Create SF command to list tactician commands and queries (by @zuk3975)
    - #13241: Add grid extension to disable filters submit button when filters are empty (by @zuk3975)
  - Bug fix:
    - #18812: Fix invoices refresh when adding product in an order (by @atomiix)
    - #18764: Fix exception when deleting address from customer view (by @sowbiba)
    - #18524: Remove ability to apply discount on all invoices in order view page (by @zuk3975)
    - #18635: Show confirm modal when adding product with new invoice (by @zuk3975)
    - #18566: Fix bad display of customizable product on create order page by removing margin and overflow (by @NeOMakinG)
    - #18445: Fix tooltip on product buttons of Order View staying on the page after delete and not being visible when adding a product (by @NeOMakinG)
    - #18200: Fix "weird behaviour when filling the quantity field with letters of symbols" (by @arouiadib)
    - #18544: Show new invoice information when adding product with new invoice in BO Order (by @zuk3975)
    - #18196: Refresh documents tab when adding product in order view page (by @atomiix)
    - #18686: Rename CountryChoiceType options using camel case convention (by @jolelievre)
    - #18641: Show confirmation modal before deleting order messages (by @zuk3975)
    - #18348: Cart products update (by @jolelievre)
    - #17852: Fix exception when adding negative amount/percentage discount in order view (by @atomiix)
    - #18515: Fix some css to avoid max width on many languages (by @NeOMakinG)
    - #18438: Fix currency buttons on edit and add page not aligned by adding styles and changing markup (by @NeOMakinG)
    - #18437: Fix sidebar not displayed in BO order page (by @matthieu-rolland)
    - #18204: BO : Order > Products : The block discounts was not displayed after adding a product (by @Progi1984)
    - #17736: Fix products search results order in SearchProductsHandler (by @zuk3975)
    - #18321: Do not stack free shipping vouchers on total: shipping fees applied once (by @matks)
    - #18228: Improve common search controller for backward compatibility (by @jolelievre)
    - #17850: Rework OrderRefundCalculator to use Number (by @zuk3975)
    - #18416: Fix overflow on main-menu and adjust workaround on last items in menu (by @NeOMakinG)
    - #18419: Fix currency symbol in orders list (by @sowbiba)
    - #17927: Wrong prices in edit order with secondary currency (by @sowbiba)
    - #18334: Add FancyBox in create order page details button (by @jolelievre)
    - #18326: Fix messages block in order view page (by @zuk3975)
    - #18373: Avoid date time split in Grids (by @jolelievre)
    - #18205: BO : Add Product on Order : Use previous cart rather than creating a new one (by @Progi1984)
    - #18347: Hide order preview stock location column if empty (by @atomiix)
    - #18305: Fix count query with customer filter (by @atomiix)
    - #17864: Extract order products to separate query (by @zuk3975)
    - #17938: Fix conversion when adding payment to order (by @sowbiba)
    - #17801: View and Create Order feedbacks corrections (by @NeOMakinG)
    - #18164: Use hasBeenPaid instead of hasInvoice to enable refund feature (by @jolelievre)
    - #18266: Add target options to index grid of orders on customer column (by @NeOMakinG)
    - #17526: Fix customer address form (by @zuk3975)
    - #17853: BO: Fix shipping price tax issue on order creation page (by @matthieu-rolland)
    - #18288: Fix wrong number of orders when filter 'New client' on (by @atomiix)
    - #18294: Return null when value is an empty string in ArabicToLatinDigitDataTransformer (by @atomiix)
    - #18208: Increase quantity when adding an already added product when creating order (by @atomiix)
    - #17975: Convert arabic/persian digits to latin digits in DatePickerType (by @atomiix)
    - #18102: Fix sidebar submenu opening by changing style and adding JS (by @NeOMakinG)
    - #18245: Fix orders page dropdown going under header by adding a flip false property (by @NeOMakinG)
    - #18124: Modifying address from order should duplicate it and soft delete former address (by @jolelievre)
    - #18246: Add check when adding a product in an order that it is not out of stock (by @jolelievre)
    - #18168: Prevent adding or editing an invalid product quantity on order (by @jolelievre)
    - #18202: Do not display shipping address when order is virtual product only (by @atomiix)
    - #17861: Add vertical scroll to customization fields in BO order create page (by @zuk3975)
    - #18091: Display gift message into migrated Order page (by @matks)
    - #17881: Fix Search by product name & category doesn't work in the second of the Stocks page (by @arouiadib)
    - #18146: After creating new voucher from orders/new, I get redirected to voucher list, not a new order (by @tdavidsonas88)
    - #17849: Fix orders page dropdown going under header by removing the fixed property (by @NeOMakinG)
    - #17672: Rework ChangeOrderCurrencyHandler to private methods (by @zuk3975)
    - #17292: Fixes undefined vars in some migrated controllers (by @zuk3975)
    - #18101: Fix typo in hook descriptions (by @jolelievre)
    - #17476: Don't allow comma in order payment amount field (by @atomiix)
    - #17986: Fix "Module Manager" menu item not being translatable (by @eternoendless)
    - #17839: Wrap OrderController::viewAction in try-catch (by @zuk3975)
    - #17482: Allow token for TokenisedUrlsListener class and in form using the method=GET attribute (by @PierreRambaud)
    - #18054: In RTL I have to click 3 times on the checkbox to select the product (by @tdavidsonas88)
    - #17985: Fix customer informations on order page when customer is a guest (by @matthieu-rolland)
    - #18045: Fix selector for invoice note manager (by @tdavidsonas88)
    - #17742: Fix country states input toggle on page load (by @zuk3975)
    - #17650: Fixed display for first cell (select all & input) in grid (by @Progi1984)
    - #17877: Fix bug when adding a discount on order page (by @matthieu-rolland)
    - #17804: Fix bug when changing addresses on virtual product command (by @matthieu-rolland)
    - #17913: Remove useless TinyMCE scripts from brand form pages (by @jolelievre)
    - #17799: Order Page: Fix private note that cannot be emptied (by @matthieu-rolland)
    - #17973: Fix pagination on migrated order listing (by @matthieu-rolland)
    - #17884: Use constant for reduction type in CatalogPriceRuleGridDataFactory (by @zuk3975)
    - #17796: Fix new wording without domain (by @eternoendless)
    - #17535: Fix deleted customer's order preview/details (by @atomiix)
    - #17700: Wrong address update when changing the shipping adresse of an order (by @atomiix)
    - #17305: Adds optional DNI field and missing post_code handling in supplier form (by @zuk3975)
    - #17220: Fix multiple bugs in order view page (by @zuk3975)
    - #17641: Fixed Exception for not defined variables when editing a product quantity in an order (by @Progi1984)
    - #17649: Fix wrong address edit link in order detail (by @atomiix)
    - #17614: Missing assets generation (by @PierreRambaud)
    - #17612: Fixed Empty Option in Smarty Form in Advanced Parameters > Performance (by @Progi1984)
    - #17547: Fix grids, when search finds no result we still display filters and reset button (by @matks)
    - #17448: Fix create order info missing (by @atomiix)
    - #17531: Remove irrelevant Todo in order messages (by @zuk3975)
    - #17444: Change tinymce lang when changeLanguage event is fired (by @NeOMakinG)
    - #17465: Fix create order customization/combinations (by @atomiix)
    - #17366: Added missing admin security annotations (by @RaimondasSapola)
    - #17421: Delete free shipping voucher after creating an order on BO (by @zuk3975)
    - #17445: Fix wrong address edit link (by @atomiix)
    - #17241: Do not allow negative amount in order payment block (by @atomiix)
    - #17325: Fix cart re-rendering after customer not found in Order creation (by @zuk3975)
    - #17381: Show product customizations in the order BO page (by @atomiix)
    - #17373: Fix currency localization (by @atomiix)
    - #17413: Fixed warning about Maxmind DB in Geolocalization page (by @Progi1984)
    - #17377: Fix modal not being hidden sometimes (by @atomiix)
    - #17404: Fix order creation bug due to wrong computing precision (by @matthieu-rolland)
    - #17191: Translate exception message when customer not found on address creation form (by @sowbiba)
    - #17279: Fix monitoring page sorting (by @matks)
    - #17331: ProfileId accepts int and string as input type although int value is required (by @jolelievre)
    - #17291: Display symbols in form in case of error, remove DefaultLanguage constraint (by @jolelievre)
    - #17180: Fix suppliers form description to be optional (by @zuk3975)
    - #17232: Rebuild Create an Order page assets (by @matks)
    - #17229: Recompute FOSJSRouting JSON file (by @matks)
    - #17132: Javascript errors in BO's webservice and login page (by @matthieu-rolland)
    - #16883: Fixed filtering for date in Back Office / Logs (by @PrestaworksNiklas)
    - #16860: Fix United Kingdom VAT issue for all EU countries (by @jf-viguier)
    - #16765: Fix recursive check of updated files (by @Darhazer)
    - #16946: Modified the string in success alert for attachements bulk deletion (by @arouiadib)
    - #16307: Cast employeeId to int in the bulk update employee command (by @atomiix)
    - #16074: Prioritize customer search by id when saving an address (by @levyn)
    - #16510: Avoid dropdowns from module page to appear under header element (by @NeOMakinG)
    - #16560: Fix header for migrated Orders pages (by @matks)
    - #16548: Use CMSCategory instead of CMS object model (by @PierreRambaud)
    - #16542: Fix specific prices not being displayed in the BO (by @PierreRambaud)
    - #16541: Fix pagination on product page listing (by @PierreRambaud)
    - #16535: Fix TinyMCE not loading on safari in CMS page (by @NeOMakinG)
    - #16530: Use country id while creating the Supplier form (by @PierreRambaud)
    - #16457: Enable TinyMCE on add/edit supplier page BO (by @matks)
    - #16461: Display display_name instead of name in theme card and add author.url (by @NeOMakinG)
    - #16392: Fix error when trying to the change the quantity of a free product in an order in the BO (by @Progi1984)
    - #16394: Fix typo in condition (by @mvorisek)
    - #16375: Fix wrong case sensitiveness for email addresses (by @PierreRambaud)
    - #16360: Fix output buffer not closed in Twig\HookExtension::renderHooksArray (by @jnvsor)
    - #16319: Use customer group price display preference when displaying orders in BO (by @matks)
    - #16312: Fix incorrect display value in Price Tab of admin product controller (by @WebXYAgency)
    - #16159: Fix category checkbox redirect (by @atomiix)
    - #16225: Fix prices display in new order page (by @sarjon)
    - #16285: Fix ajax spinner not disappearing after Ajax is done (by @eternoendless)
    - #16209: Use local fonts in BO default theme (by @eternoendless)
    - #16271: Remove useless checkbox in product options tab for attached files (by @marionf)
    - #16266: Fix ajax exception when search for a product in order creation page (by @matthieu-rolland)
    - #16075: Some fixes to Orders page (by @sarjon)
    - #16222: Fix error when deleting order cart rule (by @sarjon)
    - #16175: Fix label not in place on BO products page in Filter by categories (by @atomiix)
    - #16123: Delete supplier's address only if no other shops use it (by @atomiix)
    - #16045: Fix swap-select values not being submitted in generated AdminController forms (by @L3RAZ)
    - #15906: Fixes issue Undefined index _route (by @Gamesh)
    - #16089: Fix "Invalid  parameter: '' cannot be interpreted as a number" error (by @Progi1984)
    - #16071: Fix "Call to a member function formatPrice() on null" fatal error (by @Progi1984)
    - #15511: Make sure the keys used for translation are case sensitive (by @jocel1)
    - #15926: Fix error SQL in getRecurseCategory method (by @marionf)
    - #15909: Fix for product images in multishop BO (by @PrestaworksJonas)
    - #15900: Replace usages of jQuery.live usages and add polyfill (by @matthieu-rolland)
    - #15757: Fix monitoring grids id configuration (by @zuk3975)
    - #15428: Add check for required fields in BO > Country > Address format (by @matthieu-rolland)
    - #15514: Add condition to avoid duplicate invoice line. (by @FlorentinGarnier)
    - #15111: Fix wording domains (by @eternoendless)
    - #15712: Fix tabs on the product page when in Polish (by @Progi1984)
    - #15546: Fix bad combination dropdown in cart rule (by @idnovate)
    - #14925: Copy images from SCSS directory to the public directory when building the new theme (by @Progi1984)
    - #15429: Fix Add an Employee Handler with int casting required (by @matks)
    - #15397: Escape Employee email in avatar block (by @PierreRambaud)
    - #15325: Remove reference to non existent css file (by @eternoendless)
    - #14879: Allow changing the position of products in a category in the catalog > product page (by @PierreRambaud)
    - #14168: Add missing check for CMS page category existence on create/edit actions (by @zuk3975)
    - #14959: Add duplicate prices feature (by @202-ecommerce)
    - #15005: Fix incorrect last visit date in the customer grid (by @cirykpopeye)
    - #14977: Fix Search customer in specific group (by @khouloudbelguith)
    - #13730: Fix wrong price display in BO when using a specific price in a different currency (by @123monsite-regis)
    - #12903: Match multiline translation expressions in modules (by @unlocomqx)
    - #12497: Fix issue with the link Manage tax rules in the pricing tab (by @khouloudbelguith)
    - #13980: Execute displayAdminLogin hook without shop context (by @idnovate)
    - #14656: Fix editing shop association in Category and Manufacturer (by @zuk3975)
    - #14307: Fix manufacturers grid logo to not depend from shop context (by @zuk3975)
    - #14543: Wrong path of products thumbnails in back office (by @matthieu-rolland)
    - #14540: Update Import controller to get errors for bad category import (by @webmak)
    - #14613: Fix broken translations in module list page (by @matthieu-rolland)
    - #14466: Fix saving of selected BO language (by @rokaszygmantas)
    - #14530: Use Preview link without  option for seo preview (by @PierreRambaud)
    - #14525: Fix php warning in php 7.2 in case of JSON output (by @202-ecommerce)
    - #12997: Add disabled visual effect on disabled elements on the translation interface (by @francoispeyret)
    - #14308: Fix wrong tax when duplicating product in BO with several taxes (multishop) (by @202-ecommerce)
    - #14310: Adds missing fields validation in tax create/edit handlers (by @zuk3975)
    - #14450: Whitelist filters for the Logs Page (by @Progi1984)
    - #13959: Fix duplicate include of JS files in BO (by @idnovate)
    - #14223: Fix unescaped dash in character group in autoloader regex (by @mvorisek)
    - #14292: Update php-cs-fixer to latest version (by @MathiasReker)
    - #13971: Fix dashboard sales stats to account for taxes and shipping costs (by @ComonSoft)
    - #13894: Hook displayBackOfficeTop should be in nav container (by @jf-viguier)
    - #13382: Remove money symbol from specific price reduction field (by @YeLnatSs)
    - #14004: Fix generate path thumbnail image (by @dariusakafest)
    - #13798: Use password input type for imap password field (by @marionf)
    - #13571: Enable grid search button by default (by @zuk3975)
    - #13572: Add FiltersSubmitButtonEnablerExtension to profiles page (by @zuk3975)
    - #13454: Fix on product redirect in SEO tabs  (by @YeLnatSs)
    - #13425: Fix border inside tabs even when counter is empty (by @YeLnatSs)
  - Refactoring:
    - #18130: Use grid common search action where possible (1.7.7.x controllers only) (by @zuk3975)
    - #17907: Fix TinyMCEEditor that shouldn't handle language switching by adding a TranslatableField (by @NeOMakinG)
    - #17528: Fix all 1.7.7.x controllers and routes to comply with conventions (by @tdavidsonas88)
    - #17715: Fix print css (by @matks)
    - #17187: Delete migrated AdminRequestSqlController again - part 2 (by @matks)
    - #17077: Remove unused legacy Customer Adresses files (by @matks)
    - #17169: Refacto partial refund handler (by @jolelievre)
    - #17175: Replace partialRefund form/builder/dataProvider with CancelProduct (by @matthieu-rolland)
    - #16207: Migrate summary block of BO create order page (by @zuk3975)
    - #15300: Migration for Sell > Customers > Addresses create/edit forms (by @RaimondasSapola)
    - #15003: Migration Catalog > Files and Catalog > Files Edit and create forms (by @RaimondasSapola)
    - #16588: Unhide monitoring sf page (by @matks)
    - #16621: Remove legacy unused Order Slip files (by @matks)
    - #13903: Migrate Sell > Orders > Credit slips page (by @zuk3975)
    - #16267: Finish migration "Catalog > Monitoring" page (by @atomiix)
    - #14288: Migrate Customer Service view (by @sarjon)
    - #15229: Migration of Sell > Customers > Addresses page (by @RaimondasSapola)
    - #13716: Migrate Sell > Catalog > Catalog price rule create/edit action (by @zuk3975)
    - #15915: Migration of International > Taxes > Tax rules page (by @matks)
    - #15982: Migrate product component for Orders page (by @RaimondasSapola)
    - #16022: Migrate order action and status block (by @sarjon)
    - #15901: Implement discounts management in Order View page (by @sarjon)
    - #15899: Migrate BO order creation page - part 2. Handle shipping block (by @zuk3975)
    - #15955: Migrate Customer block of Order view page (by @sarjon)
    - #15778: Migrate Payment block of Order view page (by @sarjon)
    - #14040: Migrate Sell > Catalog > Attributes & Features > Attributes list (by @zuk3975)
    - #14864: Migrate Catalog > Files page (by @RaimondasSapola)
    - #15814: Implement cart information providing in BO order creation page - part 1 (by @zuk3975)
    - #15766: Prepare Twig templates for Add Order page (by @zuk3975)
    - #15650: Migrate "Catalog > Brand & Suppliers > Suppliers create/edit action (by @matks)
    - #13584: Migrate Sell > Catalog > Discounts > Catalog Price Rules list (by @zuk3975)
    - #14707: Migration of "add cart rule" action (by @rokaszygmantas)
    - #14991: Fix Monitoring grids data for multishop (by @zuk3975)
    - #14869: Removes AdminPreferencesController again (by @matks)
    - #14873: Remove AdminManufacturer controller again (by @matks)
    - #14800: Add category to product CQRS command (by @matthieu-rolland)
    - #14872: Delete migrated AdminCmsController again (by @matks)
    - #13529: Migrate Sell > Catalog > Monitoring listing action (by @zuk3975)
    - #13515: Migrate Sell > Catalog Brands & Suppliers > Suppliers view action (by @zuk3975)
- Front Office:
  - New feature:
    - #17410: Add FO hook displayFooterCategory (by @matks)
    - #16013: New design for homepage slider on mobile (by @Progi1984)
    - #14033: Introduce FO JS event showErrorNextToAddtoCartButton to handle shoppingcart error returns (by @matks)
  - Improvement:
    - #18221: Backport #16837 to 1.7.7.x : Add breadcrumbs to my account pages (by @matks)
    - #17577: Prevent email enumeration (by @PierreRambaud)
    - #16857: Changing brand page style (by @NeOMakinG)
    - #16524: Switch select of ps_brandlist to a bootstrap dropdown (by @NeOMakinG)
    - #16526: Change suppliers select into bootstrap dropdown (by @NeOMakinG)
    - #16340: Fix bullets of bulleted lists being removed by default (by @rdy4ever)
    - #16052: Fix Very strict selector div.delivery-option (by @davidglezz)
    - #16180: Use Media Server for assets (CSS, JS, Images) (by @Progi1984)
    - #16069: Change wording in FO when there is specific price by quantity (by @atomiix)
    - #16063: Improve wording on order confirmation email (by @atomiix)
    - #16126: Change checkout button wording (by @atomiix)
    - #15916: Set emailsubscription input required (by @davidglezz)
    - #15501: Updated blockReassurance in composer.json (by @Progi1984)
    - #13517: Show free shipping indication only if appropriate (by @hacchus)
    - #15750: Update jQuery to 3.4.1 in Core theme and Classic theme (by @matthieu-rolland)
    - #15176: Enable modules to know the current checkout process step (by @matks)
    - #15603: Allow access to Checkout process (by @matks)
    - #15271: Use aria-label instead of .sr-only hidden span (by @davidglezz)
    - #15354: Updated prestashop/ps_emailsubscription to 2.5.0, prestashop/ps_facetedsearch to 3.2.1, prestashop/ps_contactinfo to 3.2.0 (by @Progi1984)
    - #15013: Fix URLs for non-default combinations (by @Amazzing)
    - #14539: Make email display dependant on configuration from ps_contactinfo module (by @matthieu-rolland)
    - #15055: Fix duplicate class attribute in HTML element (by @asf-harlock)
    - #14710: Make last breadcrumb element not clickable (by @matthieu-rolland)
    - #12883: Add breadcrumb to the suppliers page (by @SebBareyre)
    - #12882: Add breadcrumb to the best sales page (by @SebBareyre)
    - #12881: Add breadcrumb to the prices drop page (by @SebBareyre)
    - #12880: Add breadcrumb to the new products page (by @SebBareyre)
    - #14214: Handle shoppingcart error returns properly - part 2 (by @matks)
    - #14437: Translate aria-label in modal close button (by @davidglezz)
    - #14049: Allow template vars override in hook actionFrontControllerSetVariables (by @Matt75)
    - #13383: UI improvements for classic theme (by @YeLnatSs)
    - #14079: Update Smarty comments to reflect related blocks (by @prestamodule)
  - Bug fix:
    - #18427: Fix issue when there is a quantity discount on combination products (by @matthieu-rolland)
    - #18743: Fix FO Exception after category add on multilang shop (by @sowbiba)
    - #17917: Use appropriate hook name in contact right column (by @jolelievre)
    - #18061: Order page: fix stock value update when editing a product (by @matthieu-rolland)
    - #17843: Fix classic them subcategories in menu displayed hover menu by improving JS selector (by @NeOMakinG)
    - #18073: Checkout address edition is failing due to missing id_address in action (by @PierreRambaud)
    - #17767: Multishop - BO : Fix orders not appearing in order list for shared space shops (by @matthieu-rolland)
    - #17901: The button add to cart shouldn't be enabled when minimal quantity > quantity (by @arouiadib)
    - #17438: Fix submenu not displayed on mobile on classic theme (by @NeOMakinG)
    - #17677: Reintroduce hook displayAdditionalCustomerAddressFields (by @eternoendless)
    - #16863: Fix a bug where product images were not scrollable after product refresh (by @NeOMakinG)
    - #17342: Make rewrite pattern non greedy (by @andromaque)
    - #17349: Classic Theme : enable some hooks for BlockReassurance (by @Progi1984)
    - #16520: Fix contact layout not working at all (by @NeOMakinG)
    - #16574: Fix product cannot be deleted from cart IF another customization is made and not added to cart yet (by @Hlavtox)
    - #16724: Fix multiple cart rules calculation (by @atomiix)
    - #17005: Adding default "Select" when sort not up in FO is selected on category page (by @NeOMakinG)
    - #16856: Show list bullets on product page and align it (by @NeOMakinG)
    - #17002: Correcting price alignment on RTL language (by @NeOMakinG)
    - #16915: Protect checkout forms to avoid submitting multiple times (by @atomiix)
    - #16868: Show "No picture" image instead of broken one (by @prestamodule)
    - #16638: Fix logic and display of customer's cart rules (by @Hlavtox)
    - #16528: Change links block style in carrier process (by @NeOMakinG)
    - #16571: Fix total tax in order confirmation (by @Hlavtox)
    - #16531: Round remaining value of reduction amount (by @202-ecommerce)
    - #16550: Fix var not displayed in emails when mail address is in uppercase (by @marionf)
    - #16504: Display 3 products on the same line on home with 2 columns layout (by @NeOMakinG)
    - #16503: Hide pack products' prices when the show price option is disabled (by @NeOMakinG)
    - #16478: Fix shipping method design in payment tunnel (by @NeOMakinG)
    - #16250: Fix wrong product alignment in product lists for smaller devices (by @rdy4ever)
    - #16468: Fix issue where html tags from ps_emailsubscription module would be escaped and not interpreted as HTML (by @NeOMakinG)
    - #16087: Fix no carriers in checkout bad cart rules (by @matks)
    - #16147: Add CSS sizes for images in custom text block (by @Klemart3D)
    - #16235: Fix how discounts are displayed in cart summary when using vouchers (by @matthieu-rolland)
    - #16049: Fix number of DL & expiration date being displayed in the download virtual product mail (by @atomiix)
    - #16114: Add missing placeholder in the Private Note textarea (by @atomiix)
    - #16085: Get locale from Context current locale instead of repository in OrderDetailLazyArray (by @Progi1984)
    - #15987: Check if customized product image exists before trying to delete it (by @jf-viguier)
    - #16014: Fix html being displayed in download virtual product text mail (by @atomiix)
    - #15872: Check mimum quantity for products in the basket order (by @matthieu-rolland)
    - #15623: Do not allow to put item in cart if available quantity is 0 (by @matks)
    - #15851: Fixed missing translation for tax label (by @JevgenijVisockij)
    - #15706: Wrong combinaison reference in customer account order history (by @PululuK)
    - #15799: Fix association of payment methods with delivery module (by @Seleda)
    - #15840: Do not apply htmlentities before insterting message in db (by @matthieu-rolland)
    - #15549: Fix calculation price in group reductions when in tax excluded mode (by @matthieu-rolland)
    - #15297: Fix missing wrapper in quickview displayProductAdditionalInfo hook (by @dheerajwebkul)
    - #15758: Fix image not correctly resized in FO product listing if height is too high (by @PierreRambaud)
    - #14489: Disallow ordering a product that was transformed from regular into product with combinations (by @202-ecommerce)
    - #15748: Use cover photo in listing instead of default combination (by @PierreRambaud)
    - #13022: Remove deprecated customization constants & fix undefined index notice (by @shaffe-fr)
    - #15739: Fix product not being added to cart after deleting product customisation (by @PeeyushAgrawalWebkul)
    - #15710: Prevent rage clicking on checkout steps submit button (by @rdy4ever)
    - #15216: Allow users to edit address alias during checkout (by @pauloffb)
    - #15533: Disallow showing bad cart to FO user (by @matks)
    - #15632: Remove unneccessary slash on Home category breadcrumb (by @JBWModules)
    - #15399: Fix bug keeping users from choosing a carrier before cart order completion (by @matthieu-rolland)
    - #15512: Fix unclosed <p> html tag (by @davidglezz)
    - #15314: Fix not being able to remove automatically applied cart rule (by @damiandominella)
    - #15352: Fix quicksearch results missing the category name (by @JulianEberius)
    - #15368: Fix breadcrumb SEO (by @davidglezz)
    - #15326: Fix color name not appearing over the color block in the product pages (by @dineshbadrukhiya)
    - #15357: Fix typo and avoid card-block border show when note is empty (by @PrestaShark)
    - #15276: Fix one column row without colspan (by @davidglezz)
    - #14937: Fix display bug in classic theme when hooking the ps_emailsubscription module to the left column (by @Progi1984)
    - #15167: Fix not product not appearing in search results after having enabled it (by @PeeyushAgrawalWebkul)
    - #14727: Fix compile id {render} override issue on theme (by @202-ecommerce)
    - #14819: Fix create account sitemap link (by @Thomas-lhuillier)
    - #13677: Fix submenu hiding menu in classic theme (by @YeLnatSs)
    - #14558: Implement Schema ItemList for products listing & Fix Schema Product (by @Progi1984)
    - #14587: Fix issue when searching for long words in FO (by @matthieu-rolland)
    - #14567: Remove image in about us CMS page (by @marionf)
    - #14507: Fix bug in FO translations with multiple resources and tpl inclusions (by @202-ecommerce)
    - #14422: Refactor theme usage of product flags - apply DRY (by @matks)
    - #14452: Allow to buy a product without stock when other combinations have stock and unavailable product attributes are not displayed (by @Progi1984)
    - #14263: Fix display voucher conversion between currencies (by @tomlev)
    - #14385: Fixed duplicated block name (by @aleksiuno)
    - #13804: Fix shared smarty compilation ID across shops / themes (by @202-ecommerce)
    - #13687: Fix notice when trying to create a return for an order item that has already been returned (by @Codencode)
    - #13704: Fix exclude discounted products on CartRule (by @tomlev)
    - #13387: Fix image size in summary not limited (by @YeLnatSs)
  - Refactoring:
    - #15277: Combine two equal adjacent selectors (by @davidglezz)
    - #15284: Make color and texture consistent when both are set (by @davidglezz)
    - #16099: Make checkout js code easier to understand (by @atomiix)
    - #15083: Use aria-label instead of hidden sr-only span in variant links (by @pojebunny)
- Core:
  - New feature:
    - #18475: Enable controllers as a service through autowiring (by @matks)
    - #14428: Introduce fuzzy search (by @Lathanao)
    - #14134: Combine consecutive issets() (by @Quetzacoalt91)
    - #13384: Add naming convention linter (by @sarjon)
    - #13200: Add SecurityAnnotation linter (by @sarjon)
  - Improvement:
    - #18201: Optimize the 1.7.7 translation catalog (by @matthieu-rolland)
    - #18617: Make computing precision matching currency's display precision (by @matthieu-rolland)
    - #17734: Register new hook displayFooterCategory for 1770 and rename order hooks (by @matks)
    - #18050: Use proper computing precision in payment module (by @matthieu-rolland)
    - #17889: Add displayAdditionalCustomerAddressFields hook during update (by @matthieu-rolland)
    - #17731: Fix license headers (by @matks)
    - #17149: Cancel product (by @matthieu-rolland)
    - #17579: Update license headers 2020  (by @PierreRambaud)
    - #17537: Increase timeout to download translation packages from 5 to 20 seconds (by @jolelievre)
    - #13761: Add compatibility with PHP 7.3 (by @mickaelandrieu)
    - #8770: Remove file 'fileType' when deleting images (by @marekhanus)
    - #17067: PHPDocumentation on Category constructor (by @zalexki)
    - #16714: Update composer.json requirements (by @gavinkalika)
    - #17048: Update nginx configuration (by @PierreRambaud)
    - #16144: Migrate hooks for new Order view page (by @sarjon)
    - #16789: Security policy (by @PierreRambaud)
    - #16383: Currencies are customizable and prices are shown accordingly (by @jolelievre)
    - #16429: Upgrade Smarty to v3.1.34 (by @matks)
    - #14894: Use utf8mb4 charset to support emoji (by @PierreRambaud)
    - #16454: Add comments about DataLang (by @eternoendless)
    - #16404: Improve cache for staticPrice for products with combinations (by @Progi1984)
    - #16433: Update license headers (by @matks)
    - #16316: Allow to define authorized MIME types in ImageManager::validateUpload() (by @Progi1984)
    - #16310: Add ps_dataprivacy, productcomments and ps_crossselling as native modules (by @PierreRambaud)
    - #15902: Use the correct environment depending on what you are doing (dev, test, and prod) (by @PierreRambaud)
    - #16331: Add "total_shipping_tax_excl" and "total_shipping_tax_incl" in email data (by @yannicka)
    - #16176: Increase maximum hook length to 191 characters (by @eternoendless)
    - #15022: Migration of Sell > Customer Service > Merchandise Returns page (by @rokaszygmantas)
    - #16241: Improve install doc (by @matks)
    - #16237: Set Demo mode only if undefined (by @Quetzacoalt91)
    - #16097: Improvement on product image generation for high definition images. (by @Prestaworks)
    - #16041: Remove google plus from login footer (by @mohamedaitbella)
    - #13636: Add zones for: Austria, Switzerland, Denkmark, Netherlands, Thailand (by @manfield)
    - #15755: Make CLDR Specification\Number immutable (by @Progi1984)
    - #14665: Allow to display/hide manufacturers and suppliers independently (by @matthieu-rolland)
    - #15656: Update license headers (by @matks)
    - #15723: Fix typos (by @Zzareb)
    - #15551: Update php docs on currency class (by @zalexki)
    - #15552: Update php docs for class customer (by @FlorianBergeron)
    - #15557: Update php docs in class PaymentModule (by @FlorianBergeron)
    - #15555: Fix php docs in class Mail (by @FlorianBergeron)
    - #15550: Update php docs for link class (by @FlorianBergeron)
    - #15520: Remove old docs files (by @matks)
    - #15340: Update minimum compatibility to PHP 7.1.3 (by @eternoendless)
    - #15393: Update php docs for PaymentModule::getCurrency() (by @v4lux)
    - #14838: Update invalid characters in Customer Creation & Update error messages and tips (by @Progi1984)
    - #14951: Update PrestaShopCollection.php docs on getFirst method return type (by @zalexki)
    - #15010: Make EmployeeId accept integers only (by @gavinkalika)
    - #15079: Fix phpdoc for parameter type in module::updatePosition() (by @zalexki)
    - #14949: Update Module.php docs on version property type (by @zalexki)
    - #13830: Remove duplicate var in cart.php (by @davidglezz)
    - #13906: Update CLDR data to 35.1 (by @eternoendless)
    - #14691: Update version to 1.7.7.0 (by @jolelievre)
    - #14246: Add doctrine filters applicator (by @sarjon)
    - #14545: Remove english emails since they are generated now (by @jolelievre)
    - #14116: Do not set a cookie if it finally has not changed (by @jocel1)
    - #14232: Fix string line ending (by @MathiasReker)
    - #14233: Use __DIR__ constant (by @MathiasReker)
    - #14165: Fix Phpdoc (by @Matt75)
    - #13803: Make the movement of the Grid columns really easy (by @mickaelandrieu)
    - #13818: Remove redundant condition in cart.php (by @davidglezz)
    - #13606: Fix phpdoc on Module class (by @Matt75)
    - #13486: Fix coding style on develop (by @matks)
    - #13236: Add ajax support for @AdminSecurity annotation (by @sarjon)
    - #13119: Allow hookAdditionalCustomerFormFields and --AddressFormFields to modify fields positions (by @rblaurin)
  - Bug fix:
    - #18851: Build assets for Beta (by @jolelievre)
    - #18234: Fix guest to customer transformation issue (by @matthieu-rolland)
    - #17561: Allow cyrilic domain names in email addresses (by @atomiix)
    - #18144: Fix CartRule : Discount on selected product excluding discounted products (by @Progi1984)
    - #17733: Unwanted spaces in 1.7.7.0.sql file (by @matks)
    - #17288: Upgrade Symfony 3.4 (by @mvorisek)
    - #17307: Do not force memory_limit in index_cli.php (by @PierreRambaud)
    - #17254: Fix deleted products not being displayed in orders (by @atomiix)
    - #17246: Update Cs Fixer configuration (by @PierreRambaud)
    - #15942: Fix docker compose not being able to stat files (by @PierreRambaud)
    - #16733: Fix new connection detection (by @mvorisek)
    - #16635: Fix discount calculation if two gift-cartrules exist for the same product. (by @Hlavtox)
    - #16586: Do not escape translations when using the legacy translator from the new one (by @PierreRambaud)
    - #16459: Fix behavior of Module::isRegisteredInHook() (by @Matt75)
    - #16410: Make sure to get correct lang fields for shop (by @kpodemski)
    - #16465: Upgrade SQL scripts can use DB_NAME, release creator regex fix, Tab.enable upgrade script fixed (by @jolelievre)
    - #16334: Fix wrong flag on some languages (by @eternoendless)
    - #16213: Make id_order available everywhere where order_name is available (by @atomiix)
    - #12379: Fix of the carrier choice in payment preferences, product editor and cart rules (by @Rolige)
    - #16072: Remove require config.inc.php on all commands and fix a notice (by @202-ecommerce)
    - #16111: Check that ShippingCostTax values are not null before being formatted (by @Progi1984)
    - #15805: Fix Cannot use object of type ParameterBag as array (by @davidglezz)
    - #15974: Fix wrong verification of number of languages (by @dariusakafest)
    - #15967: Use midnight for birthdate verification (by @eternoendless)
    - #15903: Hide bad vouchers that should not be displayed to customers (by @matks)
    - #15616: Refuse empty customer first and last names (by @matks)
    - #15642: Fix wrong breadcrumb on home category (by @jocel1)
    - #15625: Properly cleanup the customization table if no more customized_data (by @jocel1)
    - #15577: Update symfony/phpunit-bridge dependency for security reason (by @PierreRambaud)
    - #15447: Re-enable port in shop domains (by @matks)
    - #15437: Finalize Update License Command (by @matks)
    - #15439: Give more memory to php-cs-fixer (by @matks)
    - #15426: Fix license headers (by @matks)
    - #14609: Fix modules translations files in theme erased by modules translations that are in modules folder (by @bm-services)
    - #14702: Fixes wrong visitor group assumed on multistore (by @matthieu-rolland)
    - #15027: Fix typo in Employee processing (by @gavinkalika)
    - #14601: Revert removed templates for mail dynamic contents, order mails mainly, create MailPartialTemplateRenderer to manage this feature (by @jolelievre)
    - #14859: Move i18n.prestashop.net into https and remove unwanted file (by @PierreRambaud)
    - #14352: Move Cart secure_key setter at the right place (by @jocel1)
    - #14089: Fix shop URL with port in header HOST (by @202-ecommerce)
    - #14529: Fix position problem on a fresh install (by @PierreRambaud)
    - #14560: Typo fix on bug issue template (by @PierreRambaud)
    - #13983: Fix empty tag in webservice XML response (by @pumamood)
    - #14403: Fix cookie collisions from PR # 14116 and improve overall security (by @mvorisek)
    - #14043: Check if Combination id is set before deleting Associations from database to prevent accidentally removing all products without attributes from all carts (by @kazeno)
    - #14273: Fix SQL error due do while not ended (by @123monsite-regis)
    - #13711: Compare strictly value of hook name when getting modules registered on it (by @Quetzacoalt91)
    - #13609: Fix dispatched hook on the Grid presenter: action<GridDefinitionId>GridFilterFormModifier (by @mickaelandrieu)
    - #13542: Merge 1.7.6.x to develop - 23/04/2019 (by @matks)
    - #13232: Fix wrong cart calculation using rules with free Gift (by @123monsite-regis)
  - Refactoring:
    - #18564: Refactoring using OrderAmountUpdater (by @Progi1984)
    - #15965: Implement CQRS on Notifications (by @atomiix)
    - #15448: Replace uses of deprecated Tools::displayPrice in favor of Locale::formatPrice() (by @Progi1984)
    - #14970: Migration of Order message page (by @sarjon)
    - #15388: Migration of Orders View page (by @sarjon)
    - #15371: Fix duplicate retrieval of attributes color list (by @lvancrayelynghe)
    - #13988: Migrates Orders list - part 1 (by @sarjon)
    - #14065: Migrate Shopping Carts view page (by @sarjon)
    - #13712: Prepare Command API for migrating Order view page (by @sarjon)
    - #13554: Prepares Command/Query API for migrating "Create order" page (by @sarjon)
    - #13736: Replace all calls to $this->l() in controllers (by @eternoendless)
- Installer:
  - Improvement:
    - #17914: Add index on product table for fresh install (by @jolelievre)
    - #16527: Check memory_limit during installation (by @PierreRambaud)
    - #16104: Update order status colors (by @sarjon)
    - #15888: Update jQuery to 3.4.1 in installation pages (by @matthieu-rolland)
  - Bug fix:
    - #17642: Fix SQL request for order detail (by @jolelievre)
    - #16941: Bad wording when installation check (by @gavinkalika)
    - #16506: Set minimum PHP version to 7.1.3 (and not 7.1) (by @eternoendless)
    - #16305: Fix SQL upgrade for 1.7.7.0 (missing FROM) (by @matks)
    - #15404: Update Postal Code of South Korea (by @khouloudbelguith)
    - #15131: Fix permanent redirection in installer (by @mickaelandrieu)
- Web Services:
  - Improvement:
    - #8769: Auto generate link_rewrite and do not require it when creating category via webservice (by @marekhanus)
  - Bug fix:
    - #14899: Make the container available in WebService environment (by @Progi1984)
- Localization:
  - New feature:
    - #17763: Update catalog for 1.7.7.0 (by @jolelievre)
    - #17645: Backport #16927 (by @atomiix)
    - #16173: Add Ivory Coast as a supported country (by @SylNicky)
  - Improvement:
    - #16834: Switch zone for BA, LI, and UA (by @LouiseBonnard)
    - #16690: Add Khmer language (by @LouiseBonnard)
    - #16489: Remove unofficial languages from language packs (by @eternoendless)
    - #16416: Added albanian & korean to the installer (by @Progi1984)
    - #15627: Added states to India (by @Progi1984)
    - #16078: Update Argentinian conversion and tax rates (by @LouiseBonnard)
    - #16291: Update tax rates for several countries (by @eternoendless)
    - #16079: Update Azerbaijani tax rates (by @LouiseBonnard)
    - #16292: Add missing languages to localization packs (by @eternoendless)
    - #16244: Update Costa Rican, Peruvian and Brazilian tax rates (by @LouiseBonnard)
    - #16218: Add and update tax rates (by @LouiseBonnard)
    - #16190: Update Moldavian tax rates (by @LouiseBonnard)
    - #16189: Update Japanese tax rates (by @LouiseBonnard)
    - #16193: Update Norwegian tax rates (by @LouiseBonnard)
    - #16181: Update Ecuadorian tax rates (by @LouiseBonnard)
    - #16188: Update Iranian tax rates (by @LouiseBonnard)
    - #16182: Update Egyptian tax rates (by @LouiseBonnard)
    - #16183: Update Fijian tax rates (by @LouiseBonnard)
    - #16186: Update Indonesian tax rates (by @LouiseBonnard)
    - #16185: Update Guyanan tax rates (by @LouiseBonnard)
    - #16187: Update Israeli tax rates (by @LouiseBonnard)
    - #16179: Update Dominican Republic tax rates (by @LouiseBonnard)
    - #16161: Update Colombian tax rates (by @LouiseBonnard)
    - #16160: Update Swiss tax rates (by @LouiseBonnard)
    - #16000: Update Indian tax rates (by @ashishsharawat)
    - #16055: Update Greek tax rates (by @LouiseBonnard)
    - #16020: Update Turkish currency sign (by @LouiseBonnard)
    - #15968: Update Swedish tax rates (by @LouiseBonnard)
    - #15969: Update Mexican tax rates (by @LouiseBonnard)
    - #15618: Switched zone for Croatia from "Europe (non-UE)" to "Europe" (by @Progi1984)
  - Bug fix:
    - #18420: Change error message for invalid product quantity (by @jolelievre)
    - #18504: Fix wording in classic guest mail template (by @jolelievre)
    - #17757: Fix cancel product type translation domain (by @jolelievre)
  - Refactoring:
    - #18652: Remove useless traduction wordings and exception codes (by @jolelievre)
    - #16347: Update CLDR to latest version 36 (2019-10-04) (by @ziegenberg)
- Tests:
  - New feature:
    - #17094: Add twig lint check and move bash script from tests-legacy to tests (by @matks)
  - Improvement:
    - #18540: Improve nightly log reports (by @PierreRambaud)
    - #17965: Add HTML IDs and classes to View Customer BO page (by @matks)
    - #17532: Fix PHP CS Fixer configuration: disable single_line_throw and backport #17328 (by @matks)
    - #17028: Behat tests for Customer, Address features handlers (by @tdavidsonas88)
    - #16525: Behat tests for orders in the Back Office. Various Behat features created and scenarios added (by @tdavidsonas88)
    - #16966: Cover Category CommandHandlers and QueryHandlers by behat tests (by @tdavidsonas88)
    - #16776: Cover Contact CommandHandlers and QueryHandlers by behat tests (by @tdavidsonas88)
    - #16807: Travis: update config for dpl v2 (by @mvorisek)
    - #16712: Add unit test for profile ID test (by @gavinkalika)
    - #16757: Add behat tests for miscellaneous command/handlers: SwitchDebugMode, CloseShowcaseCard, GetShowcaseCardIsClosed, GenerateThemeMailTemplates, AddEmployee (by @tdavidsonas88)
    - #16317: Only trigger deploy on cron task, and tests on push / pull requests (by @PierreRambaud)
    - #15586: Remove deprecated StarterTheme tests (by @matks)
    - #14971: Trigger nightly report (by @PierreRambaud)
    - #14670: Add Behat tests for Customer commands (by @sarjon)
    - #14725: Move travis scope from 5.6 to 7.1 (by @matks)
    - #14287: Behat tests for Category (by @sarjon)
    - #14231: Remove expectedException PHPUnit annotation (by @MathiasReker)
    - #14109: Cover Webservice key management with Behat tests (by @sarjon)
    - #14235: Remove unused imports (by @MathiasReker)
    - #14234: Add missing braces (by @MathiasReker)
    - #13790: Add Behat tests for Currency Domain (by @sarjon)
    - #13862: Improve E2E report (by @PierreRambaud)
    - #13018: Only run deploy if the triggered commit is recent (by @PierreRambaud)
    - #13495: Add behat tests for customer Commands and Queries (part 1) (by @matks)
  - Bug fix:
    - #18548: Composer failed to be installed properly (by @PierreRambaud)
    - #18339: Fix behat tests that add payments (by @jolelievre)
    - #18239: Update tests data with taxes to fix behat tests (by @jolelievre)
    - #18023: Modify test data generation to handle price with taxes (by @jolelievre)
    - #17746: Restore GA for PHP CS Fixer (by @matks)
    - #17643: CS fix (by @jolelievre)
    - #16809: Fix date parsing in tests when TZ is changed to non-UTC during tests (by @mvorisek)
    - #16998: Fix #16997 - assertion of first/classic theme from unsorted list (by @mvorisek)
    - #15912: Fix missing currency in behat test (by @matthieu-rolland)
    - #15848: Fix E2E dockerfile as npm is not anymore in the nodejs package (by @PierreRambaud)
    - #15519: Fix Close browser after each scenario (by @boubkerbribri)
    - #15161: Remove another faulty e2e test from Travis (by @matks)
    - #14531: Remove another faulty e2e test from Travis (by @matks)
    - #14491: Disable Selenium Guest scenario as it fails randomly (by @matks)
    - #13826: Enable global kernel for legacy compatibility for Behat tests (by @matks)
    - #13827: Revert "Only run deploy if the triggered commit is recent" (by @PierreRambaud)
    - #13824: Update tests and package-lock (by @PierreRambaud)
  - Refactoring:
    - #18843: Functional tests - Create edit view voucher in customer information page (by @nesrineabdmouleh)
    - #18840: Functional tests - Change selectors for advanced params pages (by @boubkerbribri)
    - #18832: Functional tests - Change selectors orders pages (by @boubkerbribri)
    - #18804: Change selectors (by @SimonGrn)
    - #18800: Functional tests - Fix number of element in table for emails logs page  (by @boubkerbribri)
    - #18797: Functional tests - Refacto tests order settings (by @boubkerbribri)
    - #18775: Functional tests - Renaming functions in files.js (by @boubkerbribri)
    - #18774: Functional tests - Fix test filter email logs  (by @boubkerbribri)
    - #18575: Functional tests - Fix delete with bulk actions address (by @nesrineabdmouleh)
    - #18753: Functional tests - Fix test name export languages (by @boubkerbribri)
    - #18477: Functional tests - Product settings label oos allowed/denied backorders (by @nesrineabdmouleh)
    - #18754: Functional tests - View customer (by @nesrineabdmouleh)
    - #18756: Functional tests - Add test delivery time out of stocks (by @boubkerbribri)
    - #18745: Functional tests - Improve test 'Filter stocks by categories' (by @boubkerbribri)
    - #18718: Functional tests - Refacto credit slips tests (by @boubkerbribri)
    - #18716: Functional tests - Fix tests enable brands and suppliers pages (by @boubkerbribri)
    - #18720: Functional tests - change url for reporting (by @SimonGrn)
    - #18688: Update README files for tests directory (by @SimonGrn)
    - #18682: Functional tests - Fix wrong import for tests modules (by @boubkerbribri)
    - #18670: Fix tests that are always green when the shop is broken (by @nesrineabdmouleh)
    - #18677: Functional tests - Fix call for module (by @SimonGrn)
    - #18639: Functional tests - Moving FO pages (by @boubkerbribri)
    - #18669: Functional tests - Add delete modal to test bulk delete order messages (by @boubkerbribri)
    - #18662: Functional tests - Fix customer creation in BO (by @boubkerbribri)
    - #18631: Functional tests - Refacto orders and invoices tests (by @boubkerbribri)
    - #18616: Functional tests - Add test download sample files for import (by @boubkerbribri)
    - #18621: Functional tests - Add test 'Update default products order' (by @boubkerbribri)
    - #18577: Functional tests - Update some tests titles (by @boubkerbribri)
    - #18207: Functional tests - Product settings enable/disable display discounted price (by @nesrineabdmouleh)
    - #18505: Functional tests - Payment > Preferences test group restrictions (by @nesrineabdmouleh)
    - #18490: Functional tests - Add test 'Send a test email' (by @boubkerbribri)
    - #18436: Functional tests - Add test 'Enable delivery time in stock products' (by @boubkerbribri)
    - #18486: Functional tests - Fix test filter stocks by category (by @boubkerbribri)
    - #18426: Functional tests - Add test for order setting gift options (by @boubkerbribri)
    - #18452: Functional tests - Add tests Help card for pages employees, profiles, db backups, sql manager and webservice (by @boubkerbribri)
    - #18457: Functional tests - Add filter customer to 'Filter orders' tests (by @boubkerbribri)
    - #18465: Functional tests - Add test 'Export languages' in translations page (by @boubkerbribri)
    - #18442: Functional tests - Add tests help card for pages Localization, Currencies and Languages (by @boubkerbribri)
    - #18435: Functional tests - Localization test default language (by @nesrineabdmouleh)
    - #18422: Functional tests - Product settings test label of in-stock products (by @nesrineabdmouleh)
    - #18401: Functional tests - Filter delete and delete with bulk actions email (by @nesrineabdmouleh)
    - #18375: Functional tests - Product settings enable/disable stock management (by @nesrineabdmouleh)
    - #18332: Functional tests - Wait for navigation in go to maintenance tab function (by @boubkerbribri)
    - #18369: Functional tests - Add test 'Sort cms pages' (by @boubkerbribri)
    - #18367: Functional tests - Add tests helper card for brands and suppliers (by @boubkerbribri)
    - #18350: Functional tests - Add test 'Bulk update orders status' (by @boubkerbribri)
    - #18313: Functional tests - CRUD sql query (by @nesrineabdmouleh)
    - #18371: Functional tests - Order settings enable/disable terms of service (by @nesrineabdmouleh)
    - #18308: Functional tests - Add test 'Check delivery slip downloaded from list' (by @boubkerbribri)
    - #18311: Functional tests - Add new client filter to order test (by @boubkerbribri)
    - #18342: Functional tests - Add test 'Filter stocks by category' (by @boubkerbribri)
    - #18290: Functional tests - Test minimum purchase total required in order to validate the order (by @nesrineabdmouleh)
    - #18317: Functional tests - Add test 'Update number of products displayed per page' (by @boubkerbribri)
    - #18306: Functional tests - Add test 'Check invoice downloaded from orders list' (by @boubkerbribri)
    - #18161: Functional tests - Add test Enable and disable B2B mode (by @boubkerbribri)
    - #18269: Functional tests - Add test 'Help card' for Stocks page (by @nesrineabdmouleh)
    - #18268: Functional tests - Add test 'Help card' for Monitoring page (by @nesrineabdmouleh)
    - #18272: Functional tests - Add test 'Export Orders' (by @boubkerbribri)
    - #18267: Functional tests - Fix update successful message on addresses page (by @boubkerbribri)
    - #18197: Functional tests - Order settings enable/disable reordering option (by @nesrineabdmouleh)
    - #18231: Functional tests - Fix default timeout for waiting for selector (by @boubkerbribri)
    - #18242: Functional tests - Add test 'Help card' for orders page (by @boubkerbribri)
    - #18250: Functional tests - Add test 'Filter orders' (by @boubkerbribri)
    - #18216: Functional tests - Retry to create Browser 3 times if first one fails (by @boubkerbribri)
    - #18224: Functional tests - Product settings enable/disable allow ordering out of stock (by @nesrineabdmouleh)
    - #18227: Functional tests - Fix selector for tests categories (by @boubkerbribri)
    - #17981: Functional tests - Fix invoices and credit slips tests (by @boubkerbribri)
    - #18198: Fix test 'display unavailable product attributes' (by @boubkerbribri)
    - #18180: Functional tests - Add tests 'Help card' for customers and addresses (by @boubkerbribri)
    - #18178: Functional tests - Add test 'Export brands' (by @boubkerbribri)
    - #18112: Functional tests - Refactoring products tests (by @boubkerbribri)
    - #18191: Functional tests - Order settings  enable/disable guest checkout (by @nesrineabdmouleh)
    - #18158: Functional tests - Add test 'Export customers' (by @boubkerbribri)
    - #18148: Functional tests - Customer settings enable/disable partner offer (by @nesrineabdmouleh)
    - #18174: Functional tests - Product settings separator of attribute anchor on the product links (by @nesrineabdmouleh)
    - #17805: Functional tests - Order settings enable/disable final summary (by @nesrineabdmouleh)
    - #17891: Functional tests - Product settings enable/disable display unavailable product attributes (by @nesrineabdmouleh)
    - #18081: Functional tests - Enable/Disable multistore (by @nesrineabdmouleh)
    - #18145: Functional tests - Customer settings ask for birth date (by @nesrineabdmouleh)
    - #18143: Functional tests - Shop Parameters > Traffic & SEO  test helper card (by @nesrineabdmouleh)
    - #18156: Functional tests - Fix nightly 16-03 (by @boubkerbribri)
    - #18149: Functional tests - Add test Export Categories to csv (by @boubkerbribri)
    - #18133: Functional tests - Design > Pages test helper card (by @nesrineabdmouleh)
    - #17921: Functional tests - Enable disable webservice key (by @nesrineabdmouleh)
    - #18071: Functional tests - Customers set required fields (by @nesrineabdmouleh)
    - #18002: Functional tests - Refacto customer settings redisplay cart at login (by @nesrineabdmouleh)
    - #17982: Functional tests - Categories page test helper card (by @nesrineabdmouleh)
    - #18056: Functional tests - Back to default sort in test 'Sort Products' (by @boubkerbribri)
    - #18001: Functional tests - Refacto product settings default activation status (by @nesrineabdmouleh)
    - #17998: Functional tests - Refacto product settings force update friendly URL (by @nesrineabdmouleh)
    - #17997: Functional tests- Refacto product settings new days number (by @nesrineabdmouleh)
    - #17996: Functional tests - Refacto product settings catalog mode (by @nesrineabdmouleh)
    - #17989: Functional tests - Refacto product settings display remaining quantities (by @nesrineabdmouleh)
    - #17974: Functional tests - Refacto product settings display available quantities (by @nesrineabdmouleh)
    - #17948: Functional tests - Fix problem of generate files by date for nightly 29-02 (by @nesrineabdmouleh)
    - #17960: Functional tests - Accept GDPR if only exist (by @boubkerbribri)
    - #17910: Functional tests - Improving FO tests by adding wait for cart to disappear (by @boubkerbribri)
    - #17699: Functional Tests - Product settings choose quantity discounts based on (by @nesrineabdmouleh)
    - #17872: Functional tests - Invoices > Other options - delete check legal free text from scenario (by @nesrineabdmouleh)
    - #17836: Funtional tests - Fix employee faker (by @boubkerbribri)
    - #17795: Functional tests - Payment>Preferences Configure currency restriction (by @nesrineabdmouleh)
    - #17829: Functional tests - Shop Parameters> General enable/disable display brands (by @nesrineabdmouleh)
    - #17754: Functional tests - Product settings display remaining quantity in product page (by @nesrineabdmouleh)
    - #17828: Functional tests - Shop Parameters> General enable/disable display suppliers (by @nesrineabdmouleh)
    - #17779: Functional tests - Add new tests 'Sort categories' and 'Change category position' (by @boubkerbribri)
    - #17824: Functional tests - Fix sending emails in nightly (by @boubkerbribri)
    - #17772: Functional tests - Add test 'Sort Addresses' (by @boubkerbribri)
    - #17775: Functional tests - Customer settings enable/disable send email after registration (by @nesrineabdmouleh)
    - #17762: Functional tests - Add test 'Import localization pack' (by @boubkerbribri)
    - #17756: Functional tests - Add test 'Sort customers' (by @boubkerbribri)
    - #17741: Functional tests - Add test 'Sort contacts' (by @boubkerbribri)
    - #17735: Functional tests - Adding wait for navigation in goToHomePage function (by @boubkerbribri)
    - #17722: Functional tests - Product settings Enable/Disable display available quantities (by @nesrineabdmouleh)
    - #17724: Functional tests - Add test 'Sort brands and addresses' (by @boubkerbribri)
    - #17720: Functional tests - Add test 'Sort products' (by @boubkerbribri)
    - #17710: Functional tests - Add movement check after update stocks quantity (by @boubkerbribri)
    - #17714: Functional tests - Fix Sort tests  (by @boubkerbribri)
    - #17697: Functional tests - Add test 'Sort Taxes' (by @boubkerbribri)
    - #17708: Functional tests - Fix validation message selector name (by @nesrineabdmouleh)
    - #17605: Functional tests - Product settings enable/disable default activation status (by @nesrineabdmouleh)
    - #17640: Functional tests - Customer settings enable/disable re-display cart at login (by @nesrineabdmouleh)
    - #17693: Functional tests - Add test 'Sort languages' (by @boubkerbribri)
    - #17530: Functional tests - Add context to functional tests (Modules And Design) (by @boubkerbribri)
    - #17534: Functional tests - Add context for advanced params tests (by @boubkerbribri)
    - #17543: Functional tests - Add context for shop params tests (by @boubkerbribri)
    - #17567: Functional tests - Add context to international tests (by @boubkerbribri)
    - #17582: Functional tests - Add context to customers, addresses and customer service tests (by @boubkerbribri)
    - #17674: Functional tests - Add context to catalog tests (by @boubkerbribri)
    - #17678: Functional tests - Add context to orders tests (by @boubkerbribri)
    - #17652: Functional tests - Fix monitoring test (by @nesrineabdmouleh)
    - #17620: Functional tests - 02_orders/ Reduce legal free text length to 10 characters (by @nesrineabdmouleh)
    - #17624: Functional tests - Product settings enable/disable force update friendly url (by @nesrineabdmouleh)
    - #17566: Functional tests -  CRUD web service key (by @nesrineabdmouleh)
    - #17555: Functional tests - Product settings max size short description (by @nesrineabdmouleh)
    - #17559: Functional tests - Fix select all grid selector (by @boubkerbribri)
    - #17388: Functional tests - Product settings test new days number (by @nesrineabdmouleh)
    - #17518: Functional test - Add data file for module categories (by @boubkerbribri)
    - #17499: Functional tests - Add new test Filter modules by categories (by @boubkerbribri)
    - #17495: Functional tests - Add test for monitoring product without description (by @boubkerbribri)
    - #17440: Functional tests - Add new test bulk actions languages (by @boubkerbribri)
    - #17443: Functional tests - Add delete modal for tests (taxes and cms pages) (by @boubkerbribri)
    - #17418: Functional tests - adding additional information to tests (by @boubkerbribri)
    - #17405: Functional tests - Improve test enableDisableAccentedURL (by @boubkerbribri)
    - #17386: Functional tests - Enable unofficial currency (by @boubkerbribri)
    - #17375: Functional tests - Enable disable accented url (by @nesrineabdmouleh)
    - #17372: Functional tests - Activate tests Profiles (by @boubkerbribri)
    - #17213: Functional tests - Enable disable catalog mode from product settings page (by @nesrineabdmouleh)
    - #17329: Functional tests - Fix delete with bulk actions (brand, brand address, supplier) tests (by @nesrineabdmouleh)
    - #17301: Functional tests - Enable/Disable friendly url (by @nesrineabdmouleh)
    - #17281: Functional tests - Addresses bulk actions (by @nesrineabdmouleh)
    - #17216: Functional tests - CRUD customer address (by @nesrineabdmouleh)
    - #17272: Functional tests - Limit the legal free text length to 50 (by @nesrineabdmouleh)
    - #17202: Functional tests - Add numbers for all directories (by @nesrineabdmouleh)
    - #17201: Functional Tests - Fix "emailThemes/01_previewEmailThemes" test (by @nesrineabdmouleh)
    - #17183: Sanity tests - Fix CRUD standard product with combinations test  (by @nesrineabdmouleh)
    - #17168: Functional tests - Fix test customer bulk action (by @boubkerbribri)
    - #17167: Functional Tests - Fix Enable Disable shop automated test (by @SimonGrn)
    - #17155: Refacto partial refund along with behat tests (by @jolelievre)
    - #17154: Functional tests - Fix test employee and maintenance (by @boubkerbribri)
    - #17129: Functional tests - Set FR text value for custom maintenance text (by @nesrineabdmouleh)
    - #17092: Functional tests - Fix other options test (by @nesrineabdmouleh)
    - #17091: Functional tests - Fix Crud language test (by @boubkerbribri)
    - #17084: Functional tests - Fix error in the test Enable/Disable invoices (by @nesrineabdmouleh)
    - #16632: Replace deprecated "create_function" (by @mvorisek)
    - #17076: Tests - Fix dockerfile for puppeteer (by @boubkerbribri)
    - #17027: Functional tests -  add test 'Filter modules by status' (by @boubkerbribri)
    - #17061: Functional tests - Add base page for localization (by @boubkerbribri)
    - #17066: Functional tests - Update confirm delete files method (by @boubkerbribri)
    - #17060: Functional tests - Filter addresses table (by @nesrineabdmouleh)
    - #17047: Functional tests - Enable disable image in delivery slip file (by @nesrineabdmouleh)
    - #17049: Functional tests - Contact bulk actions (by @nesrineabdmouleh)
    - #17052: Functional tests - Add new test 'Crud language test' (by @boubkerbribri)
    - #17029: Functional Tests - Enable/Disable shop (by @nesrineabdmouleh)
    - #16963: Functional tests - add test 'filter languages' (by @boubkerbribri)
    - #17041: Functional tests - Fix tests brands and skip test Create unofficial currencies (by @boubkerbribri)
    - #17009: Functional tests - add test 'Preview Email Themes' (by @boubkerbribri)
    - #16967: Functional Tests - Add number verification for delivery slip file (by @nesrineabdmouleh)
    - #16962: Functional tests - Crud contact (by @nesrineabdmouleh)
    - #17013: Functional tests - Separate tests team employees and profiles (by @boubkerbribri)
    - #17017: Functional tests - Update file bulk action delete message (by @boubkerbribri)
    - #17006: Functional tests - Fix supplier name and zip code (by @boubkerbribri)
    - #17003: Functional tests - Fix date format (mm/dd/yyyy) (by @nesrineabdmouleh)
    - #16960: Functional Tests -  Add prefix verification for delivery slip file (by @nesrineabdmouleh)
    - #16922: Functional tests - Add Bulk actions for file tests (by @nesrineabdmouleh)
    - #16905: Functional Tests -  Add monitoring products test (by @boubkerbribri)
    - #16923: Functional tests - Bulk delete backups (by @boubkerbribri)
    - #16959: Functional tests - Add new test : CRUD Seo Page (by @boubkerbribri)
    - #16914: Functional Test - Add new test : filter SEO pages grid (by @boubkerbribri)
    - #16931: Functional tests - add test filter stocks by status (by @boubkerbribri)
    - #16886: Functional Tests - Generate delivery slip by date (by @nesrineabdmouleh)
    - #16909: Functional tests - Add filter contacts tests (by @nesrineabdmouleh)
    - #16908: Functional Test - Add new test CRUD files (by @boubkerbribri)
    - #16900: Functional tests - Disable tests profile including creation (by @boubkerbribri)
    - #16897: Tests - Fix tests : invoices options (by @boubkerbribri)
    - #16884: Functional Tests - Test credit slip options (by @nesrineabdmouleh)
    - #16882: Functional Tests - Generate credit slip by date (by @nesrineabdmouleh)
    - #16881: Functional tests - Fix tests 'CRUD customer' and 'CRUD Category' (by @boubkerbribri)
    - #16831: Functional Tests - Create, check and filter credit slips (by @nesrineabdmouleh)
    - #16875: Functional Tests - Delete Category from monitoring page (by @boubkerbribri)
    - #16772: Functional Tests - Test prefix in the invoice file name (by @nesrineabdmouleh)
    - #16861: Functional test : Activate Employees bulk actions test (by @boubkerbribri)
    - #16848: Functional tests - add test Create DB Backup (by @boubkerbribri)
    - #16756: Functional tests - Add test Create unofficial currency (by @boubkerbribri)
    - #16775: Functional Tests - Enable/Disable current year in the invoice file name (by @nesrineabdmouleh)
    - #16801: Functional tests - add test create and delete link widget (by @boubkerbribri)
    - #16791: Functional Tests - Test some options in the invoice file (by @nesrineabdmouleh)
    - #16771: Functionnal tests - Add test "Filter and bulk delete order messages" (by @boubkerbribri)
    - #16784: Tests - Fix checkout FO (by @boubkerbribri)
    - #16747: Functional Tests -  Enable/Disable tax breakdown (by @nesrineabdmouleh)
    - #16766: Functional test - Fix global variable call in the test (by @nesrineabdmouleh)
    - #16748: Functional tests - Fix expect on test currencies (by @boubkerbribri)
    - #16761: Functional test  - CRUD order message (by @boubkerbribri)
    - #16764: Tests - Fix sanity on nightly (by @boubkerbribri)
    - #16759: Functional Tests - Enable/Disable product image in the invoice (by @nesrineabdmouleh)
    - #16750: Sanity tests - Can't install prestashop with same db in prod mode (by @boubkerbribri)
    - #16731: Tests - Disable dev mode while testing with docker (by @boubkerbribri)
    - #16727: Functional tests - Fix test CRUD profile (by @boubkerbribri)
    - #16721: Functional tests - Fix echange rate on test currency (by @boubkerbribri)
    - #16708: Tests - Fix eslint errors on linkchecker (by @boubkerbribri)
    - #16699: Functional Tests - add test create official currency (by @boubkerbribri)
    - #16705: Functional tests - Add test 'Bulk Edit Quantity in stocks' (by @boubkerbribri)
    - #16659: Tests Update README.md and DOCKER.md (by @boubkerbribri)
    - #16679: Functional Tests - Fix describe message for generate invoice by date/status (by @nesrineabdmouleh)
    - #16681: Tests - Fix errors in functional tests (by @boubkerbribri)
    - #16674: Functional Tests - Add BO tests for invoice options Enable/Disable (by @nesrineabdmouleh)
    - #16666: Tests - Running tests with user root  (by @boubkerbribri)
    - #16655: Functional Tests - Add BO tests for generate invoice by status (by @nesrineabdmouleh)
    - #16647: Tests - Using pptruser to run tests with download (by @boubkerbribri)
    - #16644: Tests - Fix logout used in Employee tests (by @boubkerbribri)
    - #16566: Functional Tests - Add BO tests for generate invoice by date (by @nesrineabdmouleh)
    - #16612: Functional tests - Adding test update Quantity on catalog-stocks page (by @boubkerbribri)
    - #16534: Tests - Adding scripts to run puppteer tests on nightly for develop (by @boubkerbribri)
    - #16564: Tests - Fixing tests 04_filterAndQuickEditCategories (functional campaign) (by @boubkerbribri)
    - #16533: Test- Update functional test Supplier (by @boubkerbribri)
    - #16496: Tests - Fix test CRUD Page Category in functional campaign (by @boubkerbribri)
    - #16492: Tests - Skip all scenarios Employees bulk actions (by @boubkerbribri)
    - #16479: Tests - Using foreach for sanity tests products (by @boubkerbribri)
    - #16480: Tests - Using foreach for sanity tests orders (by @boubkerbribri)
    - #16469: Functional tests - fix Employees tests (by @boubkerbribri)
    - #16127: Functional Tests - Add BO tests for Design>Pages (by @nesrineabdmouleh)
    - #16289: Functional Tests - Add BO tests for Team>employees and profiles (by @nesrineabdmouleh)
    - #16456: Functional tests - add simple filter tests for stocks (by @boubkerbribri)
    - #16376: Functional Tests - Add BO tests for Filter And Quick Edit products (by @nesrineabdmouleh)
    - #16448: Running Sanity and functional tests faster (by @boubkerbribri)
    - #16450: Tests - Replace duplicated steps with foreach in brands tests (by @boubkerbribri)
    - #16408: Tests - Replace duplicated steps with foreach in customers tests (by @boubkerbribri)
    - #16407: Tests - Replace duplicated steps with foreach in categories tests (by @boubkerbribri)
    - #16414: Tests - Replace duplicated steps with foreach in taxes tests (by @boubkerbribri)
    - #16403: Tests - Replace duplicated steps with foreach for brands tests (by @boubkerbribri)
    - #16405: Tests - Replace duplicated steps with foreach in suppliers tests (by @boubkerbribri)
    - #16399: Tests - Delete replaces in tests Taxes (by @boubkerbribri)
    - #16395: Tests - Delete replaces in tests Customers (by @boubkerbribri)
    - #16330: Tests - Delete replaces in tests and use new methods instead (by @boubkerbribri)
    - #16387: Tests - Delete replaces in tests categories (by @boubkerbribri)
    - #16373: Tests - Using employees demo file for installation (by @boubkerbribri)
    - #16371: Tests - Delete replaces and use new methods instead in Supplier tests (by @boubkerbribri)
    - #16332: Tests - using same demo elements (by @boubkerbribri)
    - #16296: Functional Tests - Add BO tests for Supplier (by @boubkerbribri)
    - #16297: Functional tests - Using the correct element in loop for brands tests  (by @boubkerbribri)
    - #16309: Tests - Separate BO pages (by @boubkerbribri)
    - #16216: Tests - Add functional tests command to package.json (by @boubkerbribri)
    - #16194: Tests - Refactoring puppeteer tests (by @boubkerbribri)
    - #16125: Functional Tests - Add BO tests for Brands (by @boubkerbribri)
    - #16156: Tests - Update name of catalog Menu link in BO (by @boubkerbribri)
    - #15988: Functional Tests - Add tests for categories (by @nesrineabdmouleh)
    - #15980: Linkchecker update (by @SimonGrn)
    - #16018: Sanity Tests - Refacto of all tests  (by @boubkerbribri)
    - #16005: Tests - Adding env file for docker  (by @boubkerbribri)
    - #15978: Functional Tests - Add BO tests for  taxes (by @boubkerbribri)
    - #15984: Test - Improve quick view product (by @boubkerbribri)
    - #15905: Tests - Add module alias (by @boubkerbribri)
    - #15865: Functional Tests - Add BO tests for customers (by @boubkerbribri)
    - #15868: Update puppeteer Tests description on package.json (by @boubkerbribri)
    - #15811: Tests - Fix Login Test (by @boubkerbribri)
    - #15790: Tests - Remove chai from Page Objects  (by @boubkerbribri)
    - #15772: Tests - Fix global Vars in linkchecker (by @boubkerbribri)
    - #15754: Tests - Change structure of file globals.js (by @boubkerbribri)
    - #15735: Sanity Tests with puppeteer - Refacto of InstallShopTest (by @boubkerbribri)
    - #15651: Add common FO page - Puppeteer (by @nesrineabdmouleh)
    - #15730: Update ReadMe file for puppeteer tests folder (by @boubkerbribri)
    - #15634: Add demo data files and fix the concerned tests - Sanity tests (by @nesrineabdmouleh)
    - #15630: Moving login test in a commonTests directory (by @boubkerbribri)
    - #15584: Replace mocha scenario and test with describe and it functions (by @boubkerbribri)
    - #15556: Add Sanity tests on travis build (by @boubkerbribri)
    - #15509: Remove the smoke tests campaign - Puppeteer  (by @nesrineabdmouleh)
    - #15470: Add Checkout FO to Sanity tests puppeteer (by @boubkerbribri)
    - #15421: Cart FO tests with puppeteer - Sanity tests campaign (by @nesrineabdmouleh)
    - #15422: Add Sanity tests products BO (by @boubkerbribri)
    - #15415: Fixing esLint errors in project (by @boubkerbribri)
    - #15355: Adding sanity tests products BO (by @boubkerbribri)
    - #14170: Add Behat tests for CMS page commands (by @zuk3975)
    - #15312: Order BO tests with puppeteer - Sanity tests campaign (by @nesrineabdmouleh)
    - #15389: Catalog FO tests with puppeteer - Sanity tests campaign (by @nesrineabdmouleh)
    - #14132: Behavioral tests for Tax commands (by @zuk3975)
    - #15301: Renaming data names - Smoke tests (by @nesrineabdmouleh)
    - #15262: Sort smoke tests by adding number to the names (by @boubkerbribri)
    - #14145: Behavioral tests for Manufacturer commands (by @zuk3975)
    - #15163: Docker for test AutoUpgrade (by @boubkerbribri)
    - #15206: Smoke tests - Fix the product selector in the FO (by @nesrineabdmouleh)
    - #15156: Adding new Test UpgradeShop with puppeteer (by @boubkerbribri)
    - #15155: Update expect usage in puppeteer tests (by @boubkerbribri)
    - #15151: All BO classes should inherit from BObasePage (by @boubkerbribri)
    - #15031: Fix install prestashop test - Smoke tests (by @nesrineabdmouleh)
    - #15024: Rename files and test directory - Smoke tests campaign (by @nesrineabdmouleh)
    - #14902: Check the Front Office test with puppeteer - Smoke tests campaign (by @nesrineabdmouleh)
    - #14825: Fix some minor problems on the "crawling BO" smoke test (by @SimonGrn)
    - #14815: Add a new smoke test: crawling BO (by @SimonGrn)
    - #14764: Install prestashop test with puppeteer (by @boubkerbribri)
    - #14593: First POM implementation (by @SimonGrn)
    - #14612: Update docker for puppeteer (by @boubkerbribri)
    - #14508: Integrate Puppeteer to check links on FO and BO (by @mbadrani)
    - #13772: Correct usage of fixtures on behat tests for taxes (by @tomlev)

####################################
#   v1.7.6.9 - (2020-11-16)
####################################
- Core:
  - Bug fix:
    - #GHSA-frf2-c9q3-qg9m:  Improper Access Control with submitReorder function (by @PierreRambaud)

####################################
#   v1.7.6.8 - (2020-09-24)
####################################
- Core:
  - Improvement:
    - #21124:  Bump version to 1.7.6.8, bump contactform version (by @PierreRambaud)
  - Bug fix:
    - #GHSA-rc8c-v7rq-q392: Stored XSS in upload files (by @PierreRambaud)
    - #GHSA-5cp2-r794-w37w: Potential XSS injection with contact form (by @PierreRambaud)
    - #GHSA-fghq-8h87-826g: Blind SQLi in Catalog Product edition (by @PierreRambaud)

####################################
#   v1.7.6.7 - (2020-07-03)
####################################
- Front Office:
  - Bug fix:
    - #20052: Fix product page event theme sided not getting fired  (by @NeOMakinG)

####################################
#   v1.7.6.6 - (2020-07-01)
####################################
- Back Office:
  - Bug fix:
    - #19814: Change buttons in modal bulk of module page to avoid black color (by @NeOMakinG)
    - #18975: BO - Customer View page - Added Green alert when editing a voucher (by @Progi1984)
    - #19942: Cast changelogs to array for twig - Backport of #19778 (by @atomiix)
    - #19718: Remove i18n access restrictions (by @PierreRambaud)
    - #19990: Fix BO page Module permission checks (by @jolelievre)
- Front Office:
  - Improvement:
    - #19800: Add a new selector in order to select the product page more precisely (by @NeOMakinG)
- Core:
  - Improvement:
    - #19943: Update Composer dependencies and prestashop module versions (by @PierreRambaud)
    - #19980: Update version number to 1.7.6.6 (by @matks)
    - #19979: Update outdated assets in 176x (by @matks)
    - #19984: Update license headers for PS 1.7.6.6 (by @matks)
  - Bug fix:
    - #19010: Added missing required_once for Datas class (by @atomiix)
    - #19986: Fix php7-only code into 1766 (by @matks)
    - #20018: Remove COLLATION placeholder from 1.7.6.6.sql (by @matks)
    - #GHSA-mc98-xjm3-c4fm - External control of configuration setting in the dashboard (by @PierreRambaud)
    - #GHSA-997j-f42g-x57c - Information exposure in upload directory (by @PierreRambaud)
    - #GHSA-492w-2pp5-xhvg - Information disclosure in release archive (by @PierreRambaud)
    - #GHSA-ccvh-jh5x-mpg4 - Improper authentication (by @PierreRambaud)
    - #GHSA-xp3x-3h8q-c386 - Improper access controls in Carrier page, Module Manager and Module Positions (by @PierreRambaud)
    - #GHSA-qgh4-95j7-p3vj - Reflected XSS in product page (by @PierreRambaud)
    - #GHSA-v4pg-q2cv-f7x4 - Stored XSS in AdminQuickAccesses (by @PierreRambaud)
- Web Services:
  - Bug fix:
    - #18969: Make api backward compatible for Currencies (by @atomiix)

####################################
#   v1.7.6.5 - (2020-04-17)
####################################
- Back Office:
  - Bug fix:
    - #18637: Fix sidebar not displayed in BO Add employee page (by @Progi1984)
    - #18607: Fix wrong number of "Last emails" in BO - Customer View page (by @PululuK)
    - #17920: Wrong redirection when using the quick search for a category (by @PululuK)
    - #18064: Fix error when trying to translate Serbian using the BO interface (by @eternoendless)
- Front Office:
  - Bug fix:
    - #18633: Convert cart rule value when order currency is different (by @sowbiba)
    - #18493: Change product redirection rules to redirect to valid attribute url (by @jolelievre)
    - #18103: Duplicate address when submitting a form with errors (by @PierreRambaud)
- Core:
  - Improvement:
    - #18638: Update version to 1.7.6.5 (by @PierreRambaud)
  - Bug fix:
    - #GHSA-cvjj-grfv-f56w - Improper access control on product page with combinations, attachments and specific prices (by @PierreRambaud)
    - #GHSA-4wxg-33h3-3w5r - Improper access control on product attributes page (by @PierreRambaud)
    - #GHSA-r6rp-6gv6-r9hq - Improper access control on customers search (by @PierreRambaud)
    - #GHSA-74vp-ww64-w2gm - Improper Access Control (by @PierreRambaud)
    - #GHSA-98j8-hvjv-x47j - Reflected XSS related in import page (by @PierreRambaud)
    - #GHSA-j3r6-33hf-m8wh - Reflected XSS with back parameter (by @PierreRambaud)
    - #GHSA-mrpj-67mq-3fr5 - Reflected XSS on Exception page (by @PierreRambaud)
    - #GHSA-q6pr-42v5-v97q - Reflected XSS on AdminCarts page (by @PierreRambaud)
    - #GHSA-rpg3-f23r-jmqv - Reflected XSS on Search page (by @PierreRambaud)
    - #GHSA-m2x6-c2c6-pjrx - Reflected XSS with dashboard calendar (by @PierreRambaud)
    - #GHSA-375w-q56h-h7qc - Open redirection when using back parameter (by @PierreRambaud)
    - #GHSA-87jh-7xpg-6v93 - Reflected XSS on AdminFeatures page (by @PierreRambaud)
    - #GHSA-7fmr-5vcc-329j - Reflected XSS on AdminAttributesGroups page (by @PierreRambaud)
    - #GHSA-48vj-vvr6-jj4f - Reflected XSS in security compromised page (by @PierreRambaud)

- Installer:
  - Bug fix:
    - #18491: Installation under CLI doesn't take BASE_URI and Apache rewrite in consideration (by @PierreRambaud)
    - #18451: Use scandir instead of readdir to get sorted entities (by @PierreRambaud)
- Tests:
  - Bug fix:
    - #18309: Change test fixtures that need to be in the future (by @jolelievre)

####################################
#   v1.7.6.4 - (2020-03-02)
####################################
- Back Office:
  - Bug fix:
    - #17711: Fix a bug on safari where SEO preview on create page was not updated (by @NeOMakinG)
    - #17613: Files translations.css and product_page.css do not exist (by @PierreRambaud)
    - #17395: Can't explore a category when all subcats are disabled (by @PululuK)
- Front Office:
  - Improvement:
    - #17638: Prevent email enumeration (by @PierreRambaud)
  - Bug fix:
    - #17457: Disable add-to-cart button when product/attribute combination is not available (by @sowbiba)
    - #16616: Fix round remaining value of reduction amount (backport #16531) (by @matks)
    - #17608: Email subject doesn't support html entities (by @Progi1984)
- Core:
  - Bug fix:
    - #17846: Fix exception thrown when editing a customer with a bad email address (by @atomiix)
    - #17433: Do not escape translations when using the legacy translator from the new one (by @Progi1984)
    - #17306: Do not force memory_limit in index_cli.php (by @PierreRambaud)

####################################
#   v1.7.6.3 - (2020-01-20)
####################################
- Back Office:
  - Improvement:
    - #17036: Protect modules vendor folder on install/upgrade/enable (by @jolelievre)
  - Bug fix:
    - #16906: Handle profile name above 32 chars exception (by @atomiix)
    - #17087: Define alert message when error are found in Category Form (by @Progi1984)
    - #17065: Fix encoding on product name in viewed product (by @Progi1984)
    - #17071: Fix recursive check of updated files - backport of #16765 (by @matks)
    - #16742: Can't export data more than filters limits (by @PierreRambaud)
    - #16696: Fix email theme permission (by @atomiix)
    - #16746: Attributes bo_css & bo_theme can be empty (by @PierreRambaud)
    - #16729: Cost price & unit price are erased when saving with a supplier (by @PierreRambaud)
    - #16888: Fix customer comment template (by @jolelievre)
    - #16294: Fix email not translated when installing a new language (by @atomiix)
    - #16648: Fix customer statuses not being able to toggle when optin field is required (by @matthieu-rolland)
- Front Office:
  - Bug fix:
    - #17248: Added RTL Style for Classic Theme (by @Progi1984)
    - #16852: Fix a bug where changing quantity on product quickview adds products tags on ever products (by @NeOMakinG)
    - #17030: Ignore rtl assets and remove _rtl.css files (by @NeOMakinG)
- Core:
  - Bug fix:
    - #17050: Quick access error when having a wrong url (by @PierreRambaud)
    - #16893: Fix yml config parse typo (by @mvorisek)
    - #16522: Prevent getter from changing class state (by @eternoendless)
  - Refactoring:
    - #17130: Make $localizedSymbols variable to be compatible with develop (by @atomiix)
- Web Services:
  - Bug fix:
    - #17069: Fix Currency i18n fields issue in webservice (by @atomiix)

####################################
#   v1.7.6.2 - (2019-11-28)
####################################
- Back Office:
  - Bug fix:
    - #16365: Viewed products - the date is showing product id - not a  date (by @khouloudbelguith)
    - #16265: Fix category checkbox redirect (Backport #16159) (by @atomiix)
    - #16153: Add missing field type DNI in brand address form (by @jolelievre)
    - #16158: Fix filter not being taken into account in grid export (by @matthieu-rolland)
    - #16172: Remove constraint on siret in CustomerType (by @matthieu-rolland)
    - #16047: Handle multistore customers sharing in customers listing at group level (by @matks)
    - #16036: Add redirect routes on security annotation of Category pages (by @jolelievre)
    - #15643: Allow CLDR to display deleted/inactive currencies (by @jolelievre)
    - #15859: Add clickable row option for grid actions (by @jolelievre)
    - #15880: Fix wrong data mapping in export (by @eternoendless)
    - #15855: Allow anonymous mode for AdminController (by @PierreRambaud)
    - #15856: Must use min-with instead max-widght for the Profile button (by @PierreRambaud)
    - #15685: Unable to create new supplier when VAT identification number is mandatory (by @PierreRambaud)
    - #15665: Wrong selector expression, unable to move parent category (by @PierreRambaud)
    - #15660: Fix tracking url in Theme and Logo page (by @jolelievre)
    - #15658: Use empty legacy action parameter (by @jolelievre)
    - #15382: Remove useless and buggy identifier computation (by @jolelievre)
- Front Office:
  - Bug fix:
    - #16423: Use default attribute when no one are passed in front page (by @PierreRambaud)
    - #16274: Fix contact us email display (by @atomiix)
    - #15964: Use product url (including combination) rather than canonical one in the miniatures (by @jolelievre)
    - #15963: Add rel="nofollow" to prestashop website link (by @matks)
    - #15930: Fix on product-flags class for product cards (by @Progi1984)
- Core:
  - Improvement:
    - #16203: Update version to 1.7.6.2 (by @atomiix)
  - Bug fix:
    - #16500: Incorrect email subject and template variable {shop_name} (by @PierreRambaud)
    - #16335: Update id_order_state at the right place (by @atomiix)
    - #16258: Remove unnecessary require_once config.inc (by @matks)
    - #16026: Remove final keyword from Lang entity (by @jolelievre)
    - #15917: Define use_debug_toolbar even if it's not set in parameters.php (by @PierreRambaud)
    - #15691: Cart rules mustn't be auto added automatically in some cases (by @PierreRambaud)
    - #15621: Revert "Fix lang table multi-store data issue" (by @matks)
    - #15731: Webservices shouldn't display warning when running with fpm or Nginx (by @PierreRambaud)
    - #15515: SqlTranslator must throw a NotFoundResourceException (by @PierreRambaud)
- Tests:
  - Bug fix:
    - #15847: Npm is not anymore in the nodejs package (by @PierreRambaud)
    - #15895: Add management of an env var to disable debug toolbar in travis tests (by @jolelievre)
    - #15590: Remove selenium tests (by @PierreRambaud)

####################################
#   v1.7.6.1 - (2019-08-26)
####################################
- Back Office:
  - Bug fix:
    - #15173: CLDR has access to all currencies regardless of the current shop (by @jolelievre)
    - #15139: Make module and email translations work again when using a theme other than classic (by @eternoendless)
    - #14966: Keep BO from using two different translators in parallel  (by @matthieu-rolland)
    - #15030: Get all categories in category tree form (not only enabled ones) (by @matthieu-rolland)
    - #14962: Fix error preventing to translate backoffice wordings when using a theme other than classic (by @eternoendless)
    - #15017: Improve translation test module (by @eternoendless)
    - #14721: Manage edit/view link for customers in HelperList (by @jolelievre)
    - #15036: Fix supplier display after import (by @jolelievre)
    - #14719: Scan translation keys from email themes (by @jolelievre)
    - #14938: Fix error when loading theme that includes a translations directory but no translations (by @eternoendless)
    - #14926: Fix logs filtering (by @sarjon)
    - #14671: Make sure token is properly used in legacy context (by @PierreRambaud)
    - #14914: Date picker calendar is shown in wrong place when rendered downwards in grid (by @PierreRambaud)
    - #14828: Cannot save the "No Picture Image"  (by @PierreRambaud)
    - #14805: Fix unclosed div tag (by @sarjon)
    - #14701: Fix log delete all action on Logs page (by @matks)
    - #14605: Do not use encodeURIComponent with POST data (by @PierreRambaud)
    - #14673: Fix Orders view page link to transform guest to customer (by @matks)
- Front Office:
  - Bug fix:
    - #15042: Only disable following steps in the checkout process when the current step has a continue button (by @jolelievre)
    - #14945: Fixed {firstname} typo in order customer comment mail in 1.7.6.x (by @dheerajwebkul)
    - #14786: Sprintf function broken in 1.7.6 for custom module templates (by @roja45)
    - #14863: Prevent uninstall of Product Comments module (by @templatin)
- Core:
  - Improvement:
    - #14579: Fix many things that were supposed to be removed during build not being removed (by @eternoendless)
  - Bug fix:
    - #15132: Fix abstract service declaration (by @eternoendless)
    - #14711: Update Decimal library to 1.2.0 (by @eternoendless)
    - #14833: Bad currency format for Czech language (by @PierreRambaud)
    - #14664: Update precision and numeric iso code of currencies (by @Quetzacoalt91)
- Installer:
  - Bug fix:
    - #14620: Init properly the Kernel on major *manual* upgrades (by @Quetzacoalt91)
    - #14739: Keep Composer.lock file in release (by @jolelievre)
- Web Services:
  - Bug fix:
    - #14953: Initialize container in WebService environment (by @matthieu-rolland)
- Localization:
  - Bug fix:
    - #15051: Fix translations (by @jolelievre)
- Tests:
  - Refactoring:
    - #14356: Fix "02_autoupgrade" in install_upgrade campaign (by @nesrineabdmouleh)

####################################
#   v1.7.6.0 - (2019-07-09)
####################################
- Back Office:
  - Bug fix:
    - #14532: Check if index.php file exists before ignoring it (by @jolelievre)
- Core:
  - Refactoring:
    - #14552: Use variable instead of recomputing (by @jolelievre)

####################################
#   v1.7.6.0 RC 2 - (2019-07-05)
####################################
- Back Office:
  - Bug fix:
    - #14460: Ignore index.php files in Doctrine entities scanning
    - #14401: Fix grid calendar

- Front Office:
  - Bug fix:
    - #14444: Check if selected address belongs to user
    - #14395: Classic theme force all type number to not have arrows

- Core:
  - Improvement:
    - #14438: Testing the factory with number and price specifications
  - Bug fix:
    - #14453: Update facetedsearch to 3.0.6
    - #14400: Wrong way to retrieve CLDR information

####################################
#   v1.7.6.0 RC 1 - (2019-06-25)
####################################
- Back Office:
  - Improvement:
    - #14239: Introduce the usage of Module user-displayable exceptions to handle module errors (part 2)
    - #14008: Adds missing form data arguments in hooks
    - #13779: Allow to overwrite theme mails if they have modules OR mail templates
    - #13722: Filter themes without override in email generation form
  - Bug fix:
    - #14364: View button doesn't have href
    - #14331: Handle bad theme error nicely
    - #14290: Extend customer page
    - #14259: Avoid bug when creating manually created a language
    - #14248: Cannot use accented URL with arabic language
    - #14242: Module form_rest() outside div
    - #14220: Set schema form rendered when it contains no children
    - #14189: Fix manufacturer controller using wrong DomainException ns
    - #14172: Add missing form_errors for identifiable object forms
    - #13984: Fix bo categories
    - #14152: Adjust employee avatar size
    - #14156: Add missing null check in EditCmsPageHandler
    - #14101: Fix missing permission roles
    - #14137: Adds missing form_rest in Shop Parameters > Preferences
    - #14107: Do not allow the selection of any subcategories
    - #14084: Fixes updating name and symbol for currency
    - #14021: Improved error handling when theme is uploaded or activated
    - #14091: Do not use specific prices when displaying price with tax in BO product catalog
    - #14029: Missing legacy link for themes page
    - #14028: Add explanations about SEO cards
    - #14030: Add missing legacy link for translations routes
    - #13875: Added help property (backported from Symfony 4 framework)
    - #14007: Fix currency precision from CLDR at install
    - #13774: Includes missing theme & logo page validation handling for logo and icon images
    - #13916: Fixes saving private note about customer from order page
    - #13820: Fixes form_rest placing
    - #13956: Restore legacy controller and template files deleted late in beta
    - #13840: Fix resetting sort and items per page on list filters reset action
    - #13887: Fix saving customer with required fields
    - #13813: Fixes toggling Category status in Monitoring page
    - #13866: Fix cart rule calculation for free gift
    - #13857: Missing legacy links fix for employess controller
    - #13797: Adds missing legacy links for currency controller
    - #13777: Incorrect translation arguments passed in cms page form
    - #13690: Theme and logo page design fixes
    - #13821: Fix manufacturers, taxes lists id filtering
    - #13165: Fix multilanguage fields configuration
    - #13764: Fixes customer view url in notifications bar
    - #13763: Fix help sidebar display in Customers page
    - #13765: Fix sql manager bulk actions

- Front Office:
  - Improvement:
    - #14180: Improve right block on cart and checkout page
    - #14138: Add comment in Customer registration form, add better error message
  - Bug fix:
    - #14325: Refresh product flags on ajax call when product page is refreshed
    - #14298: Fix english mail generation on fresh install
    - #14309: Simplify the installation language to its minimum
    - #14296: Fix carrier display in order confirmation email
    - #14251: Fix categories wordbreak
    - #14190: You need to be authenticated to play with addresses
    - #14166: Fix categories cover images which had an incorrect format
    - #14163: Add missing quotes in error message
    - #13370: Fix cart refresh after voucher removal
    - #14075: Fix: If Ask for birth date option is disabled, an exception is displayed in the FO
    - #13905: Step clickable and not - Checkout page
    - #12891: Fix bug on block social in footer
    - #13780: Fix displayed discount on tax excluded cart display

- Core:
  - Improvement:
    - #14284: Update to Faceted search 3.0.5
    - #13925: Add getter for current locale
    - #14197: Update facetedsearch dependency
    - #14010: Update some license headers that were outdated
    - #14011: Update outdated CSS assets
    - #13778: Add new hooks for Symfony migrated pages in XML install file and SQL upgrade
  - Bug fix:
    - #14324: Use Admin.Actions instead Admin.International.Help
    - #14316: Reapply changes from PR switching on PHPSpreadsheet
    - #14300: &= prevents result to be a boolean
    - #13795: Updates to Domain
    - #13919: Tax must be returned depending on PS_TAX_DISPLAY only
    - #13923: Make sure index exist before getting value for gift message
    - #14027: Fix BC break on Toggle column parameter
    - #13885: Force array cache for doctrine
    - #13808: Update Symfony to latest patch version to fix ICU version problem
    - #13665: Final retail price is not displayed due to missing CLDR files

- Installer:
  - Bug fix:
    - #14243: Fix translation catalogue
    - #14225: Update facetedsearch cache

####################################
#   v1.7.6.0-beta.1 - (2019-05-13)
####################################
- Back Office:
  - New feature:
    - #13221: Allow trans() to fall back on the legacy translation system when used with modules (by @eternoendless)
    - #12974: Cms page category listing position update (by @tomas862)
    - #13004: Integrate new modern mail theme (compiled from MJML) (by @jolelievre)
    - #12981: Migration of  "Design -> pages -> cms page listing"  (by @tomas862)
    - #12647: Migration of "Design -> pages -> add new / edit page category" (by @tomas862)
    - #12163: Migration of shop parameters->contact->contacts add new edit contact form (by @tomas862)
    - #12706: Kpis list are now customizables using hooks (by @mickaelandrieu)
    - #10595: Migration of "Shop parameters >Traffic & SEO > SEO & URL > Add new / edit page" form (by @tomas862)
    - #12046: Introduce Mail Template Generator (by @jolelievre)
    - #10877: Migration of  "Design > Pages" page cms category listing (by @tomas862)
    - #11894: Migration of international/localization/currencies page form and some exchange rate actions (by @tomas862)
    - #12128: Add migrated customers page helper card (by @matks)
    - #11153: Migration of "Catalog > Brand & Suppliers > Suppliers" listing (by @tomas862)
    - #10774: Migration of "International > Localization > Currencies" page listing (by @tomas862)
    - #11484: Add final price column in products list (by @PrestaShark)
    - #10992: Migrate Customer view page (by @sarjon)
    - #11408: Migrate Categories Add/Edit actions - tests fixed (by @matks)
    - #11049: Add Helper Card to Employees page (by @sarjon)
    - #11075: Improve AdminSecurity and DemoRestricted annotations to allow to pass query parameters to keep (by @tomas862)
    - #10120: Migration of Advanced Parameters -> Import (Step 2) (by @rokaszygmantas)
    - #10790: Migrate Employee options configuration (by @sarjon)
  - Improvement:
    - #13603: Add id for orders view page to ease E2E testing (by @matks)
    - #13404: Add missing showcase card in CMS page (by @tomas862)
    - #13234: Add Showcase card in Categories page (by @sarjon)
    - #13158: Fix error bubbling inside the translatable type (by @tomas862)
    - #13125: Add CMS page listing position update functionality (by @tomas862)
    - #13048: Integrate mail generator (by @jolelievre)
    - #12331: Migration of Theme & Logo page with style and ux improvements (by @tomas862)
    - #12436: Introduces new File type input design for all new and migrated back-office pages  (by @tomas862)
    - #13123: Display shop path in Information page (by @unlocomqx)
    - #12707: New design for employee profile [Back-Office] (by @YeLnatSs)
    - #13033: Filter out registered hooks in module positions list (by @unlocomqx)
    - #12914: Significantly reduce number of SQL requests to get the employee authorizations (by @Quetzacoalt91)
    - #13095: Update dashboard links (by @eternoendless)
    - #13012: Update Twig to v1.38 (by @matks)
    - #12850: "Module Manager" tab should be the first tab in Modules Tab (by @rblaurin)
    - #12214: Migrate "Advanced Parameters > Team > Employees > Add new employee" page (by @rokaszygmantas)
    - #12928: Allow multiple grids on same page (by @jolelievre)
    - #12971: Enable customers page (by @sarjon)
    - #12945: Build assets (by @matks)
    - #12644: Add margin between buttons on Traffic & SEO page (by @YeLnatSs)
    - #12699: Refacto addons store controller and handle addons failure (by @matks)
    - #12838: Replace hardcoded currency sign in specific price form (by @metineren)
    - #12784: Add module main class parse error to log message (by @teemumantynen)
    - #12717: Add re-usable rewrite link copier service (by @tomas862)
    - #12505: Improve error handling in migrated controllers (by @sarjon)
    - #12761: Remove timeout from product image upload (by @JohnMidity)
    - #12713: Enable usage of roles for Module Updates and Module Alerts pages and manage access (by @matks)
    - #12622: Refactor AddonsStoreController to use annotations and some improvements (by @matks)
    - #12316: Update access rules for SystemInformationController and MemcacheServer (by @matks)
    - #10911: Build new theme using Webpack 4 (by @CaptainYouz)
    - #12094: Refactor OrderPreferencesController to use annotations (by @matks)
    - #12076: Refacto ProductPreferencesController to use annotations (by @matks)
    - #12074: Refacto PreferencesController to use annotations (by @matks)
    - #12098: Refactor Shipping/ referencesController to use annotations (by @matks)
    - #12097: Refacto PaymentMethodsController to use annotations (by @matks)
    - #12099: Refactor MaintenanceController to use annotations (by @matks)
    - #12077: Refacto ThemeCatalogController to use annotations (by @matks)
    - #11439: Migrate Customer list actions (by @sarjon)
    - #11561: Migrate legacy import logic to adapters and hide Import page 2 (by @rokaszygmantas)
    - #11877: Align grid search and reset buttons to the right (by @tomas862)
    - #11481: Add cover & menu thumbnail images deleting for category (by @sarjon)
    - #11919: Use env variable for admin dir with default value in assets build script (by @spolischook)
    - #11785: Update dependencies with security breaches (by @jolelievre)
    - #11732: Avoid using short bool (by @MathiasReker)
    - #11735: Elseif instead of else if (by @MathiasReker)
    - #11739: Remove blackslash (by @MathiasReker)
    - #11741: Use brackets for index brace (by @MathiasReker)
    - #11235: Prevent unnecessary Order objects from being created in Admin Orders (by @mnastalski)
    - #10199: Fix quantity placeholder issue in the Stock management page (by @CaptainYouz)
    - #11160: Form handling improvements in import page step 1 and 2 (by @rokaszygmantas)
    - #11095: Update grid design regarding grid gear icon position and dropdown toggle icon modification (by @tomas862)
    - #11266: Allow BO hooks to use the method $this->render() (by @Quetzacoalt91)
    - #11093: Set sortable flag by default to "true" on ToggleColumn (by @tomas862)
  - Bug fix:
    - #13381: Use tinymce in migrated pages (by @matks)
    - #13481: Improve preview and test mail feature, improve and fix a few templates (by @jolelievre)
    - #13643: Fixes incorrect hook names for identifiable object forms. (by @tomas862)
    - #13219: ScrollIntoView if field is invalid (by @PierreRambaud)
    - #13623: Fix categories deleting in bulk action (by @sarjon)
    - #13372: Add missing security annotations (by @rokaszygmantas)
    - #13504: Fix backoffice translations for third-party modules (by @eternoendless)
    - #13576: Fix deleting profile  (by @sarjon)
    - #13563: Do not get data from null currency (by @Quetzacoalt91)
    - #13233: Enable 'back' GET parameter management (by @tomas862)
    - #13550: Add missing check in Manufacturer image uploader (by @zuk3975)
    - #13547: Deprecate Language::installEmailsLanguagePack (by @jolelievre)
    - #13484: Fixes Categories grid filtering by position (by @sarjon)
    - #13535: Fix responsive showcase cards  (by @YeLnatSs)
    - #13508: Enable ChoiceTree javascript in manufacturers form  (by @zuk3975)
    - #13528: Fix calendar overflow (by @zuk3975)
    - #13152: Updates characters length for Category meta fields (by @sarjon)
    - #13477: Fix issue on order with free gift (by @tomlev)
    - #13439: Improvements on LegacyUrlConverter, "tab" alias, insensitive and prevent infinite redirection loop (by @jolelievre)
    - #13431: Fix parameters list in product lookup (by @Quetzacoalt91)
    - #13434: Remove material icons on SQL manager page (by @marionf)
    - #13429: Build outdated assets for 1.7.6.x (by @matks)
    - #13367: Remove deactivated currencies from new CLDR (by @tomlev)
    - #13351: Mail generator fixes (by @jolelievre)
    - #13363: Fix syntax error in tpl (by @Quetzacoalt91)
    - #13349: Make all grids responsive (by @eternoendless)
    - #13273: Fix domain errors (by @matks)
    - #13264: Restores deleted generatable_text_widget from template (by @sarjon)
    - #13216: Enable help bar on suppliers page (by @PierreRambaud)
    - #13199: Fix Profiles form twig template compatibility with twig v2 (by @matks)
    - #13108: Fix missing lang entries in Configuration (by @rblaurin)
    - #13177: Fix notice undefined index: icon on Design -> Positions (by @Matt75)
    - #13161: Remove icons from Customers form (by @sarjon)
    - #12931: Make footer on product page spread itself when the menu is hidden (by @dineshbadrukhiya)
    - #13157: Fix Add/Edit brand icon (by @matks)
    - #13145: Fix bug with incorrect error display within the forms (by @tomas862)
    - #13093: Add missing label and delete legacy tax controller as it was migrated (by @rokaszygmantas)
    - #13105: Validate theme zip file and show error messages (by @rokaszygmantas)
    - #13088: Ensure translations are always saved with the selected theme in back office (by @mickaelandrieu)
    - #13122: Fix notice when iso code does not exist in array (by @Quetzacoalt91)
    - #13104: Fix bad variable in Customers Add/Edit template (by @matks)
    - #13094: Fix product demo link_rewrite (by @marionf)
    - #13079: Fix visual glitches in new theme (by @eternoendless)
    - #13054: Escape all import output data (by @PierreRambaud)
    - #13043: Fix to handle fancybox customer creation in Add an Order page (by @matks)
    - #13063: Module Manager: Use categoryParentEnglishName instead of category name (by @PierreRambaud)
    - #13066: Fix npm install not working anymore on new-theme (by @PierreRambaud)
    - #12523: Solved problem with texture upload when attribute has hex color (by @kpodemski)
    - #13049: Fix BO scaling in mobile (by @eternoendless)
    - #12705: Update OrderHistory to manage {followup} & {shipping_number} vars in all email templates, not only in in_transit template (by @jf-viguier)
    - #12946: Fix recurring technical error when saving modifications in a Carrier (by @Matt75)
    - #12897: Enable lite display for new theme (by @matks)
    - #12874: Fix Symfony console crash because of DocumentationLinkProvider service definition (by @jolelievre)
    - #12788: Remove html escaping of errors (by @bilfeldt)
    - #12794: Add missing columns in products_import.csv (by @rblaurin)
    - #12730: Fix fatal error in product catalog when short description is too long (by @rblaurin)
    - #12751: Fix saving shop association in migrated add/edit forms (by @rokaszygmantas)
    - #12787: Add legacy links to all meta page routes (by @tomas862)
    - #12711: Fix shipping cost becoming free if more than a half or available quantity ordered (by @LedCloud)
    - #12723: Fix specific price without discount being added (by @rblaurin)
    - #12709: Refactor MetaController to secure search usage (by @matks)
    - #12716: Prevent including jQuery in the new theme (by @eternoendless)
    - #12668: Fix help sidebar when adding/editing language (by @sarjon)
    - #12465: Fix duplicate HTML id (by @mickaelandrieu)
    - #12563: Fix error in admin panel when visiting a category that's not under Index (by @mowcixo)
    - #12597: The lang parameter in the url is now shop dependent (by @helgvor-stoll)
    - #12471: Use AdminSecurity annotation for ajax call for Sql Manager (by @matks)
    - #12479: Avoid module sorting function warnings when module data is invalid (by @matks)
    - #8993: Fix HTML formated configuration not saved (by @shaffe-fr)
    - #11175: Allow product default supplier reference to be updated, if the product supplier is already attached to the product (by @simondaigre)
    - #12240: Adds missing argument in MetaController which caused page crash (by @tomas862)
    - #12096: Fix access rights to Administration page (by @matks)
    - #12140: Default carrier name was displayed as 0 (by @Gitdyr)
    - #11693: Fix search feature value and pagination (by @studiox3)
    - #12052: SERP: Avoid mutating a prop directly + fix url encode (by @PierreRambaud)
    - #11854: Add customer_message table name into SQL request (by @Klemart3D)
    - #11932: Can't sort tax included for now (by @PierreRambaud)
    - #11936: Description has a max length and can not exceeded (by @PierreRambaud)
    - #11922: Fix searching issue in the Credit Slips page (by @khouloudbelguith)
    - #11907: Fix error when updating the product details in order (by @PeeyushAgrawalWebkul)
    - #11851: Fix error "getimagesize(): php_network_getaddresses" when trying to change the order status to payment accepted (by @PierreRambaud)
    - #11850: Fix header (by @PierreRambaud)
    - #11200: Fix address changes not impacted when creating an order from another order (by @jf-viguier)
    - #11201: Addresses changes not impacted when creating an order from another order (by @jf-viguier)
    - #11526: Fix wrong protocol in the File Manager Dialog (by @freakstatic)
    - #11535: Display the right front url in multistore menu (by @jolelievre)
    - #10981: Change BO product list price source for multistore (by @mafisz)
    - #11256: Fixes error reported in #9687, regarding carrier list in the modal to ... (by @manfield)
    - #11424: Improvement needs on hover of "Ok" button of source code modal on product page (by @dineshbadrukhiya)
    - #10904: Fix date filtering in AdminSpecificPriceRuleController (by @Matt75)
    - #11179: Fix sorting issue in the webservice page (by @khouloudbelguith)
    - #10535: Fix typos (by @MathiasReker)
    - #10930: Allow product import to change previous id_category_default when you force ID (by @itisco)
    - #10939: Fix bad annotation in AttributeGroupLang, AttributeLang and TabLang (by @Fabuloops)
    - #10808: Adjusted URL to be SSL agnostic (by @alu-)
    - #10924: Fix right side block of attribute and attribute groups in combination tab not appearing (by @dineshbadrukhiya)
    - #10781: Fixes new webservice list behavior in multishop context and fixes warning message display (by @tomas862)
  - Refactoring:
    - #13466: Brand and address export actions (by @zuk3975)
    - #13251: Removes unnecessary return on update everywhere (by @tomas862)
    - #13144: Cms page fixes (by @zuk3975)
    - #13162: Tax page fixes (by @zuk3975)
    - #13164: Manufacturer page fixes (by @zuk3975)
    - #13159: Remove 'Constraint' suffix from TypedRegex constraint and validator (by @zuk3975)
    - #12795: Brand address create/edit actions migration (by @zuk3975)
    - #12995: Migrate Cms page create/edit actions (by @zuk3975)
    - #13076: Migrate Add/Edit Profiles page (by @sarjon)
    - #13014: Final Migration of Categories page (by @sarjon)
    - #13067: Fix manufacturers namespace typos and wrong typecasts in commands (by @zuk3975)
    - #12735: Brands create/edit migration (by @zuk3975)
    - #12641: Migrate tax create/edit form (by @zuk3975)
    - #12912: Fix Traffic and SEO route paths (by @matks)
    - #12423: Taxes list migration (by @zuk3975)
    - #12610: Taxes Options configuration form migration (by @zuk3975)
    - #11470: Improve birthdate validation (by @zessx)
    - #11723: Migrate customer Add/Edit actions (by @sarjon)
    - #11519: Migrate Customers KPIs and required fields configuration (by @sarjon)
    - #11527: Migrate customer view actions (by @sarjon)
- Front Office:
  - New feature:
    - #13103: Introduce new hooks displayProductActions & displayPersonalInformationTop (by @Quetzacoalt91)
  - Improvement:
    - #13047: New design for prices and taxes (by @YeLnatSs)
    - #13135: Add variable to tell if prices are tax included or not (by @eternoendless)
    - #13009: Change product canonical url to parent, no more redirection (by @jolelievre)
    - #12564: Allow Doctrine entities in modules, make doctrine available for FO, modules autoload on FO (by @jolelievre)
    - #11943: Improve performance by avoiding parsing YAML files during ModuleManagerBuilder init (by @jocel1)
    - #10253: Add modal-dialog-centered class to classic theme (by @CaptainYouz)
    - #12748: Remove obsolete P3P policy (by @MathiasReker)
    - #12753: Allow ipv6 to be used in htaccess redirects (by @Quetzacoalt91)
    - #12017: Weak token implementation (by @PierreRambaud)
    - #11534: Move scroll forcing from core to classic (by @dennispw)
    - #10487: Added breadcrumb to the manufacturers pages (by @SebBareyre)
    - #11661: Reset quantity value to min value after adding to cart (by @jolelievre)
    - #11614: Allow modules to add custom product flags (by @kpodemski)
    - #11607: Remove useless space (by @MathiasReker)
    - #11491: Classic theme footer block design improvement (by @dineshbadrukhiya)
    - #11455: Remove unnecessary spaces on header of the checkout page (by @dineshbadrukhiya)
    - #11362: Dont expose Powered-By: Prestashop  (by @MathiasReker)
    - #11215: Remove inline-style color in test-data (by @dineshbadrukhiya)
    - #10769: Keep variant id_attribute in ProductLazyArray (by @Piraito)
  - Bug fix:
    - #13664: Remove id_attribute parameter from product link when it is equal to 0 (by @jolelievre)
    - #13617: Fix not null voucher with free shipping producing php error (by @tomlev)
    - #13635: Fix product link should not include attribute parameter equals to zero (by @jolelievre)
    - #13407: Fix labels display computing (by @jolelievre)
    - #13578: Automatically add dni field in Address format for countries which need it (by @jolelievre)
    - #13440: Change checkout behaviour (needs to be validated after meeting) (by @jolelievre)
    - #13411: Hide tax label in front when tax display is disabled in the shop (by @jolelievre)
    - #13525: Fix currency display on not existing language (by @tomlev)
    - #13003: Add behat tests for free shipping (by @tomlev)
    - #13261: Fix lang on currency install (by @tomlev)
    - #13201: Fix search results if shop has non-default 'visitor' group and categories that are only accessible for the non-default visitor group (by @fgschaefer)
    - #13218: Fix breadcrumb in search results page leads to 404 page (by @PierreRambaud)
    - #12872: Fix label "Web only"  (by @YeLnatSs)
    - #13150: Add a missing space that could trigger an SQL error (by @chrisvanberg)
    - #13106: Do not go to the latest step when you change a previous step state in checkout (by @PierreRambaud)
    - #12893: Fix bug on contact when mail is too long (by @YeLnatSs)
    - #13081: Empty filter should not be shown (by @PierreRambaud)
    - #11688: Fix catalog mode in products list and product page (by @jolelievre)
    - #12391: Fix Broken Authentication and Session Management (by @arnaudschaeffer)
    - #12892: Limit carrier image size on checkout page (by @YeLnatSs)
    - #12964: Wrong specific price refresh on product page with combinations (by @PierreRambaud)
    - #12965: Fix wrong cart calculation when using cart rule with virtual products (by @tomlev)
    - #12817: Robots should not index search content (by @watou)
    - #12733: Changed the regex to force space and hyphen in postcode validation (by @jojotjebaby)
    - #12696: Fix missing comma in sql upgrade file (by @tomlev)
    - #12403: Attribute min not allowed on element input at this point, change type from text to number (by @dominictayloruk)
    - #12406: Revert "Fix translation on account creation email error" (by @marionf)
    - #12341: Use show_price to display price in schema.org tags (by @arnaudschaeffer)
    - #12227: Fix ps_viewedproduct in classic theme (by @SharakPL)
    - #10341: Fix main page slider display on all devices (by @CaptainYouz)
    - #12023: When downloading a virtual good,  check if the order was made by the current user (by @garnele007)
    - #10297: Fix image dimensions in Product Card view (by @CaptainYouz)
    - #11726: Force DNI fields required if associated Country needs it (by @jolelievre)
    - #10294: Fix minimum order amount for secondary currency (by @sadlyblue)
    - #11754: Fix wrong discount details on order page / on invoice (by @tomlev)
    - #11608: Fix deprecated jquery shortcut function 'load' (by @Fabuloops)
    - #11745: Fix for password recovery error messages (by @web-fu)
    - #11656: Correctly display percentage in cart (by @jolelievre)
    - #11645: Fix discount computing to take combination into account (by @jolelievre)
    - #11604: Fix wrong html attribute (by @SebBareyre)
    - #11576: Add .gif support to webpack.config.js (by @adviva)
    - #11605: Remove useless space (by @SebBareyre)
    - #11495: Fix category description below the image (by @dineshbadrukhiya)
    - #11563: Fix typo for "Environment" comment (by @Klemart3D)
    - #9041: Fix override of ProductController (by @nenes25)
    - #11103: Fix discount display when display preference is set without tax (by @tomlev)
    - #11282: Convert customization price to current currency (by @unlocomqx)
    - #11419: Noto Sans fonts updated to version 2.001 hinted (by @ProBackup-nl)
    - #10867: Remove inline-style of Arial font (by @MathiasReker)
    - #10643: Fix password validation message when password is too short (by @rdy4ever)
- Core:
  - New feature:
    - #12708: Deprecate admin endpoints outside index.php (by @Quetzacoalt91)
    - #11321: Translation Manager of Back Office can now manage legacy translations of modules (by @mickaelandrieu)
    - #9337: Migrate "Brands" listing page (a.k.a manufacturers) (by @sarjon)
    - #12758: Added a Theme Enabler command (by @mickaelandrieu)
    - #10455: New CLDR implementation (by @tomlev)
    - #12284: Include script handler to manage installation of modules (by @mickaelandrieu)
    - #12089: Implement AbstractTypedCollection with tests (by @jolelievre)
    - #10974: Implement form handlers for SqlManager form - part 1 (by @sarjon)
    - #10839: Migrate languages list (by @sarjon)
    - #10197: Added a schema generator (by @mickaelandrieu)
    - #9132: Add hook for extra fields on customer address form (by @PeeyushAgrawalWebkul)
    - #10816: Migrate "Layout customization" part of Them & Logo controller (by @sarjon)
    - #10797: Migrate Employee list  (by @sarjon)
    - #10864: Implement image source parser (by @sarjon)
    - #10160: Migrate categories listing (by @sarjon)
  - Improvement:
    - #13735: Update native modules (by @eternoendless)
    - #13402: Add new hooks of 1.7.6.0 in fixtures (by @Quetzacoalt91)
    - #13238: Update themes folders license headers (by @matks)
    - #13239: Update js folder license headers (by @matks)
    - #13237: Update tests folders license headers (by @matks)
    - #13235: Update src folder license headers (by @matks)
    - #12941: Remove unnecessary return on update (by @eternoendless)
    - #12999: Remove calls to old CLDR (by @Quetzacoalt91)
    - #13141: Performance: avoid useless attributes queries (by @123monsite-regis)
    - #12996: Domain improvements: naming and namespace (by @sarjon)
    - #11730: Use of static instead of ClassName (by @MathiasReker)
    - #11970: Unary operator spaces (by @MathiasReker)
    - #11977: Function declaration (by @MathiasReker)
    - #11975: Space after semicolon (by @MathiasReker)
    - #13008: Adds phpdoc on range objectmodel (by @Matt75)
    - #12782: Fixes for migrated Categories add/edit actions (by @sarjon)
    - #12956: Customization - improve phpdoc and constants usage (by @Matt75)
    - #12959: Make Tools curl throw an exception when it fails in dev mode (by @matks)
    - #10406: Document and add tests to Faceted Search system (by @mickaelandrieu)
    - #12251: Improve version (by @eternoendless)
    - #12749: Remove 9 duplicates from array in getProductAttributeWhitelist(). Items sorted to check dupes. (by @toslan)
    - #12810: Install ps_faviconnotificationbo automatically (by @eternoendless)
    - #12808: Deprecate Cart::addExtraCarriers() (by @eternoendless)
    - #12570: Add Drag & Drop styling for category position column (by @sarjon)
    - #12346: Add Category form builder & handler (by @sarjon)
    - #12498: Add showcase card for Suppliers list (by @sarjon)
    - #12598: Restore composer file (by @PierreRambaud)
    - #12532: Updated Core using new version of Composer script handler (by @mickaelandrieu)
    - #12208: Add filter on the modules folder to avoid caching all files by Twig (by @Quetzacoalt91)
    - #10783: Migration of Advanced Parameters > Team > Profiles page. (by @rokaszygmantas)
    - #11968: Switch case space (by @MathiasReker)
    - #11859: Replace tabs with spaces in htaccess (by @MathiasReker)
    - #11961: Improvements in the Domain namespace (by @sarjon)
    - #12247: Bump version to 1.7.6.0 (by @eternoendless)
    - #12222: Add notice for docker-compose (by @PierreRambaud)
    - #12211: Add breadcrumb to the search results page (by @SebBareyre)
    - #11992: Replace calls to is_null by comparison (by @MathiasReker)
    - #12082: Update Nginx configuration for multishop (by @PierreRambaud)
    - #12150: Allow specific versions of libs to be ignored (by @Quetzacoalt91)
    - #12031: Make pre-commit execute linter only if php files have been staged (by @eternoendless)
    - #11985: PHP unit test case static method calls (by @MathiasReker)
    - #11899: Introduce HelperList title_icon property (by @matks)
    - #11866: Order imports (by @MathiasReker)
    - #11867: Remove unneeded curly braces (by @MathiasReker)
    - #11869: Remove unneeded control parentheses (by @MathiasReker)
    - #11857: Replace tabs with spaces (by @MathiasReker)
    - #11823: Fix namespace (by @MathiasReker)
    - #11781: Fix blank lines: Add and remove (by @MathiasReker)
    - #11729: Use binary mode to write files (by @MathiasReker)
    - #10486: Split grid service definitions in separate files (by @sarjon)
    - #10533: Add old product ID on actionProductAdd hook when duplicating a product (by @duGuillaume)
    - #10975: Introduced a new function for Products.php for retrive a product ID given it reference (by @runningz)
    - #11696: Combine consecutive issets (by @MathiasReker)
    - #11708: Modernize types casting (by @MathiasReker)
    - #11710: Include is not a function (by @MathiasReker)
    - #11695: Array indentation (by @MathiasReker)
    - #11685: Fix php-cs-fixer "non printable character" (by @MathiasReker)
    - #11736: Remove unused imports (by @MathiasReker)
    - #11757: Remove empty statement (by @MathiasReker)
    - #11744: Fix PhpDoc Validate::isColor() (by @EdouardTack)
    - #11697: Combine consecutive unsets (by @MathiasReker)
    - #11635: Improve use of protocol (by @MathiasReker)
    - #11738: No PHP closing tag and no EOL (by @MathiasReker)
    - #11712: Normalize use of operators (by @MathiasReker)
    - #11733: Add function type (by @MathiasReker)
    - #11734: Remove comma in single array (by @MathiasReker)
    - #11709: Use echo instead of print (by @MathiasReker)
    - #11707: Do not use alias functions (by @MathiasReker)
    - #11704: Remove useless return (by @MathiasReker)
    - #11703: Do not use short echo tags (by @MathiasReker)
    - #11701: Use logical operators (by @MathiasReker)
    - #11699: Hash to slash comment (by @MathiasReker)
    - #11694: Align multiline comment (by @MathiasReker)
    - #11653: Allow override of _PS_DEBUG_PROFILING_ (by @SebBareyre)
    - #11678: Fix use of protocol (by @MathiasReker)
    - #11672: Non printable character (by @MathiasReker)
    - #11643: Additional PHP Improvements (by @MathiasReker)
    - #11666: Fully qualified strict types (by @MathiasReker)
    - #11667: Heredoc to nowdoc (by @MathiasReker)
    - #11671: Use constant instead of function (by @MathiasReker)
    - #11669: Improve error suppression (by @MathiasReker)
    - #11566: Build all the assets using a single command (by @eternoendless)
    - #11313: Only call ntree regeneration at this end of a WS call and optimize regenerateEntireNtree (by @jocel1)
    - #11510: Add PHP 7.3 polyfills (by @Quetzacoalt91)
    - #11397: Add total_shipping_tax_excl, incl in email data (by @sitte)
    - #11417: Lossless compression of all images (by @MathiasReker)
    - #11246: Replace deprecated library PhpExcel by PhpSpreadsheet (by @MartinFinkenflugel)
    - #11249: Fix declaration of method arguments (by @Seleda)
    - #11140: Remove unreachable code (by @idnovate)
    - #11139: Deprecate legacy Db service (by @sarjon)
    - #10770: Update CacheClearer adapter (by @sarjon)
    - #10777: Migration of Shop parameters > Contact > Contacts page. (by @rokaszygmantas)
    - #10834: Allow release creator to be run without version parameter (by @Quetzacoalt91)
    - #10699: Change getcwd() for __DIR__ (by @DanielBoettner)
    - #10704: Add TranslatableType (by @sarjon)
    - #9247: Add themes in gitignore (except classic) (by @Quetzacoalt91)
  - Bug fix:
    - #13684: Wrong discount subtotal when customergroup is set to use ex taxes (by @tomlev)
    - #13604: Forbid URLS to be added in customer names (by @PierreRambaud)
    - #13605: Add missing translation domains (by @matks)
    - #13560: Remove duplicate method call (by @eternoendless)
    - #13540: Update upgrade scripts to PS 1.7.6.0 (by @Quetzacoalt91)
    - #13470: Removes GetDefaultGroupHandler adapter  (by @sarjon)
